/* v.2015.3
 */
  var cookieage=32000000000;//1yr
  var basepath="maps.nordicweather.net";
  var wiset = "m/s";
  var wsmap,lightmap,dlines,is_phone,currid,mettableid,mStep,mTime,layerPath=defmap,windy,canvasOverlay,timer=null,wxLayer,wxTimeLayer,windyCache=[],isPlaying=-1,windColorDark="#333333",windColorLight="#ffffff",windColor=windColorLight;
  var nua = navigator.userAgent;
  var is_anubunturegular = ((nua.indexOf('Mozilla/5.0') > -1 && nua.indexOf('Anubunturegular ') > -1 && nua.indexOf('AppleWebKit') > -1) && !(nua.indexOf('Chrome') > -1));
  var screenheight = $(window).height();
  var screenwidth = $(window).width();
  $("#wrapper").css({height: screenheight+"px"});
  $("#map").css({height: screenheight+"px"});

  var isTouch = Modernizr.touch;
  
function dostuff(){
$(function () {

  // Fix for select's on Anubunturegular stock browser - port from Bootstrap
  if(is_anubunturegular) {
    $('select.form-control').removeClass('form-control').css('width', '100%');
  }

  if($.jStorage.get("ewnwind")){
    wiset=$.jStorage.get("ewnwind");
    $("#wspd").val(wiset);
  }
  $("#wspd").change(function() {
    wiset = $("#wspd").val();
    $.jStorage.set("ewnwind", wiset);
    $.jStorage.setTTL("ewnwind", 32000000000);
    getpage(deflat,deflon);
  });
  
  if($.jStorage.get("ewnfav-fi")){
    qstr = $.jStorage.get("ewnfav-fi");
    qstr = qstr.split(",");
    if(isNumber(qstr[0])){deflat=qstr[0];}
    if(isNumber(qstr[1])){deflon=qstr[1];}
  }
  
  if($.jStorage.get("ewnphone")){
    is_phone = $.jStorage.get("ewnphone");
    if(is_phone=="true"){
      $(".no_phone").hide();
    }
  }
  
  loadmaps();
  
/*##############################################################################################
 * FUNCTIONS
 */
  
  function loadmaps(){ 

    defzoom=defzoom+3;
    wsmap = L.map("map",{
      timeDimensionControl: true,
      timeDimensionControlOptions: {
        position: 'bottomleft',
        playerOptions: {transitionTime: 1000,buffer:1}
      },
      timeDimension: true,
      timeDimensionOptions: {
        period: "PT1H"
      }
    }).setView([deflat, deflon], defzoom);
    wsmap.attributionControl.setPrefix("")
    
    getmStep(defmap.split("_")[0]);
    var times = [];
    var now = Date.now();
    times.push(mTime);
    for(i=1;i<=mMax;i++){
      times.push((i*mStep)+mTime);
    }
    wsmap.timeDimension.setAvailableTimes(times, "replace");
    wsmap.timeDimension.setCurrentTime(now);
    
    if(mousewheel==0){
      wsmap.scrollWheelZoom.disable();
    }
    
    lightmap = L.tileLayer("http://a."+basepath+"/tiles/nat_g/{z}/{x}/{y}.png", {attribution: ""})
      .addTo(wsmap).setZIndex(2);
    
    var wxWMS = "http://a.maps.nordicweather.net/tiles/frcst/esri_"
    wxLayer = L.tileLayerwx.wms(wxWMS, {
      layers: defmap,
      transparent: true,
      opacity:0.85
    });
    wxTimeLayer = L.timeDimension.layer.wmswx(wxLayer, {});
    wxTimeLayer.addTo(wsmap).setZIndex(4);
    
    dlines = L.tileLayer("http://b."+basepath+"/tiles/lines_gray/{z}/{x}/{y}.png", {attribution: ""})
      .addTo(wsmap).setZIndex(6);
    $("#"+defmap).prop("checked", true);
    checkBaseLayer(defbase);
    $("#basemapDropdown li").click(function(){
      var basemap=$(this).attr("id");
      checkBaseLayer(basemap);
    });
    
    getwindy(defmap,wsmap.timeDimension.getCurrentTimeIndex());
    wsmap.timeDimension.on('timeloading', function() { 
      updwindy();
    });
    
    legendchoose();
    
    $('#windonoff').change(function() {
      if($(this).prop('checked')){
        updwindy();
      }else{
        clearWind();
      }
    });
    $('#windcolor').change(function() {
      if($(this).prop('checked')){
        windColor=windColorLight;
        redraw();
      }else{
        windColor=windColorDark;
        redraw();
      }
    });
    
    $("#models").html($("#"+defmap.split("_")[0]).text().split("-")[0]);
    $("#modelDropdown li").on("click",function(){
      var model=$(this).text().split("-")[0];
      var modelid=$(this).attr("id");
      $("#models").html(model);
      $("#mapLayers ul").remove();
      $("#maplayer").html("Choose map");
      $("#"+modelid+"Dropdown").clone().appendTo("#mapLayers");
      $('[data-hover="dropdown"]').dropdownHover();
      layerdrop();
    });
    
    $("#"+defmap.split("_")[0]+"Dropdown").clone().appendTo("#mapLayers");
    $("#maplayer").html($("#"+defmap).text());
    $('[data-hover="dropdown"]').dropdownHover();
    layerdrop();
    playerwidth();
    
  } // EOF LOADMAPS
  
  $(window).resize(function () {
    screenheight = $(window).height();
    screenwidth = $(window).width();
    $("#wrapper").css({height: screenheight+"px"});
    $("#map").css({height: screenheight+"px"});
    playerwidth();
    legendchoose();
  });
  
  function playerwidth(){
    /*Chewing-gum for the player to show up correctly in mobile devices...*/
    var mapwidth=$("#map").width();
    if(mapwidth<650){
      $('.timecontrol-backward, .timecontrol-play, .timecontrol-forward').css({"min-width":(mapwidth*0.14)+"px"});
      $('.timecontrol-date').css({"min-width":(mapwidth*0.50)+"px"});
      $('.timecontrol-slider').css({"min-width":(mapwidth*0.55)+"px"});
      $('.timecontrol-speed').css({"min-width":(mapwidth*0.35)+"px","max-width":(mapwidth*0.35)+"px"});
    }else if(mapwidth<760){
      $('.timecontrol-backward, .timecontrol-play, .timecontrol-forward').css({"min-width":"40px"});
      $('.timecontrol-date').css({"min-width":"165px"});
      $('.timecontrol-slider').css({"min-width":(mapwidth-474)+"px","max-width":(mapwidth - 474)+"px"});
      $('.timecontrol-speed').css({"min-width":"145px","max-width":"145px"});
    }else{
      $('.timecontrol-backward, .timecontrol-play, .timecontrol-forward').css({"min-width":"40px"});
      $('.timecontrol-date').css({"min-width":"170px"});
      $('.timecontrol-slider').css({"min-width":"300px"});
      $('.timecontrol-speed').css({"min-width":"150px","max-width":"150px"});
    }
    if(mapwidth<650){
      $('#lelegend').css({"bottom":"95px"});
    }else if(mapwidth<900){
      $('#lelegend').css({"bottom":"60px"});
    } else {
      $('#lelegend').css({"bottom":"10px"});
    }
  }
  
  function legendchoose(){
    var mapwidth=$("#map").width();
    var mapheight=$("#map").height();
    var mo=layerPath.split("_")[0];
    var ty=layerPath.split("_")[1];
    if(ty=="baro"||ty=="cin"||ty=="clouds"||mapheight<430){
      $("#lelegend").animate({height: "hide", width: "hide"}, 100, "linear").html("");
    }else{
      letable = ty;
      if(ty=="psnow"||ty=="rrate"){letable="precip1";}
      if(mo=="fmi"||mo=="mf"||mo=="dwd"){ 
        $(".lesleetsnow").show();
        $(".lehail, .lelight, .lefrz").hide();
        if(mo=="dwd"){$(".lelight").show();}
      }
      if(mo=="wrf"){$(".lesleetsnow, .lehail, .lelight, .lefrz").show();}
      if(mo=="gfs"||ty=="rrate"){$(".lesleetsnow, .lehail, .lelight, .lefrz").hide();}
      $("#lelegend").animate({height: "hide", width: "hide"}, 100, "linear").html("");
      $("."+letable).clone().appendTo("#lelegend").show();
      $("#lelegend").animate({height: "show", width: "show"}, 500, "linear").css({display:"inline-block"});
    }
  }
  
  function layerdrop(){
    $("#mapLayers li").on("click",function(){
      oldPath=layerPath.split("_")[0];
      oldTy = getType();
      layerPath=$(this).attr("id");
      newPath=layerPath.split("_")[0];
      newTy = getType();
      $("#maplayer").html($("#"+layerPath).text());
      getmStep(layerPath.split("_")[0]);
      var times = [];
      var now = Date.now();
      times.push(mTime);
      for(i=1;i<=mMax;i++){
        times.push((i*mStep)+mTime);
      }
      wxTimeLayer.setParams({layers:layerPath});
      if(oldPath!=newPath||oldTy!=newTy){
        wsmap.timeDimension.setAvailableTimes(times, "replace");
        wsmap.timeDimension.setCurrentTime(now);
        updwindy();
      }
      legendchoose();
    });
  }
  
  function getwindy(model,step){
    $.ajaxSetup({ cache: false });
    var moty = getType();
    $.getJSON(ewnpath+"ewn/ewn_proxy.php?callback=?",{"model":model,"step":step},function(result){
      canvasOverlay = L.canvasOverlay().drawing(redraw).addTo(wsmap);
      windy = new Windy({canvas: canvasOverlay.canvas(), data: result});
      context = canvasOverlay.canvas().getContext('2d');
      wsmap.on('dragstart', function() { clearWind() });
      wsmap.on('zoomstart', function() { clearWind() });
      wsmap.on('resize', function() { clearWind() });
      windyCache[model]=[];
      windyCache[model][moty]=[];
      windyCache[model][moty][step]=result;
    });
  }
  
  function updwindy(){
    if(wsmap.timeDimension._loadingTimeIndex>-1){
      var step = wsmap.timeDimension._loadingTimeIndex;
    }else{
      var step = wsmap.timeDimension.getCurrentTimeIndex();
    }
    model = layerPath;
    var moty = getType();
    if($("#windonoff").prop('checked')){
      if(wsmap.timeDimensionControl._player!==undefined&&wsmap.timeDimensionControl._player.isPlaying()){
        clearWind();
        if(isPlaying==-1){
          wsmap.on('playStopped', function() {
            if(wsmap.timeDimension._loadingTimeIndex>-1){
              var step = wsmap.timeDimension._loadingTimeIndex;
            }else{
              var step = wsmap.timeDimension.getCurrentTimeIndex();
            }
            updwindy();
          });
        }
        isPlaying=1;
      }else{
        if(windyCache[model]===undefined){windyCache[model]=[];}
        if(windyCache[model][moty]===undefined){windyCache[model][moty]=[];}
        if(windyCache[model][moty][step]===undefined){
          $.ajaxSetup({ cache: false });
          $.getJSON(ewnpath+"ewn/ewn_proxy.php?callback=?",{"model":model,"step":step},function(result){
            windy.params.data=result;
            windy.stop();
            redraw();
            windyCache[model][moty][step]=result;
          });
        }else{
          windy.params.data=windyCache[model][moty][step];
          windy.stop();
          redraw();
        }
      }
    }
  }
  
  function getType(){
    var moty = layerPath.split("_")[1];
    if(moty=="strm"){return "strm";}
    else if(moty=="wind250"){return "jet";}
    else{return "wind";}
  }

  function redraw(overlay, params) {
    if( timer ){window.clearTimeout( timer );} 
    if($("#windonoff").prop('checked')){
      timer = setTimeout(function() { 
        var bounds = wsmap.getBounds();
        var size = wsmap.getSize();
        windy.start( [[0,0],[size.x, size.y]], size.x, size.y, 
          [[bounds._southWest.lng, bounds._southWest.lat ],[bounds._northEast.lng, bounds._northEast.lat]] );
      },5);
    }
  }

  function clearWind() {
    windy.stop();
    context.clearRect(0,0,3000, 3000);
  }
 
	function checkBaseLayer(basemap){
    if(basemap=="gray"){
      lightmap.setUrl("http://a."+basepath+"/tiles/nat_g/{z}/{x}/{y}.png");
      dlines.setUrl("http://b."+basepath+"/tiles/lines_gray/{z}/{x}/{y}.png").bringToFront();
    }
    if(basemap=="normal"){
      lightmap.setUrl("http://a."+basepath+"/tiles/normday/{z}/{x}/{y}.png");
      dlines.setUrl("http://b."+basepath+"/tiles/lines_gray/{z}/{x}/{y}.png").bringToBack();
    }
    if(basemap=="sat"){
      lightmap.setUrl("http://a."+basepath+"/ArcGIS/rest/services/World_Imagery/MapServer/tile/{z}/{y}/{x}.png");
      dlines.setUrl("http://b."+basepath+"/tiles/lines_gray/{z}/{x}/{y}.png").bringToFront();
    }
    return false;
  }

  function getcuroffset() {
    var curtime = new Date().getTime();
    for (i=0; i<=maxoffset; i++) {
      if (mTime+(i*mStep) > curtime-mStep/2) {
        return i;
      }
    }
    return 0;
  }

  function savestorage(stpl){
    if($.jStorage.get("wrffrc")){boset=$.jStorage.get("wrffrc");}
    lastplaces = boset.lastplaces;
    lastplaces.unshift(stpl);
    if(lastplaces.length>12){lastplaces.pop();}
    boset.lastplaces=lastplaces;
    $.jStorage.set("wrffrc", boset);
    $.jStorage.setTTL("wrffrc", cookieage);
    return false;
  }

  function getmStep(val){
    if(val=="yr"){
      mStep=mapconf["yr"]["yrsteps"]*3600000;
      mTime = mapconf["yr"]["yrtime"];
      mMax = (mapconf["yr"]["yrlength"]/mapconf["yr"]["yrsteps"]);
      $("#attrTxt").html('Data: Norwegian Meteorological Institute, <a target="_blank" href="http://www.met.no">met.no</a>');
    }
    if(val=="fmi"){
      mStep=mapconf["fmi"]["fmisteps"]*3600000;
      mTime = mapconf["fmi"]["fmitime"];
      mMax = (mapconf["fmi"]["fmilength"]/mapconf["fmi"]["fmisteps"]);
      $("#attrTxt").html('Data: Finnish Meteorological Institute, <a target="_blank" href="http://www.fmi.fi">fmi.fi</a>');
    }
    if(val=="dwd"){
      mStep=mapconf["dwd"]["dwdsteps"]*3600000;
      mTime = mapconf["dwd"]["dwdtime"];
      mMax = (mapconf["dwd"]["dwdlength"]/mapconf["dwd"]["dwdsteps"]);
      $("#attrTxt").html('Data: Deutscher Wetterdienst, <a target="_blank" href="http://www.dwd.de">dwd.de</a>');
    }
    if(val=="wrf"){
      mStep=mapconf["wrf"]["wrfsteps"]*3600000;
      mTime = mapconf["wrf"]["wrftime"];  
      mMax = (mapconf["wrf"]["wrflength"]/mapconf["wrf"]["wrfsteps"]);
      $("#attrTxt").html('Data: EWN WRFDA, <a target="_blank" href="http://www.europeanweathernetwork.eu">European Weathernetwork</a>');
    }
    if(val=="gfs"){
      mStep=mapconf["gfs"]["gfssteps"]*3600000;
      mTime = mapconf["gfs"]["gfstime"];  
      mMax = (mapconf["gfs"]["gfslength"]/mapconf["gfs"]["gfssteps"]);
      $("#attrTxt").html('Data: Global Forecast System (GFS), <a target="_blank" href="http://www.noaa.gov/">NOAA</a>');
    }
    if(val=="mf"){
      mStep=mapconf["mf"]["mfsteps"]*3600000;
      mTime = mapconf["mf"]["mftime"];
      mMax = (mapconf["mf"]["mflength"]/mapconf["mf"]["mfsteps"]);
      $("#attrTxt").html('Data: Meteo France, <a target="_blank" href="http://www.meteofrance.com">meteofrance.com</a>');
    }
    if(val=="test"){
      mStep=mapconf["test"]["teststeps"]*3600000;
      mTime = mapconf["test"]["testtime"];  
      mMax = (mapconf["test"]["testlength"]/mapconf["test"]["teststeps"]);
      $("#attrTxt").html('Data: GEM-GDPS, <a target="_blank" href="http://weather.gc.ca/">Canadian Meteorological Centre</a>');
    }
    return false;
  }

function isNumber(n) {
  return !isNaN(parseFloat(n)) && isFinite(n);
}

});  //EOF DOC-READY

} // dostuff


