var yTitles = {color: "#666666", fontWeight: "bold",fontSize:"11px",fontFamily: 'ubunturegular'};
var yLabels = {fontWeight: "normal",fontSize:"11px",fontFamily: 'ubunturegular'};
var isTouch = Modernizr.touch;
var haveGPS = false;
var tempoptions,tsoptions,chart,chart2,chart3,wicY=320,sw,map4,last,gs,gloaded=false;
var stat1options,stat2options,mstat1options,mstat2options;
var stat1series,stat2series,stat3series,mstat1series,mstat2series,mstat3series;

$(document).ready(function(){

  define_hc();

  $('[data-toggle="tooltip"]').tooltip();
  $('[data-toggle="popover"]').popover();
  
  if(isTouch){
    if(navigator.geolocation){
      haveGPS = true;
      function positionSuccess(location) {
        $.cookie("ewnloc", location.coords.latitude+"|"+location.coords.longitude, { expires : 1 });
      }
      function positionFail() {}
      var options = { enableHighAccuracy: true,timeout: 5000,maximumAge: 240000};
      navigator.geolocation.getCurrentPosition(positionSuccess, positionFail,options);
    }
  }
  
    /*##############################################################################################*/

  $('#searchflag').popover({template: '<div class="popover popover-flags"><div class="arrow"></div><div class="popover-inner"><h3 class="popover-title"></h3><div class="popover-content"><p></p></div></div></div>'});
  
  $('#searchflag').on('shown.bs.popover', function () {
    $("#flagclose").click(function(){$("#searchflag").popover("hide");});
    $(".popoverflags").click(function(){
      $("#searchflag").removeClass();
      var co = $(this).attr("data-country");
      $("#searchflag").addClass("knob");
      $("#searchflag").addClass("knob-"+co.toUpperCase());
      $("#searchflag").attr('data-co',co);
      $('#searchflag').popover('hide');
    });
  });
  
  $("#city").autocomplete({
    source: function( request, response ) {
      $.ajax({
        url: "http://euweather.eu/backend/misc/yrdb.php",
        dataType: "jsonp",
        cache: true,
        jsonpCallback: "yrplacequery",
        data: {maxRows: 20,term: request.term,country: $("#searchflag").attr("data-co")},
        success: function( data ) {
          act='Q';
          response( $.map( data.geonames, function( item ) {
            return {label:item.name,desc:"<small>("+item.area+")</small>",value:item.name,lat:item.lat,lon:item.lon,idnum:item.idnum,fclass:item.fclass,fcode:item.fcode}
          }));
        }
      });
    },
    minLength: 2,
    select: function( event, ui ) {
      url='http://'+window.location.hostname+window.location.pathname+'?fl='+$("#searchflag").attr("data-co")+'&lang='+lang+'&geoid='+ui.item.idnum+'&city='+ui.item.value+p;
      window.location.href=url;
    },
  }).data( "autocomplete" )._renderItem = function( ul, item ) {
    ul.css({zIndex:999999999});
    if(act=="Q"){$( "<li class='q'><img class='qimg' src='http://euweather.eu/img/house.png'/>"+txtqa+"...</li>" ).appendTo(ul);}
    if(act!=item.fclass&&item.fclass=="T"){$( "<li class='q'><img class='qimg' src='http://euweather.eu/img/peak.png'/>"+txtqb+"...</li>" ).appendTo(ul);}
    if(act!=item.fclass&&item.fclass=="H"){$( "<li class='q'><img class='qimg' src='http://euweather.eu/img/marina.png'/>"+txtqc+"...</li>" ).appendTo(ul);}
    act=item.fclass;
    return $( "<li></li>" )
      .data( "item.autocomplete", item )
      .append( "<a>" + item.label + "<br>" + item.desc + "</a>" )
      .appendTo( ul );
  }
  
    /*##############################################################################################*/
  
  if($.jStorage.get("ewnwunit")){
    wiset=$.jStorage.get("ewnwunit");
    $.cookie("ewnwunit", wiset, { expires : 365 });
  }
  
  if($.jStorage.get("ewnfavo")){
    ewnfavo=$.jStorage.get("ewnfavo");
    $.cookie("ewnfavo", ewnfavo, { expires : 365 });
    if(ewnfavo.length>0 && typeof geoid !== "undefined"){
      for(i=0;i<ewnfavo.length;i++){
        if(ewnfavo[i].id===geoid){$("#favoaddbtn").hide();}
      }
    }
  }
  if($.jStorage.get("ewndef")){
    ewndef=JSON.parse($.jStorage.get("ewndef"));
    $.cookie("ewndef", JSON.stringify(ewndef), { expires : 365 });
    if(typeof geoid !== "undefined" && geoid===ewndef.id){
      $("#favoaddbtn").hide();
    }
  }
  getfavotable(ewnfavo,true);
  
  $(".favobtn").popover({template: '<div class="popover" style="min-width:250px"><div class="arrow"></div><div class="popover-inner"><h3 class="popover-title"></h3><div class="popover-content"><p></p></div></div></div>'});
  
  $("#favoaddbtn").click(function(){
    $("#favoaddbtn").popover("show");
    $("#favoaddbtn").blur();
    fav={id:geoid,co:co,na:dname};
    if(ewnfavo.length<1){
      $.jStorage.set("ewndef", JSON.stringify(fav));
      $.jStorage.setTTL("ewndef", 32000000000);
      $.cookie("ewndef", JSON.stringify(fav), { expires : 365 });
      ewndef=JSON.parse($.jStorage.get("ewndef"));
    }
    if( typeof ewnfavo === "string"){ 
      ewnfavo = [];
      ewnfavo.push(fav);
    }else{
      var found=false;
      for(i=0;i<ewnfavo.length;i++){
        if(ewnfavo[i].id===geoid){found=true;}
      }
      if(!found){ewnfavo.push(fav);}
    }
    getfavotable(ewnfavo,true);
    $.jStorage.set("ewnfavo", ewnfavo);
    $.jStorage.setTTL("ewnfavo", 32000000000);
    $.cookie("ewnfavo", ewnfavo, { expires : 365 });
    setTimeout(function(){
      $("#favoaddbtn").popover("hide");
      $("#favoaddbtn").fadeOut("slow");
    },2000);
  });
  
  $(".favobtn").click(function(){$("#favobtn").blur();});
  $(".favobtn").on("shown.bs.popover", function () {
    $("#gearclose").click(function(){$(".favobtn").popover("hide");});
    $(".favostar").click(function(){
      gid=$(this).attr("data-id");
      gco=$(this).attr("data-fl");
      gna=$(this).attr("data-na");
      $(".favostar").removeClass("fa-star").addClass("fa-star-o");
      $(this).removeClass("fa-star-o").addClass("fa-star");
      fav={id:gid,co:gco,na:gna};
      $.jStorage.set("ewndef", JSON.stringify(fav));
      $.jStorage.setTTL("ewndef", 32000000000);
      $.cookie("ewndef", JSON.stringify(fav), { expires : 365 });
      getfavotable(ewnfavo,false);
    });
    $(".favodel").click(function(){
      gid=$(this).attr("data-id");
      var newfav=[];
      for(i=0;i<ewnfavo.length;i++){
        if(gid!=ewnfavo[i].id){
          newfav.push(ewnfavo[i]);
        }
      }
      if(gid==geoid){$("#favoaddbtn").fadeIn("slow");}
      ewnfavo=newfav;
      $.jStorage.set("ewnfavo", ewnfavo);
      $.jStorage.setTTL("ewnfavo", 32000000000);
      $.cookie("ewnfavo", ewnfavo, { expires : 365 });
      getfavotable(ewnfavo,true);
      $("#favobtn").popover("show");
    });
    $("#"+wiset).prop("checked", true);
    $(".wunitbox").change(function(){
      wiset=$('input[name=wunit]:checked').attr('id');
      $.jStorage.set("ewnwunit", wiset);
      $.jStorage.setTTL("ewnwunit", 32000000000);
      $.cookie("ewnwunit", wiset, { expires : 365 });
      url='http://'+window.location.hostname+req;
      window.location.href=url;
    });
    if(haveGPS){ 
      $("#gpsbtn").show();
      $("#gpsbtn").click(function(){locateme();});
    }
  });
  
  function getfavotable(ewnfavo,upd){
    favotable="";
    for(i=0;i<ewnfavo.length;i++){
      url="http://"+window.location.hostname+window.location.pathname+"?fl="+ewnfavo[i].co+"&lang="+lang+"&geoid="+ewnfavo[i].id+p;
      if(ewndef.id==ewnfavo[i].id){
        defstar="<i class='fa fa-star favostar' data-id='"+ewnfavo[i].id+"' data-fl='"+ewnfavo[i].co+"'"+
          "data-na='"+ewnfavo[i].na+"'></i>";
      }else{
        defstar="<i class='fa fa-star-o favostar' data-id='"+ewnfavo[i].id+"' data-fl='"+ewnfavo[i].co+"'"+
          "data-na='"+ewnfavo[i].na+"'></i>";
      }
      favotable+="<div id='fa"+ewnfavo[i].id+"' style='border-bottom:1px solid #ccc;min-width:200px;line-height:30px;'>"+
        "<i class='fa fa-times favodel' data-id='"+ewnfavo[i].id+"'></i>"+
        defstar+"<a href='"+url+"'>"+ewnfavo[i].na+"</a></div>";
    }
    if(upd&&ewnfavo.length>0){
      favotable=setboxa+"<div id='favotable'>"+favotable+"</div>"+setboxb;
      $(".favobtn").attr("data-content",favotable);
    }else if(ewnfavo.length===0){
      favotable=setboxa+"<div id='favotable'>"+nofavotxt+"</div>"+setboxb;
      $(".favobtn").attr("data-content",favotable);
      fav=false;
      $.jStorage.set("ewndef", JSON.stringify(fav));
      $.jStorage.setTTL("ewndef", 32000000000);
      $.cookie("ewndef", JSON.stringify(fav), { expires : 365 });
    }else{
      favotable=setboxa+"<div id='favotable'>"+favotable+"</div>"+setboxb;
      if(ewnfavo.length>0){$(".favobtn").attr("data-content",favotable);}
    }
  }
  
  /*###########################################################################################*/
  /* FRONT */

  $.ajaxSetup({ cache: false });
  $.getJSON("http://www.euweather.eu/scripts/get_currcond.php?callback=?",{"lang":lang,"lat":lat,"lon":lon,"lang":lang,"tk":tk,"nolinks":1,"wiset":wiset},
  function(data) {
    $("#currcondtable").html(data.data)
  });
    
  var tw = $("#dummy").html('Day 1 - 3').width();
  $(".frcPanel").css({height: (tw+25)+"px"});
  
  $(".frcPanel").click(function () {
    $("#frcPanels .selected").removeClass("selected");
    $(this).addClass("selected");
    var target = $(this).attr("id");
    target = target.replace("Tab", "Panel");
    $(".collapsePanels").hide();
    $("#"+target).show();
    return false;          
  });
    
  /*##############################################################################################*/
  
  var quarter = Math.round((Date.now()-(15*60000)) / (15 * 60000)) * (15 * 60000);
  var q = new Date(quarter);
  var utc = new Date(q.getTime() + q.getTimezoneOffset() * 60000);
  var eudate = utc.format("yyyymmdd.HHMM");
  var rdate = utc.format("yyyy-mm-dd")+"T"+utc.format("HH:MM")+"Z";
  var ukdate = utc.format("yyyy-mm-dd")+"T"+utc.format("HH:MM")+":00Z";
 
  var centerMarker = L.icon({iconUrl:"http://euweather.eu/img/geo_marker.png",iconSize:[16,16],iconAnchor:[8,8]});
  var divcold = L.divIcon({class:'mdivicons',html:'<i class="fa fa-arrow-circle-down" style="color:#104E8B;"></i>'});
  var divwarm = L.divIcon({class:'mdivicons',html:'<i class="fa fa-arrow-circle-up" style="color:#CD2626;"></i>'});
  var divwind = L.divIcon({class:'mdivicons',html:'<i class="fa fa-flag" style="color:#8B2500;"></i>'});
  var divprec = L.divIcon({class:'mdivicons',html:'<i class="fa fa-tint" style="color:#4876FF;"></i>'});

  // Map 1
  var map1 = L.map("frontmap1", { zoomControl:false }).setView([lat, lon], 6);
  map1.attributionControl.setPrefix("");
  map1.options.maxZoom = 8;
  map1.options.minZoom = 4;
  L.tileLayer("http://a.maps.nordicweather.net/tiles/gray/{z}/{x}/{y}.png", {
    attribution: ""
  }).addTo(map1);
  L.tileLayer("http://b.maps.nordicweather.net/tiles/frcst/esri_wrf_severe_d_b_1/{z}/{x}/{y}.png", 
  {attribution: ""}).addTo(map1);
  L.marker([lat,lon], {icon: centerMarker}).addTo(map1);
  
  // Map 2
  var map2 = L.map("frontmap2", { zoomControl:false }).setView([lat, lon], 6);
  map2.attributionControl.setPrefix("");
  map2.options.maxZoom = 8;
  map2.options.minZoom = 4;
  L.tileLayer("http://a.maps.nordicweather.net/tiles/gray/{z}/{x}/{y}.png", {
    attribution: ""
  }).addTo(map2);
  if(pco=="FI"){
    var southWest = L.latLng(58,18),
    northEast = L.latLng(72,32),
    bounds = L.latLngBounds(southWest, northEast);
    L.tileLayer("http://c.nordicweather.net/tiles/fmi/esri_fmidbz1/{z}/{x}/{y}.png", 
      {attribution: "Radar: <a href=\'http://www.fmi.fi\' target=\'_blank\'>FMI</a>",opacity:0.55,zIndex:10,
      bounds:bounds}).addTo(map2);
  }
  if(pco=="NL"){
    var southWest = L.latLng(49,0),
    northEast = L.latLng(55,11),
    bounds = L.latLngBounds(southWest, northEast);
    L.tileLayer("http://144.76.141.140/knmiradar/{z}/{x}/{y}.png", 
      {attribution: "Radar: <a href=\'http://www.knmi.nl\' target=\'_blank\'>KNMI</a>",opacity:0.55,zIndex:10,
      bounds:bounds}).addTo(map2);
  }
  if(pco=="DE"){
    var southWest = L.latLng(47,5.5),
    northEast = L.latLng(55,14.5),
    bounds = L.latLngBounds(southWest, northEast);
    L.tileLayer("http://188.165.139.117/dwd/1/{z}/{x}/{y}.png", 
      {attribution: "Radar: <a href=\'http://www.dwd.de\' target=\'_blank\'>DWD</a>",opacity:0.55,zIndex:10,
      bounds:bounds}).addTo(map2);
  }
  if(pco=="UK"){
    var imageUrl = "http://datapoint.metoffice.gov.uk/public/data/layer/wxobs/RADAR_UK_Composite_Highres/png?TIME="+ukdate+"&key=9e00f6aa-29e1-43bb-8ea9-9a9bdad0142c";
    var imageBounds = [[48, -12], [61, 5]];
    ukmoradar = L.imageOverlay(imageUrl, imageBounds,{opacity:0.55});
  }
  if(pco=="scand"){
    var southWest = L.latLng(52.5,0),
    northEast = L.latLng(72.5,32.5),
    bounds = L.latLngBounds(southWest, northEast);
    L.tileLayer.wms("http://public-wms.met.no/verportal/verportal.map",
      {"layers":"radar_precipitation_intensity","format":"image/png","time":rdate,"transparent":true, 
      attribution: "Radar: <a href=\'http://www.yr.no\' target=\'_blank\'>YR</a>",opacity:0.55,zIndex:10,
      bounds:bounds});
  }
  L.tileLayer("http://a.nordicweather.net/tiles/botiles/{z}/{x}/{y}.png", 
  {attribution: strtxt+": <a href='http://www.blitzortung.org' target='_blank'>Blitzortung</a>"}).addTo(map2);
  L.marker([lat,lon], {icon: centerMarker}).addTo(map2);
  
  // Map 3
  getmStep(defmap.split("_")[0]);
  curoffset = getcuroffset();
  startLayer = curoffset+1;
  var map3 = L.map("frontmap3", { zoomControl:false }).setView([lat, lon], 6);
  map3.attributionControl.setPrefix("");
  map3.options.maxZoom = 8;
  map3.options.minZoom = 4;
  L.tileLayer("http://a.maps.nordicweather.net/tiles/gray/{z}/{x}/{y}.png", {
    attribution: ""
  }).addTo(map3);
  L.tileLayer("http://a.maps.nordicweather.net/tiles/frcst/esri_"+defmap+"_"+startLayer+"/{z}/{x}/{y}.png", {
    attribution: "",opacity:0.85
  }).addTo(map3);
  L.marker([lat,lon], {icon: centerMarker}).addTo(map3);
  
  // Map 4
  map4 = L.map("frontmap4", { zoomControl:false }).setView([lat, lon], 9);
  map4.attributionControl.setPrefix("");
  map4.options.maxZoom = 13;
  map4.options.minZoom = 4;
  L.tileLayer("http://a.maps.nordicweather.net/tiles/normday/{z}/{x}/{y}.png", {
    attribution: ""
  }).addTo(map4);
  var markers = new L.MarkerClusterGroup({maxClusterRadius:40});
  map4.addLayer(markers);
  getlocations();

  map4.on('moveend', function(e) {      
    getlocations();
  });

  $("#sevinfo").on("mouseover", function() {$("#sevinfo").popover('show');});
  $("#sevinfo").on("mouseout", function() {$("#sevinfo").popover('hide');});
  
  function getcuroffset() {
    var curtime = new Date().getTime();
    for (i=0; i<=12; i++) {
      if (mTime+(i*mStep) > curtime-mStep/2) {
        return i;
      }
    }
    return 0;
  }
  
  function getmStep(val){
    if(val=="yr"){
      mStep=mapconf["yr"]["yrsteps"]*3600000;
      mTime = mapconf["yr"]["yrtime"];
    }
    if(val=="fmi"){
      mStep=mapconf["fmi"]["fmisteps"]*3600000;
      mTime = mapconf["fmi"]["fmitime"];
    }
    if(val=="dwd"){
      mStep=mapconf["dwd"]["dwdsteps"]*3600000;
      mTime = mapconf["dwd"]["dwdtime"];
    }
    if(val=="wrf"){
      mStep=mapconf["wrf"]["wrfsteps"]*3600000;
      mTime = mapconf["wrf"]["wrftime"];  
    }
    if(val=="gfs"){
      mStep=mapconf["gfs"]["gfssteps"]*3600000;
      mTime = mapconf["gfs"]["gfstime"];  
    }
    if(val=="mf"){
      mStep=mapconf["mf"]["mfsteps"]*3600000;
      mTime = mapconf["mf"]["mftime"];
    }
    if(val=="test"){
      mStep=mapconf["test"]["teststeps"]*3600000;
      mTime = mapconf["test"]["testtime"];  
    }
    return false;
  }
  
  function getlocations(){
    bounds = map4.getBounds();
    if(last===undefined||bounds._southWest.lng<last.minlon||bounds._northEast.lng>last.maxlon||
    bounds._southWest.lat<last.minlat||bounds._northEast.lat>last.maxlat){
      markers.clearLayers();
      c=map4.getCenter();
      $.getJSON("http://www.euweather.eu/scripts/get_locations.php?callback=?",{"lat":c.lat,"lon":c.lng},function(data) {
        last=data.ext;
        $.each(data.data, function() {
          var popup = new L.Rrose({autoPan:false,closeButton:false}).setLatLng([this.lat,this.lon]).setContent(this.loc);
          marker=L.marker([this.lat,this.lon], {icon: centerMarker,gid:this.id,gco:this.co}).bindPopup(popup);
          marker.on('click', function(e) {
            console.log(e.target.options.gid);
            url='http://'+window.location.hostname+window.location.pathname+'?fl='+e.target.options.gco+'&lang='+lang+'&geoid='+e.target.options.gid+p;
          window.location.href=url;
          });
          markers.addLayer(marker);
        });
      });
      markers.on("mouseover", function(e) {e.layer.openPopup();setTimeout(function(){e.layer.closePopup();},2500);});
     // markers.on("mouseout", function(e) {e.layer.closePopup();});
    }
  }
  
  /*###########################################################################################*/
  /* FORECAST */
    
    chart = new Highcharts.Chart(tempoptions);
    drawwindbox();
    gs=0;
    drawgraphiconswx(hourgraph.svg, "hourgraph", 20, gs);
    drawgraphiconswind(hourgraph.svg,wicY);
        
    $(".graphPanel").click(function () {
      $(".graphPanel").removeClass("selected");
      $(this).addClass("selected");
      var target = $(this).attr("id");
      target = target.replace("Panel", "");
      if(target=="temp"){
        chart = new Highcharts.Chart(tempoptions);
        drawwindbox();
        gs=0;
        drawgraphiconswx(hourgraph.svg, "hourgraph", 20, gs);
        drawgraphiconswind(hourgraph.svg,wicY);
      }
      if(target=="baro"){
        chart = new Highcharts.Chart(tsoptions);
        drawwindbox();
        gs=1;
        drawgraphiconswx(hourgraph.svg, "hourgraph", 20, gs);
        drawgraphiconswind(hourgraph.svg,wicY);
      }
      if(target=="snow"){
        chart = new Highcharts.Chart(snowoptions);
        gs=0;
      }
    });
    
    $(".frcnavs").click(function () {
      $(".frcnavs").removeClass("selected");
      $(this).addClass("selected");
      var target = $(this).attr("id");
      $(".frctables").hide();
      $("#"+target+"table").show();
      if(target==="frc3"){}
      if(target==="frc5"){
        $.getJSON("http://www.euweather.eu/backend/frc/data_ew_stats.php?callback=?",{"lat":lat,"lon":lon},function(data) {
          do_statgraph(data.graph2);
          
          stgraph1=stat1options;
          stgraph1.series=stat1series;
          chart2 = new Highcharts.StockChart(stgraph1);
          $(".statPanel").click(function () {
            $(".statPanel").removeClass("selected");
            $(this).addClass("selected");
            var target = $(this).attr("id");
            target = target.replace("Panel", "");
            if(chart2){chart2.destroy();chart2 = null;}
            if(target=="error"){
              stgraph1=stat1options;
              stgraph1.series=stat1series;
              chart2 = new Highcharts.StockChart(stgraph1);
            }
            if(target=="ges"){
              stgraph1=stat2options;
              stgraph1.series=stat2series;
              chart2 = new Highcharts.StockChart(stgraph1);
            }
            if(target=="rms"){
              stgraph1=stat2options;
              stgraph1.series=stat3series;
              chart2 = new Highcharts.StockChart(stgraph1);
            }
          });
          stgraph2=mstat1options;
          stgraph2.series=mstat1series;
          chart3 = new Highcharts.StockChart(stgraph2);
          $(".mstatPanel").click(function () {
            $(".mstatPanel").removeClass("selected");
            $(this).addClass("selected");
            var target = $(this).attr("id");
            target = target.replace("Panel", "");
            if(chart3){chart3.destroy();chart3 = null;}
            if(target=="error"){
              stgraph2=mstat1options;
              stgraph2.series=mstat1series;
              chart3 = new Highcharts.StockChart(stgraph2);
            }
            if(target=="ges"){
              stgraph2=mstat2options;
              stgraph2.series=mstat2series;
              chart3 = new Highcharts.StockChart(stgraph2);
            }
            if(target=="rms"){
              stgraph2=mstat2options;
              stgraph2.series=mstat3series;
              chart3 = new Highcharts.StockChart(stgraph2);
            }
          });
        });
       
        $(".compPanel").click(function () {
          $(".compPanel").removeClass("active");
          $(this).addClass("active");
          var target = $(this).attr("id");
          target = target.replace("Panelb", "");
          $(".comps").hide();
          if(target=="temp"){
            $(".comp_temp").show();
            $(".comps1").show();
          }
          if(target=="baro"){
            $(".comp_prmsl").show();
            $(".comps1").show();
          }
          if(target=="wind"){
            $(".comp_wspd").show();
            $(".comps1").show();
          }
          if(target=="prec"){
            $(".comp_prec").show();
            $(".comps1").hide();
          }
        });
      }
      
      return false;          
    });
  
  /*##############################################################################################*/
  
  function define_hc(){
  Highcharts.setOptions({
    lang: {weekdays: days,shortMonths: months,thousandsSep: ""},
    chart: {
      defaultSeriesType: "spline",
      backgroundColor: "#F2F2F2",
      plotBackgroundColor: {linearGradient: [0, 0, 0, 150],stops: [[0, "#eee"],[1, "#f2f2f2"]]},
      plotBorderColor: "#88BCCE",
      marginBottom: 100,
      marginRight: 40,
      marginTop: 30,
      plotBorderWidth: 1,
      zoomType: 'x',
      style: yLabels,
      events: {
        redraw: function(event) {
          if (chart.xAxis) {
            drawgraphiconswx(hourgraph.svg, "hourgraph", 20, gs);
            drawgraphiconswind(hourgraph.svg,wicY);
          }
        }
      }
    },
    title: {text: ""},
    credits: {enabled: false},
    plotOptions: {
      spline: {lineWidth: 1.8, shadow: false, marker: {enabled: false,radius:3,states: {hover: {enabled: true}}}},
      column: {lineWidth:0,pointWidth:24,pointPlacement:-0.5,groupPadding: 0,pointPadding: 0,borderWidth: 0,shadow: false},
      areaspline: {lineWidth: 1.5, shadow: false,marker: {enabled: false,radius:3,states: {hover: {enabled: true}}}}
    },
    tooltip: {
      shared: true,
      useHTML: true,
      crosshairs: { width: 0.5,color: "#666"},
      formatter: function () { 
        var index = this.points[0].point.index;
        var ret = "<b>" + Highcharts.dateFormat("%A %H:%M", this.x) +"</b>";
        ret += "<table>";
        Highcharts.each(this.points, function (point) {
          var series = point.series;
          if(series.name!="6h "+prectxt&&series.name!="3h "+prectxt&&series.name!=rangetxt){
            ret += '<tr><td><span style="color:' + series.color + '">\u25CF</span> ' + series.name +
            ': </td><td style="white-space:nowrap">' + Highcharts.pick(point.point.value, point.y).toFixed(1) +
            series.options.tooltip.valueSuffix + '</td></tr>';
          }
          if(series.name==rangetxt){
            ret += '<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;' + rangetxt +
            ': </td><td style="white-space:nowrap">' + Highcharts.pick(point.point.low, point.y).toFixed(1) +
            series.options.tooltip.valueSuffix + ' - ' + Highcharts.pick(point.point.high, point.y).toFixed(1) +
            series.options.tooltip.valueSuffix + '</td></tr>';
          }
        });
        
        if(this.points[0].point.series.name!=snowtxt){
          var precval=hourgraph.prectip[this.x][0];
          var minprecval=hourgraph.prectip[this.x][1];
          var maxprecval=hourgraph.prectip[this.x][2];
          if(maxprecval>0.0){
            ret += '<tr><td><span style="color:#4572A7">\u25CF</span> '+ prectxt +
            ': </td><td style="white-space:nowrap">'+ precval.toFixed(1) +' mm</td></tr>' +
            '<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;' + rangetxt +
            ': </td><td style="white-space:nowrap">'+ minprecval.toFixed(1) +' - '+ maxprecval.toFixed(1) +' mm</td></tr>';
          }else{
            ret += '<tr><td><span style="color:#4572A7">\u25CF</span> '+ prectxt +
            ': </td><td style="white-space:nowrap">'+ precval.toFixed(1) +' mm</td></tr>';
          }
        
          if(wiset=="ms"){wi="m/s";}
          if(wiset=="kmh"){wi="km/h";}
          if(wiset=="mph"){wi="mph";}
          if(wiset=="kts"){wi="kts";}
          if(wspdtip[this.x][1] > wspdtip[this.x][0]){
            ret += '<tr><td style="vertical-align: top">\u25CF '+windtxt+'</td><td style="white-space:nowrap">' + 
            wspdtip[this.x][0].toFixed(1)+' - '+wspdtip[this.x][1].toFixed(1)+' '+wi+'</td></tr>';
          }else{
            ret += '<tr><td style="vertical-align: top">\u25CF '+windtxt+'</td><td style="white-space:nowrap">' + 
            wspdtip[this.x][0].toFixed(1)+' '+wi+'</td></tr>';
          }
        }

        ret += "</table>";
        return ret;
      }
    },
    legend: {enabled: true, y:20,itemHiddenStyle: {color: '#aaa'}},
    exporting: {enabled:false},
    scrollbar: {enabled: true, height:20}
  });
  
  dailyX = { // Top X axis
    linkedTo: 0,
    type: "datetime",
    tickInterval: 24 * 3600 * 1000,
    labels: {
      format: '{value:<span style="font-size: 12px; font-weight: bold">%A %d %b</span>}',
      align: "left",
      x: 3,
      y: -5
    },
    opposite: true,
    gridLineWidth: 1.2,
    gridLineColor: "#88BCCE",
    tickLength: 20,
    tickColor: "#88BCCE",
    tickWidth: 1.2,
  };
  
  sw=$(window).width();
  xAxis1 = { // Bottom X axis
    type: "datetime",
    tickInterval: 3 * 36e5, // two hours
    minorTickInterval: 36e5, // one hour
    tickLength: 0,
    gridLineWidth: 0,
    gridLineColor: (Highcharts.theme && Highcharts.theme.background2) || "#F0F0F0",
    startOnTick: false,
    endOnTick: false,
    minPadding: 0,
    maxPadding: 0,
    offset: 30,
    showLastLabel: true,
    labels: {
      format: "{value:%H}",
      y:16
    },
    max: hourgraph.jstart + (sw * 300 * 1000)
  };
  
  tempYAxis = [
    { // Temperature
      title: {text: null},labels: {format: "{value}°",x: -3},
      plotLines: [{ value: 0,color: "#aaa",width: 1,zIndex: 2}],maxPadding: 0.3,tickInterval: 2,gridLineWidth: 0   
    },{ // precipitation axis
      title: {text: null},labels: {enabled: false},gridLineWidth: 0,min:0,minRange:10,tickLength: 0
    },{ // Air pressure 
      title: { text: "hPa",offset: 0,align: "high",rotation: 0,style: yTitles,textAlign: "left",x: 3,y:8},
      labels: {y: 2,x: 3},
      allowDecimals: false,gridLineWidth: 0.4,opposite: true,showLastLabel: false
    }];
  
  tsYAxis = [
    {
      gridLineWidth: 0.4,min: 0,showLastLabel: false,
      title: {text: "J/kg",offset: 0,align: "high",rotation: 0,style: yTitles,textAlign: "right",x: -2,y:8},
      labels: {style: yLabels,x: -3} 
    },{
      plotLines: [{ value: 0,color: "#aaa",width: 1,zIndex: 2}],
      gridLineWidth: 0,maxPadding: 0.3,opposite: true,tickInterval: 2,showLastLabel: false,
      title: {text: "C/K",offset: 0,align: "high",rotation: 0,style: yTitles,textAlign: "left",x: 3,y:8},
      labels: {format: "{value}°",align: "left",x: 4,style:yLabels}
    }];
    
  snowYAxis = [
    {
      gridLineWidth: 0.4,min: 0,showLastLabel: false,
      title: {text: "cm",offset: 0,align: "high",rotation: 0,style: yTitles,textAlign: "right",x: -2,y:8},
      labels: {style: yLabels,x: -3} 
    }];

  tempoptions = {
    chart: {marginBottom: 50,renderTo: "hourgraph"},
    xAxis: [xAxis1,dailyX],
    yAxis: tempYAxis,
    series: [{
      name: temptxt,data: smoothline(hourgraph.tempdata),tooltip: {valueSuffix: "°C"},
      zIndex: 1,color: "#FF3333",negativeColor: "#48AFE8"
    },{
      name: "3h "+prectxt,data: hourgraph.maxprecdata,type: "column",color:"#7EC0EE",yAxis: 1,
      dataLabels: {enabled: false,formatter: function () {if (this.y > 0) {return this.y;}},style: {fontSize: "9px"}},
      stacking: 'normal'
    },{
      name: "3h "+prectxt,data: hourgraph.precdata,type: "column",color:"#4572A7",yAxis: 1,
      dataLabels: {enabled: true,formatter: function () {if (this.y > 0) {return this.y;}},style: {fontSize: "9px",color:"#121212",textShadow:"0px"}},
      stacking: 'normal',linkedTo: ':previous',tooltip: {enabled: false,valueSuffix: " mm"}
    },{
      name: rangetxt,color:"#FF3333",data:hourgraph.temprange,type: "areasplinerange",tooltip: {valueSuffix: "°C"},lineWidth: 0,
      zIndex: 0,linkedTo: ':previous',fillOpacity: 0.3,negativeColor: "#48AFE8"
    },{
      name: dewtxt,data: smoothline(hourgraph.dewdata),tooltip: {valueSuffix: "°C"},
      color: "#698B22",visible: false
    },{
      name: feeltxt,data: smoothline(hourgraph.feeldata),tooltip: {valueSuffix: "°C"},
      color: "#4F94CD",dashStyle: "shortdot",visible: false
    },{
      name: barotxt,color: "#9ACD32",data: smoothline(hourgraph.barodata),
      tooltip: {valueSuffix: " hPa"},dashStyle: "shortdot",yAxis: 2
    }]
  };
  
  tsoptions = {
    chart: {marginBottom: 50,renderTo: "hourgraph"},
    xAxis: [xAxis1,dailyX],
    yAxis: tsYAxis,
    series: [{
      name: "CAPE",color:"#EE7621",type:"areaspline",data:hourgraph.capedata,
      tooltip: {valueSuffix: " J/kg"}
    },{
      name: "Lifted Index",color:"#6CA6CD",yAxis:1,data:hourgraph.lidata,
      tooltip: {valueSuffix: "°K"},negativeColor: "#FF3333"
    },{
      name: "Swiss",color:"#838B8B",dashStyle: 'shortdot',yAxis:1,data:hourgraph.swissdata,
      tooltip: {valueSuffix: ""},negativeColor: "#FF3333",visible: false
    },{
      name: dewtxt,data: smoothline(hourgraph.dewdata),yAxis:1,tooltip: {valueSuffix: "°C"},
      zIndex: 1,color: "#698B22",visible: false
    }]
  };
  
  snowoptions = {
    chart: {marginBottom: 50,renderTo: "hourgraph"},
    xAxis: [xAxis1,dailyX],
    yAxis: snowYAxis,
    series: [{
      name:snowtxt,color:"#3299CC",type:"areaspline",data:hourgraph.snowdata,
      tooltip: {valueSuffix: " cm"}
    }]
  };
  
  }
  
  function do_statgraph(statgraph){
  
  statX = { // Bottom X axis
    type: "datetime",
    tickLength: 0,
    gridLineWidth: 0,
    gridLineColor: (Highcharts.theme && Highcharts.theme.background2) || "#F0F0F0",
    startOnTick: false,
    endOnTick: false,
    minPadding: 0,
    maxPadding: 0,
    offset: 0,
    showLastLabel: true,
    labels: {format: "{value:%d/%m}",y:16}
  };
            
  stat1YAxis = [
    {
      gridLineWidth: 0.4,max:100,showLastLabel: true,
      title: {text: ""},
      labels: {style: yLabels,x: 4,y:5,format: '{value}%',align: "left"} 
    }];
    
  stat2YAxis = [
    {
      gridLineWidth: 0.4,min: 0,showLastLabel: true,
      title: {text: ""},
      labels: {style: yLabels,x: 4,y:5,format: '{value}°C',align: "left"} 
    }];
    
  stattooltip = {
    shared: true,
    useHTML: true,
    crosshairs: { width: 0.5,color: "#666"},
    formatter: function () { 
      var ret = "<b>" + Highcharts.dateFormat("%d/%m/%Y", this.x) +"</b>";
      ret += "<table>";
      Highcharts.each(this.points, function (point) {
        var series = point.series;
        ret += '<tr><td><span style="color:' + series.color + '">\u25CF</span> ' + series.name +
          ': </td><td style="white-space:nowrap">' + Highcharts.pick(point.point.value, point.y)+
          series.options.tooltip.valueSuffix + '</td></tr>';
      });
      ret += "</table>";
      return ret;
    }
  };
        
  rangeButtons = [
    {type: "month",count: 1,text: "1m"},
    {type: "month",count: 3,text: "3m"},
    {type: "month",count: 6,text: "6m"},
    {type: "all",text: "All"}
  ];
  
  stat1options = {
    chart: {marginBottom: 50,renderTo: "statgraph"},
    rangeSelector: {inputDateFormat: "%Y-%m-%d",inputEditDateFormat: "%Y-%m-%d",buttons:rangeButtons,selected:0},
    tooltip: stattooltip,
    scrollbar: {enabled: false},
    navigator: {enabled: false},
    legend:{enabled:true},
    xAxis: [statX],
    yAxis: stat1YAxis
  };
  
  stat2options = {
    chart: {marginBottom: 50,renderTo: "statgraph"},
    rangeSelector: {inputDateFormat: "%Y-%m-%d",inputEditDateFormat: "%Y-%m-%d",buttons:rangeButtons,selected:0},
    tooltip: stattooltip,
    scrollbar: {enabled: false},
    navigator: {enabled: false},
    legend:{enabled:true},
    xAxis: [statX],
    yAxis: stat2YAxis
  };
  
  mstat1options = {
    chart: {marginBottom: 50,renderTo: "mstatgraph"},
    rangeSelector: {inputDateFormat: "%Y-%m-%d",inputEditDateFormat: "%Y-%m-%d",buttons:rangeButtons,selected:0},
    tooltip: stattooltip,
    scrollbar: {enabled: false},
    navigator: {enabled: false},
    legend:{enabled:true},
    xAxis: [statX],
    yAxis: stat1YAxis
  };
  
  mstat2options = {
    chart: {marginBottom: 50,renderTo: "mstatgraph"},
    rangeSelector: {inputDateFormat: "%Y-%m-%d",inputEditDateFormat: "%Y-%m-%d",buttons:rangeButtons,selected:0},
    tooltip: stattooltip,
    scrollbar: {enabled: false},
    navigator: {enabled: false},
    legend:{enabled:true},
    xAxis: [statX],
    yAxis: stat2YAxis
  };
  
  stat1series = [
    {name: "EWN",data: statgraph.ewn,tooltip: {valueSuffix: "%"}},
    {name: "WRFDA",data: statgraph.ems,tooltip: {valueSuffix: "%"}},
    {name: "DWD",data: statgraph.icon,tooltip: {valueSuffix: "%"}},
    {name: "FMI",data: statgraph.fmi,tooltip: {valueSuffix: "%"}},
    {name: "YR",data: statgraph.yr,tooltip: {valueSuffix: "%"}},
    {name: "KNMI",data: statgraph.knmi,tooltip: {valueSuffix: "%"}},
    {name: "MF",data: statgraph.mf,tooltip: {valueSuffix: "%"}},
    {name: "GFS",data: statgraph.gfs,tooltip: {valueSuffix: "%"}},
    {name: "CMC",data: statgraph.cmc,tooltip: {valueSuffix: "%"}},
    {name: "WXSIM",data: statgraph.wxsim,tooltip: {valueSuffix: "%"}}
   ];

  stat2series = [
    {name: "EWN",data: statgraph.ewnges,tooltip: {valueSuffix: "°C"}},
    {name: "WRFDA",data: statgraph.emsges,tooltip: {valueSuffix: "°C"}},
    {name: "DWD",data: statgraph.iconges,tooltip: {valueSuffix: "°C"}},
    {name: "FMI",data: statgraph.fmiges,tooltip: {valueSuffix: "°C"}},
    {name: "YR",data: statgraph.yrges,tooltip: {valueSuffix: "°C"}},
    {name: "KNMI",data: statgraph.knmiges,tooltip: {valueSuffix: "°C"}},
    {name: "MF",data: statgraph.mfges,tooltip: {valueSuffix: "°C"}},
    {name: "GFS",data: statgraph.gfsges,tooltip: {valueSuffix: "°C"}},
    {name: "CMC",data: statgraph.cmcges,tooltip: {valueSuffix: "°C"}},
    {name: "WXSIM",data: statgraph.wxsimges,tooltip: {valueSuffix: "°C"}}
   ];
  
  stat3series = [
    {name: "EWN",data: statgraph.ewnrms,tooltip: {valueSuffix: "°C"}},
    {name: "WRFDA",data: statgraph.emsrms,tooltip: {valueSuffix: "°C"}},
    {name: "DWD",data: statgraph.iconrms,tooltip: {valueSuffix: "°C"}},
    {name: "FMI",data: statgraph.fmirms,tooltip: {valueSuffix: "°C"}},
    {name: "YR",data: statgraph.yrrms,tooltip: {valueSuffix: "°C"}},
    {name: "KNMI",data: statgraph.knmirms,tooltip: {valueSuffix: "°C"}},
    {name: "MF",data: statgraph.mfrms,tooltip: {valueSuffix: "°C"},},
    {name: "GFS",data: statgraph.gfsrms,tooltip: {valueSuffix: "°C"}},
    {name: "CMC",data: statgraph.cmcrms,tooltip: {valueSuffix: "°C"}},
    {name: "WXSIM",data: statgraph.wxsimrms,tooltip: {valueSuffix: "°C"}}
   ];
  
  mstat1series = [
    {name: "EWN",data: statgraph.mewn,tooltip: {valueSuffix: "%"}},
    {name: "WRFDA",data: statgraph.mems,tooltip: {valueSuffix: "%"}},
    {name: "DWD",data: statgraph.micon,tooltip: {valueSuffix: "%"}},
    {name: "FMI",data: statgraph.mfmi,tooltip: {valueSuffix: "%"}},
    {name: "YR",data: statgraph.myr,tooltip: {valueSuffix: "%"}},
    {name: "KNMI",data: statgraph.mknmi,tooltip: {valueSuffix: "%"}},
    {name: "MF",data: statgraph.mmf,tooltip: {valueSuffix: "%"}},
    {name: "GFS",data: statgraph.mgfs,tooltip: {valueSuffix: "%"}},
    {name: "CMC",data: statgraph.mcmc,tooltip: {valueSuffix: "%"}},
    {name: "WXSIM",data: statgraph.mwxsim,tooltip: {valueSuffix: "%"}}
   ];
  
  mstat2series = [
    {name: "EWN",data: statgraph.mewnges,tooltip: {valueSuffix: "°C"}},
    {name: "WRFDA",data: statgraph.memsges,tooltip: {valueSuffix: "°C"}},
    {name: "DWD",data: statgraph.miconges,tooltip: {valueSuffix: "°C"}},
    {name: "FMI",data: statgraph.mfmiges,tooltip: {valueSuffix: "°C"}},
    {name: "YR",data: statgraph.myrges,tooltip: {valueSuffix: "°C"}},
    {name: "KNMI",data: statgraph.mknmiges,tooltip: {valueSuffix: "°C"}},
    {name: "MF",data: statgraph.mmfges,tooltip: {valueSuffix: "°C"}},
    {name: "GFS",data: statgraph.mgfsges,tooltip: {valueSuffix: "°C"}},
    {name: "CMC",data: statgraph.mcmcges,tooltip: {valueSuffix: "°C"}},
    {name: "WXSIM",data: statgraph.mwxsimges,tooltip: {valueSuffix: "°C"}}
   ];
  
  mstat3series = [
    {name: "EWN",data: statgraph.mewnrms,tooltip: {valueSuffix: "°C"}},
    {name: "WRFDA",data: statgraph.memsrms,tooltip: {valueSuffix: "°C"}},
    {name: "DWD",data: statgraph.miconrms,tooltip: {valueSuffix: "°C"}},
    {name: "FMI",data: statgraph.mfmirms,tooltip: {valueSuffix: "°C"}},
    {name: "YR",data: statgraph.myrrms,tooltip: {valueSuffix: "°C"}},
    {name: "KNMI",data: statgraph.mknmirms,tooltip: {valueSuffix: "°C"}},
    {name: "MF",data: statgraph.mmfrms,tooltip: {valueSuffix: "°C"}},
    {name: "GFS",data: statgraph.mgfsrms,tooltip: {valueSuffix: "°C"}},
    {name: "CMC",data: statgraph.mcmcrms,tooltip: {valueSuffix: "°C"}},
    {name: "WXSIM",data: statgraph.mwxsimrms,tooltip: {valueSuffix: "°C"}}
   ];
  }
  
  function smoothline(data) {
    var i = data.length,sum,value;
    while (i--) {
      data[i].value = value = data[i].y; // preserve value for tooltip
      sum = (data[i - 1] || data[i]).y + value + (data[i + 1] || data[i]).y;
      data[i].y = Math.max(value - 0.5, Math.min(sum / 3, value + 0.5));
    }
    return data;
  }
  
  
  function drawgraphiconswx(svgdata, mainrec, plotleft, gs){
    var mainrect = $("#"+mainrec+" .highcharts-series-group");
    $(".gr-ic").remove();
    extremes = chart.xAxis[0].getExtremes();
    $.each(svgdata, function(index2,value2){
      $.each(chart.series[gs].points, function(index,value){
        if(value.category == value2.time && value2.time >= extremes.min && value2.time <= extremes.max) {
          var xx = value.plotX + chart.plotLeft - plotleft;
          var yy = value.plotY + chart.plotTop - 50;
          //var yy = 25;
          $(mainrect).append('<svg class="svg-ic gr-ic" height="40" width="40" viewBox="0 0 512 512" x ='+xx+' y="'+yy+'"><g>'+geticon(value2.cond)+'</g></svg>');
        }
      });
    });
  }
  
  function drawgraphiconswind(svgdata,wicY){
    extremes = chart.xAxis[0].getExtremes();
    $.each(svgdata, function(index2,value2){
      $.each(chart.series[2].points, function(index,value){
        var arrow, x, y,level,path;
        if(value.category == value2.time && value2.time >= extremes.min && value2.time <= extremes.max) {
          level = value2.bft;
          x = value.plotX + chart.plotLeft - 0;
          y = wicY;
          path = ['M',0,7,'L',-1.5,7,0,10,1.5,7,0,7,0,-10];
          if (level === 0) {path = [];}
          if (level === 2) {path.push('M', 0, -8, 'L', 4, -8);} 
          else if (level >= 3) {path.push(0, -10, 7, -10);}
          if (level === 4) {path.push('M', 0, -7, 'L', 4, -7);} 
          else if (level >= 5) {path.push('M', 0, -7, 'L', 7, -7);}
          if (level === 5) {path.push('M', 0, -4, 'L', 4, -4);} 
          else if (level >= 6) {path.push('M', 0, -4, 'L', 7, -4);}
          if (level === 7) {path.push('M', 0, -1, 'L', 4, -1);} 
          else if (level >= 8) {path.push('M', 0, -1, 'L', 7, -1);}
          
          if (level === 0) {arrow = chart.renderer.circle(x, y, 10).attr({fill: 'none'});}
          else {
            arrow = chart.renderer.path(path).attr({
                      rotation: parseInt(value2.dir, 10),
                      translateX: x, // rotation center
                      translateY: y // rotation center
            });
          }
          arrow.attr({stroke: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black','stroke-width': 1.5,zIndex: 5,'class':'gr-ic'})
            .add();
        }
      });
    });
  }
  
  function drawwindbox() {
    var xAxis = chart.xAxis[0],x,pos,max,isLong,isLast,i;
    for (pos = xAxis.min, max = xAxis.max, i = 0; pos <= max + 36e5; pos += 36e5, i ++) {
      isLast = pos === max + 36e5;
      x = Math.round(xAxis.toPixels(pos)) + (isLast ? 0.5 : -0.5);
      if (this.resolution > 36e5) {
        isLong = pos % this.resolution === 0;
      } else {
        isLong = i % 3 === 0;
      }
      isLong = 0;
      chart.renderer.path(['M', x, chart.plotTop + chart.plotHeight + (isLong ? 0 : 28),
        'L', x, chart.plotTop + chart.plotHeight + 32, 'Z'])
        .attr({'stroke': chart.options.chart.plotBorderColor,'stroke-width': 1})
        .add();
    }
  }
  
});

function locateme(){
  if(navigator.geolocation){
    haveGPS = true;
    function positionSuccess(location) {
      $.cookie("ewnloc", location.coords.latitude+"|"+location.coords.longitude, { expires : 1 });
      url='http://'+window.location.hostname+window.location.pathname+'?fl='+$("#searchflag").attr("data-co")+'&lang='+lang+'&lat='+location.coords.latitude+'&lon='+location.coords.longitude+p;
      window.location.href=url;
    }
    function positionFail() {}
    var options = { enableHighAccuracy: true,timeout: 5000,maximumAge: 240000};
    navigator.geolocation.getCurrentPosition(positionSuccess, positionFail,options);
  }
}

var shapes = new Array();
shapes["cloud"]="d=\"M441.953,142.352c-4.447-68.872-61.709-123.36-131.705-123.36c-59.481,0-109.766,39.346-126.264,93.429c-9.244-3.5-19.259-5.431-29.729-5.431c-42.84,0-78.164,32.08-83.322,73.523c-0.309-0.004-0.614-0.023-0.924-0.023c-36.863,0-66.747,29.883-66.747,66.747s29.883,66.746,66.747,66.746c4.386,0,8.669-0.436,12.819-1.243c20.151,27.069,52.394,44.604,88.734,44.604c31.229,0,59.429-12.952,79.533-33.772c15.071,15.091,35.901,24.428,58.913,24.428c31.43,0,58.783-17.42,72.955-43.127c11.676,5.824,24.844,9.106,38.777,9.106c48.047,0,86.998-38.949,86.998-86.996C508.738,185.895,480.252,151.465,441.953,142.352z\"/>";
shapes["lightning"]="class=\"lightning\" fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"m 3.4723994,8.5185577 3.0304576,-7.0710678 6.944799,0 -5.0191957,5.08233 4.1353117,0 -8.1127873,9.0913731 2.0834396,-7.1342026 z\"/>";
shapes["tornado"]="class=\"tornado\" fill-rule=\"evenodd\" d=\"M3.51795549,3.09677419 C4.55956613,1.38647295 9.11409512,0 16.017284,0 C22.9204728,0 27.3855446,1.64705965 28.5166124,3.09677419 C30.0790285,5.09935736 27.6364411,9.83203892 20.1837273,14.4516129 C13.8294775,18.3903027 9.14478347,22.2210455 12.8924519,23.7419355 C21.8177932,27.3640441 17.0588943,32 17.0588943,32 C17.0588943,32 17.0588947,28.9032253 13.934062,27.8709677 C8.65191269,26.1260613 6.64278758,24.7741935 4.55956617,22.7096774 C2.98366184,21.147923 1.2876824,16.2185972 6.64278762,11.3548387 C9.30758236,8.93454683 1.51950057,6.37819267 3.51795549,3.09677419 Z M27,4.03225806 C27,2.37540373 22.0751325,1.03225806 16,1.03225806 C9.92486745,1.03225806 5,2.37540373 5,4.03225806 C5,5.6891124 9.92486745,7.03225806 16,7.03225806 C22.0751325,7.03225806 27,5.6891124 27,4.03225806 Z M27,4.03225806\"/>";
shapes["hurricane"]="class=\"hurricane\" d=\"M 21.05263,282.71812 C 21.05263,263.14772 5.13832,247.26423 -14.46943,247.26423 C -20.99403,247.26423 -27.10709,249.01667 -32.36199,252.08515 C -25.97086,231.2175 -15.39876,214.28402 -1.84069,207.37258 C -28.92355,216.4934 -47.76995,248.20401 -50,282.68374 C -50,302.25413 -34.07718,318.17761 -14.46943,318.1776 C -8.02952,318.1776 -1.98598,316.46325 3.22446,313.46822 C -3.19061,334.0152 -13.85506,350.53308 -27.272,357.37258 C -0.62131,348.3973 18.34408,316.45182 21.05263,282.71812 z\"/>";
shapes["waterdrop"]="class=\"waterdrop\" fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M150.2 464.6h-.1c-15.5 0-28.1-12.7-28.1-28.2v-4c0-.3 0-.5.1-.8v-.3c1.4-11.6 9.6-22.2 16.9-31.7 5.9-7.6 10.9-14.1 10.9-19.5 0-.1.1-.1.2-.1h.1c.1 0 .1 0 .1.1 0 5.4 5.1 12 10.9 19.5 8 10.3 17 22 17 35v1.8c0 15.5-12.5 28.2-28 28.2zm25-42.9c0 .1 0 .1.1.2-.1-.1-.1-.2-.1-.2zm.4 1l.1.3-.1-.3zm.4 1l.1.4c0-.1-.1-.2-.1-.4zm.3 1.1l.2.5c-.1-.2-.1-.4-.2-.5zm.4 1l.3 1.1c-.1-.3-.2-.7-.3-1.1zm.4 1.6c.1.2.1.4.1.6l-.1-.6zm.2 1.1l.1.6c0-.2 0-.4-.1-.6zm.3 1.1l.1.6c-.1-.2-.1-.4-.1-.6zm.1 1.1c0 .2 0 .4.1.5 0-.1 0-.3-.1-.5zm.2 1.2v.5-.5zm.1 1.2v.4-.4z\"/>";
shapes["ice"]="class=\"ice\" points=\"153.317,416 173.313,457.373 194,416 \"/>";
shapes["snowflake"]="class=\"snowflake\" points=\"266.125,427.569 246.082,427.598 244.383,427.773 245.355,426.434 255.378,409.032 240.345,400.389 230.34,417.775 229.65,419.32 228.951,417.768 218.906,400.423 203.895,409.101 213.865,426.307 214.939,427.812 213.062,427.642 193.209,427.667 193.232,445.077 213.062,445.05 214.963,444.874 213.821,446.511 203.969,463.614 219.002,472.26 228.933,455.003 229.695,453.328 230.408,454.903 240.441,472.227 255.452,463.548 245.362,446.141 244.406,444.835 245.928,445.008 266.147,444.981 \"/>";
shapes["hail"]="class=\"hail\" cx=\"277.678\" cy=\"436.324\" r=\"26.895\"/>";
shapes["sun_1"]="class=\"sun_center\" d=\"M255.725,324.881c-37.958,0-68.84-30.882-68.84-68.84s30.881-68.839,68.84-68.839c37.958,0,68.839,30.881,68.839,68.839S293.683,324.881,255.725,324.881z\"/>";
shapes["sun_2"]="class=\"sun\" d=\"M128.363,195.126l11.058-19.152l34.855,20.125c-4.398,5.948-8.128,12.354-11.126,19.111L128.363,195.126z M267,115h-22v40.574c3-0.383,7.158-0.577,10.739-0.577c3.759,0,8.261,0.212,11.261,0.633V115z M196.093,174.419c5.982-4.368,12.412-8.059,19.18-11.011l-20.202-34.99l-19.152,11.058L196.093,174.419z M383.61,195.126l-11.058-19.152L337.33,196.31c4.384,5.96,8.097,12.377,11.076,19.142L383.61,195.126z M155.064,267c-0.387-4-0.583-7.198-0.583-10.8c0-3.736,0.21-7.2,0.626-11.2H115v22H155.064z M336.055,139.475l-19.153-11.058l-20.307,35.176c6.763,2.987,13.176,6.705,19.13,11.092L336.055,139.475z M316.9,383.665l19.153-11.059l-20.169-34.932c-5.949,4.399-12.354,8.132-19.109,11.131L316.9,383.665z M139.421,336.108l34.649-20.005c-4.38-5.965-8.087-12.385-11.062-19.148l-34.646,20.001L139.421,336.108z M397,267v-22h-40.659c0.415,4,0.626,7.464,0.626,11.2c0,3.602-0.196,6.8-0.583,10.8H397zM372.552,336.108l11.058-19.152l-35.062-20.243c-2.955,6.768-6.646,13.196-11.016,19.177L372.552,336.108z M195.072,383.665l20.019-34.674c-6.766-2.968-13.188-6.671-19.159-11.046l-20.012,34.661L195.072,383.665z M267,397v-40.149c-3,0.42-7.504,0.632-11.261,0.632c-3.581,0-7.739-0.193-10.739-0.577V397H267z M335.66,256.041c0-44.077-35.859-79.936-79.936-79.936c-44.077,0-79.937,35.859-79.937,79.936c0,44.077,35.859,79.937,79.937,79.937C299.801,335.978,335.66,300.118,335.66,256.041z M312.563,256.041c0,31.342-25.498,56.84-56.839,56.84c-31.342,0-56.84-25.498-56.84-56.84c0-31.341,25.498-56.839,56.84-56.839C287.065,199.202,312.563,224.7,312.563,256.041z\"/>";
shapes["moon"]="class=\"moon\" d=\"M248.082,263.932c-31.52-31.542-39.979-77.104-26.02-116.542c-15.25,5.395-29.668,13.833-41.854,26.02  c-43.751,43.75-43.751,114.667,0,158.395c43.729,43.73,114.625,43.752,158.374,0c12.229-12.186,20.646-26.604,26.021-41.854  C325.188,303.91,279.604,295.451,248.082,263.932z\"/>";
shapes["fog"]="class=\"fog\" d=\"M392,432H120v23h272V432z\"/>";
shapes["nan"]="class=\"nan\" d=\"M 273.79665,278.39483 L 176.01526,278.41797 C 176.01516,262.63035 180.66722,249.81298 184.24805,239.96582 C 187.82867,230.11898 193.15907,221.12648 200.23926,212.98828 C 207.31921,204.85046 223.22902,190.52755 247.96875,170.01953 C 261.15216,159.27758 267.74395,149.43059 267.74414,140.47852 C 267.74395,131.52696 265.0991,124.56896 259.80957,119.60449 C 254.51968,114.64058 246.50374,112.15849 235.76172,112.1582 C 224.20558,112.15849 214.64342,115.98336 207.0752,123.63281 C 199.50672,131.28282 194.6646,144.62916 192.54883,163.67188 L 97.822266,151.95313 C 101.07745,117.12268 113.73206,89.087225 135.78613,67.84668 C 157.84009,46.606799 191.65353,35.986692 237.22656,35.986328 C 272.70814,35.986692 301.35395,43.392284 323.16406,58.203125 C 352.78619,78.222978 367.59737,104.91566 367.59766,138.28125 C 367.59737,152.11613 363.7725,165.46247 356.12305,178.32031 C 348.47304,191.17859 332.84805,206.88496 309.24805,225.43945 C 291.37819,235.59876 274.96586,253.5497 274.54302,262.53489 L 273.79665,278.39483 z M 175.70313,312.35352 L 275.06836,312.35352 L 275.06836,400 L 175.70313,400 L 175.70313,312.35352 z\"/>";

  function geticon(ic){
    var svg;
    switch (ic) {
    case "hurricane":
      svg='<path transform="scale(2) translate(140,-155)" '+shapes["hurricane"];
      break;
    case "tornado":
      svg='<path transform="scale(8) translate(16,18)" '+shapes["tornado"];
      break;
    case "tornadothunder":
      svg='<path transform="scale(5) translate(25,55)" '+shapes["tornado"]+'<path transform="scale(0.60) translate(170,170)" class="thundercloud" '+shapes["cloud"]+'<path transform="scale(12) translate(18,21)" '+shapes["lightning"];
      break;
    case "heavy_thunder":
      svg='<path transform="scale(0.60) translate(170,170)" class="thundercloud" '+shapes["cloud"]+'<path transform="scale(12) translate(8,21)" '+shapes["lightning"]+'<path transform="scale(12) translate(18,21)" '+shapes["lightning"];
      break;
    case "rainthunder":
      svg='<path transform="scale(0.60) translate(170,170)" class="thundercloud" '+shapes["cloud"]+'<path transform="scale(12) translate(8,21)" '+shapes["lightning"]+'<path transform="translate(120,-50)" '+shapes["waterdrop"]+'<path transform="translate(190,-50)" '+shapes["waterdrop"];
      break;
    case "hailthunder":
      svg='<path transform="scale(0.60) translate(170,170)" class="thundercloud" '+shapes["cloud"]+'<path transform="scale(12) translate(8,21)" '+shapes["lightning"]+'<circle  transform="translate(0,-75)" '+shapes["hail"]+'<circle  transform="translate(70,-75)" '+shapes["hail"];
      break;
    case "snowthunder":
      svg='<path transform="scale(0.60) translate(170,170)" class="thundercloud" '+shapes["cloud"]+'<path transform="scale(12) translate(8,21)" '+shapes["lightning"]+'<polygon transform="translate(35,-70)" '+shapes["snowflake"]+'<polygon transform="translate(125,-70)" '+shapes["snowflake"];
      break;
    case "rainthundershower":
      svg='<path transform="scale(0.80) translate(0,-20)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(0,-20)" '+shapes["sun_2"]+'<path transform="scale(0.60) translate(170,170)" class="thundercloud" '+shapes["cloud"]+'<path transform="scale(12) translate(8,21)" '+shapes["lightning"]+'<path transform="translate(120,-50)" '+shapes["waterdrop"]+'<path transform="translate(190,-50)" '+shapes["waterdrop"];
      break;
    case "hailthundershower":
      svg='<path transform="scale(0.80) translate(0,-20)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(0,-20)" '+shapes["sun_2"]+'<path transform="scale(0.60) translate(170,170)" class="thundercloud" '+shapes["cloud"]+'<path transform="scale(12) translate(8,21)" '+shapes["lightning"]+'<circle  transform="translate(0,-75)" '+shapes["hail"]+'<circle  transform="translate(70,-75)" '+shapes["hail"];
      break;
    case "snowthundershower":
      svg='<path transform="scale(0.80) translate(0,-20)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(0,-20)" '+shapes["sun_2"]+'<path transform="scale(0.60) translate(170,170)" class="thundercloud" '+shapes["cloud"]+'<path transform="scale(12) translate(8,21)" '+shapes["lightning"]+'<polygon transform="translate(35,-70)" '+shapes["snowflake"]+'<polygon transform="translate(125,-70)" '+shapes["snowflake"];
      break;
    case "nt_rainthundershower":
      svg='<path transform="scale(0.85) translate(20,-50)" '+shapes["moon"]+'<path transform="scale(0.60) translate(170,170)" class="thundercloud" '+shapes["cloud"]+'<path transform="scale(12) translate(8,21)" '+shapes["lightning"]+'<path transform="translate(120,-50)" '+shapes["waterdrop"]+'<path transform="translate(190,-50)" '+shapes["waterdrop"];
      break;
    case "nt_hailthundershower":
      svg='<path transform="scale(0.85) translate(20,-50)" '+shapes["moon"]+'<path transform="scale(0.60) translate(170,170)" class="thundercloud" '+shapes["cloud"]+'<path transform="scale(12) translate(8,21)" '+shapes["lightning"]+'<circle  transform="translate(0,-75)" '+shapes["hail"]+'<circle  transform="translate(70,-75)" '+shapes["hail"];
      break;
    case "nt_snowthundershower":
      svg='<path transform="scale(0.85) translate(20,-50)" '+shapes["moon"]+'<path transform="scale(0.60) translate(170,170)" class="thundercloud" '+shapes["cloud"]+'<path transform="scale(12) translate(8,21)" '+shapes["lightning"]+'<polygon transform="translate(35,-70)" '+shapes["snowflake"]+'<polygon transform="translate(125,-70)" '+shapes["snowflake"];
      break;
    case "clear":
      svg='<path '+shapes["sun_1"]+'<path '+shapes["sun_2"];
      break;
    case "mostlyclear":
      svg='<path '+shapes["sun_1"]+'<path '+shapes["sun_2"]+'<path transform="scale(0.30) translate(760,760)" class="light_cloud" '+shapes["cloud"];
      break;
    case "partlycloudy":
      svg='<path transform="scale(0.80) translate(40,70)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(40,70)" '+shapes["sun_2"]+'<path transform="scale(0.42) translate(420,500)" class="middle_cloud" '+shapes["cloud"];
      break;
    case "mostlycloudy":
      svg='<path transform="scale(0.80) translate(20,50)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(20,50)" '+shapes["sun_2"]+'<path transform="scale(0.50) translate(280,360)" class="dark_cloud" '+shapes["cloud"];
      break;
    case "nt_clear":
      svg='<path '+shapes["moon"];
      break;
    case "nt_mostlyclear":
      svg='<path '+shapes["moon"]+'<path transform="scale(0.30) translate(760,760)" class="light_cloud" '+shapes["cloud"];
      break;
    case "nt_partlycloudy":
      svg='<path transform="scale(0.92) translate(30,10)" '+shapes["moon"]+'<path transform="scale(0.42) translate(420,500)" class="middle_cloud" '+shapes["cloud"];
      break;
    case "nt_mostlycloudy":
      svg='<path transform="scale(0.85) translate(40,40)" '+shapes["moon"]+'<path transform="scale(0.50) translate(260,360)" class="dark_cloud" '+shapes["cloud"];
      break;
    case "cloudy":
      svg='<path transform="scale(0.60) translate(160,260)" class="dark_cloud" '+shapes["cloud"];
      break;
    case "rain4":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(5,-50)" '+shapes["waterdrop"]+'<path transform="translate(75,-50)" '+shapes["waterdrop"]+'<path transform="translate(145,-50)" '+shapes["waterdrop"]+'<path transform="translate(215,-50)" '+shapes["waterdrop"];
      break;
    case "rain3":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(15,-50)" '+shapes["waterdrop"]+'<path transform="translate(110,-50)" '+shapes["waterdrop"]+'<path transform="translate(205,-50)" '+shapes["waterdrop"];
      break;
    case "rain2":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(65,-50)" '+shapes["waterdrop"]+'<path transform="translate(165,-50)" '+shapes["waterdrop"];
      break;
    case "rain1":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(115,-50)" '+shapes["waterdrop"];
      break;
    case "rainshowers":
      svg='<path transform="scale(0.80) translate(20,10)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(20,10)" '+shapes["sun_2"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(115,-40)" '+shapes["waterdrop"];
      break;
    case "moderaterainshowers":
      svg='<path transform="scale(0.80) translate(20,10)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(20,10)" '+shapes["sun_2"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(65,-40)" '+shapes["waterdrop"]+'<path transform="translate(165,-40)" '+shapes["waterdrop"];
      break;
    case "heavyrainshowers":
      svg='<path transform="scale(0.80) translate(20,10)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(20,10)" '+shapes["sun_2"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(40,-40)" '+shapes["waterdrop"]+'<path transform="translate(115,-40)" '+shapes["waterdrop"]+'<path transform="translate(190,-40)" '+shapes["waterdrop"];
      break;
    case "nt_rainshowers":
      svg='<path transform="scale(0.85) translate(40,10)" '+shapes["moon"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(115,-40)" '+shapes["waterdrop"];
      break;
    case "nt_moderaterainshowers":
      svg='<path transform="scale(0.85) translate(40,10)" '+shapes["moon"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(65,-40)" '+shapes["waterdrop"]+'<path transform="translate(165,-40)" '+shapes["waterdrop"];
      break;
    case "nt_heavyrainshowers":
      svg='<path transform="scale(0.85) translate(40,10)" '+shapes["moon"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(40,-40)" '+shapes["waterdrop"]+'<path transform="translate(115,-40)" '+shapes["waterdrop"]+'<path transform="translate(190,-40)" '+shapes["waterdrop"];
      break;
    case "freezingrain":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="scale(1.5) translate(-50,-185)" '+shapes["ice"]+'<path transform="translate(115,-50)" '+shapes["waterdrop"]+'<path transform="translate(205,-50)" '+shapes["waterdrop"];
      break;
    case "drizzle":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<path transform="scale(0.60) translate(85,170)" '+shapes["waterdrop"]+'<path transform="scale(0.60) translate(165,170)" '+shapes["waterdrop"]+'<path transform="scale(0.60) translate(245,170)" '+shapes["waterdrop"]+'<path transform="scale(0.60) translate(325,170)" '+shapes["waterdrop"]+'<path transform="scale(0.60) translate(405,170)" '+shapes["waterdrop"]+'<path transform="scale(0.60) translate(485,170)" '+shapes["waterdrop"];
      break;
    case "freezingdrizzle":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="scale(1.2) translate(-35,-135)" '+shapes["ice"]+'<path transform="scale(0.60) translate(215,170)" '+shapes["waterdrop"]+'<path transform="scale(0.60) translate(295,170)" '+shapes["waterdrop"]+'<path transform="scale(0.60) translate(375,170)" '+shapes["waterdrop"]+'<path transform="scale(0.60) translate(455,170)" '+shapes["waterdrop"];
      break;
    case "snow3":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(-60,-60)" '+shapes["snowflake"]+'<polygon transform="translate(30,-60)" '+shapes["snowflake"]+'<polygon transform="translate(120,-60)" '+shapes["snowflake"];
      break;
    case "snow2":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(-25,-60)" '+shapes["snowflake"]+'<polygon transform="translate(90,-60)" '+shapes["snowflake"];break;
    case "snow1":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(35,-60)" '+shapes["snowflake"];
      break;
    case "heavysnowshowers":
      svg='<path transform="scale(0.80) translate(20,10)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(20,10)" '+shapes["sun_2"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(-55,-55)" '+shapes["snowflake"]+'<polygon transform="translate(35,-55)" '+shapes["snowflake"]+'<polygon transform="translate(125,-55)" '+shapes["snowflake"];
      break;
    case "moderatesnowshowers":
      svg='<path transform="scale(0.80) translate(20,10)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(20,10)" '+shapes["sun_2"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(-25,-55)" '+shapes["snowflake"]+'<polygon transform="translate(90,-55)" '+shapes["snowflake"];
      break;
    case "snowshowers":
      svg='<path transform="scale(0.80) translate(20,10)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(20,10)" '+shapes["sun_2"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(35,-55)" '+shapes["snowflake"];
      break;
    case "nt_heavysnowshowers":
      svg='<path transform="scale(0.85) translate(40,10)" '+shapes["moon"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(-55,-55)" '+shapes["snowflake"]+'<polygon transform="translate(35,-55)" '+shapes["snowflake"]+'<polygon transform="translate(125,-55)" '+shapes["snowflake"];
      break;
    case "nt_moderatesnowshowers":
      svg='<path transform="scale(0.85) translate(40,10)" '+shapes["moon"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(-25,-55)" '+shapes["snowflake"]+'<polygon transform="translate(90,-55)" '+shapes["snowflake"];
      break;
    case "nt_snowshowers":
      svg='<path transform="scale(0.85) translate(40,10)" '+shapes["moon"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(35,-55)" '+shapes["snowflake"];
      break;
    case "heavysleet":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(-55,-60)" '+shapes["snowflake"]+'<path transform="translate(115,-50)" '+shapes["waterdrop"]+'<polygon transform="translate(125,-60)" '+shapes["snowflake"];
      break;
    case "sleet":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(60,-50)" '+shapes["waterdrop"]+'<polygon transform="translate(90,-60)" '+shapes["snowflake"];
      break;
    case "heavysleetshowers":
      svg='<path transform="scale(0.80) translate(20,10)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(20,10)" '+shapes["sun_2"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(-55,-55)" '+shapes["snowflake"]+'<path transform="translate(115,-40)" '+shapes["waterdrop"]+'<polygon transform="translate(125,-55)" '+shapes["snowflake"];
      break;
    case "sleetshowers":
      svg='<path transform="scale(0.80) translate(20,10)" '+shapes["sun_1"]+'<path transform="scale(0.80) translate(20,10)" '+shapes["sun_2"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(60,-40)" '+shapes["waterdrop"]+'<polygon transform="translate(90,-55)" '+shapes["snowflake"];
      break;
    case "nt_heavysleetshowers":
      svg='<path transform="scale(0.85) translate(40,10)" '+shapes["moon"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<polygon transform="translate(-55,-55)" '+shapes["snowflake"]+'<path transform="translate(115,-40)" '+shapes["waterdrop"]+'<polygon transform="translate(125,-55)" '+shapes["snowflake"];
      break;
    case "nt_sleetshowers":
      svg='<path transform="scale(0.85) translate(40,10)" '+shapes["moon"]+'<path transform="scale(0.50) translate(280,310)" class="dark_cloud" '+shapes["cloud"]+'<path transform="translate(60,-40)" '+shapes["waterdrop"]+'<polygon transform="translate(90,-55)" '+shapes["snowflake"];
      break;
    case "hail":
      svg='<path transform="scale(0.60) translate(170,170)" class="dark_cloud" '+shapes["cloud"]+'<circle  transform="translate(-120,-75)" '+shapes["hail"]+'<circle  transform="translate(-50,-75)" '+shapes["hail"]+'<circle  transform="translate(20,-75)" '+shapes["hail"]+'<circle  transform="translate(90,-75)" '+shapes["hail"];
      break;
    case "fog":
      svg='<path '+shapes["sun_1"]+'<path '+shapes["sun_2"]+'<path transform="translate(0,-75)" '+shapes["fog"]+'<path transform="translate(0,-120)" '+shapes["fog"]+'<path transform="translate(0,-165)" '+shapes["fog"]+'<path transform="translate(0,-210)" '+shapes["fog"]+'<path transform="translate(0,-255)" '+shapes["fog"]+'<path transform="translate(0,-300)" '+shapes["fog"];
      break;
    case "nt_fog":
      svg='<path '+shapes["moon"]+'<path transform="translate(0,-75)" '+shapes["fog"]+'<path transform="translate(0,-120)" '+shapes["fog"]+'<path transform="translate(0,-165)" '+shapes["fog"]+'<path transform="translate(0,-210)" '+shapes["fog"]+'<path transform="translate(0,-255)" '+shapes["fog"]+'<path transform="translate(0,-300)" '+shapes["fog"];
      break;
    default:
      svg='<path transform="scale(0.50) translate(250,300)" '+shapes["nan"];
      break;
  }
  return svg;
}

if(!dateFormat){
var dateFormat = function () {
	var	token = /d{1,4}|m{1,4}|yy(?:yy)?|([HhMsTt])\1?|[LloSZ]|"[^"]*"|'[^']*'/g,
		timezone = /\b(?:[PMCEA][SDP]T|(?:Pacific|Mountain|Central|Eastern|Atlantic) (?:Standard|Daylight|Prevailing) Time|(?:GMT|UTC)(?:[-+]\d{4})?)\b/g,
		timezoneClip = /[^-+\dA-Z]/g,
		pad = function (val, len) {
			val = String(val);
			len = len || 2;
			while (val.length < len) val = "0" + val;
			return val;
		};

	return function (date, mask, utc) {
		var dF = dateFormat;
		if (arguments.length == 1 && Object.prototype.toString.call(date) == "[object String]" && !/\d/.test(date)) {
			mask = date;
			date = undefined;
		}
		date = date ? new Date(date) : new Date;
		if (isNaN(date)) throw SyntaxError("invalid date");
		mask = String(dF.masks[mask] || mask || dF.masks["default"]);
		if (mask.slice(0, 4) == "UTC:") {
			mask = mask.slice(4);
			utc = true;
		}

		var	_ = utc ? "getUTC" : "get",
			d = date[_ + "Date"](),
			D = date[_ + "Day"](),
			m = date[_ + "Month"](),
			y = date[_ + "FullYear"](),
			H = date[_ + "Hours"](),
			M = date[_ + "Minutes"](),
			s = date[_ + "Seconds"](),
			L = date[_ + "Milliseconds"](),
			o = utc ? 0 : date.getTimezoneOffset(),
			flags = {
				d:    d,
				dd:   pad(d),
				ddd:  dF.i18n.dayNames[D],
				dddd: dF.i18n.dayNames[D + 7],
				m:    m + 1,
				mm:   pad(m + 1),
				mmm:  dF.i18n.monthNames[m],
				mmmm: dF.i18n.monthNames[m + 12],
				yy:   String(y).slice(2),
				yyyy: y,
				h:    H % 12 || 12,
				hh:   pad(H % 12 || 12),
				H:    H,
				HH:   pad(H),
				M:    M,
				MM:   pad(M),
				s:    s,
				ss:   pad(s),
				l:    pad(L, 3),
				L:    pad(L > 99 ? Math.round(L / 10) : L),
				t:    H < 12 ? "a"  : "p",
				tt:   H < 12 ? "am" : "pm",
				T:    H < 12 ? "A"  : "P",
				TT:   H < 12 ? "AM" : "PM",
				Z:    utc ? "UTC" : (String(date).match(timezone) || [""]).pop().replace(timezoneClip, ""),
				o:    (o > 0 ? "-" : "+") + pad(Math.floor(Math.abs(o) / 60) * 100 + Math.abs(o) % 60, 4),
				S:    ["th", "st", "nd", "rd"][d % 10 > 3 ? 0 : (d % 100 - d % 10 != 10) * d % 10]
			};

		return mask.replace(token, function ($0) {
			return $0 in flags ? flags[$0] : $0.slice(1, $0.length - 1);
		});
	};
}();

// Some common format strings
dateFormat.masks = {
	"default":      "ddd mmm dd yyyy HH:MM:ss",
	shortDate:      "m/d/yy",
	mediumDate:     "mmm d, yyyy",
	longDate:       "mmmm d, yyyy",
	fullDate:       "dddd, mmmm d, yyyy",
	shortTime:      "h:MM TT",
	mediumTime:     "h:MM:ss TT",
	longTime:       "h:MM:ss TT Z",
	isoDate:        "yyyy-mm-dd",
	isoTime:        "HH:MM:ss",
	isoDateTime:    "yyyy-mm-dd'T'HH:MM:ss",
	isoUtcDateTime: "UTC:yyyy-mm-dd'T'HH:MM:ss'Z'"
};

// Internationalization strings
dateFormat.i18n = {
	dayNames: fdaynames,
	monthNames: [
		"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec",
		"January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"
	]
};

// For convenience...
Date.prototype.format = function (mask, utc) {
	return dateFormat(this, mask, utc);
};
}else{
dateFormat.i18n = {
	dayNames: fdaynames,
	monthNames: [
		"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec",
		"January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"
	]
};
}