<?php
define('HAIL','Hail');
define('SEVIDX','Severe Index');
define('MOREMAPS','More maps');
define('GOODFRC','Good forecasts');
define('MEANERROR','Mean error');
define('RMSERROR','RMS error');
define('DETAILEDTABLE','detailed');
define('DAYTABLE','day table');
define('COMPACCURACY','Accuracy &amp; compare');
define('ACCURACYFOR','Accuracy for');
define('COMPMODELS','Compare models');
define('ACCURACYMODELS','Model accuracy');
define('ACCURACYDESC','EWN puts the forecast-models in a real test by monitoring their accuracy also outside their "home-area" which usually is the country of the issuing meteorologic institute. The accuracy are monitored for ca 900 locations north of the Alps and are calculated by comparing the forecast with the observed temperature every 3 hours at 00, 03, 06, 09, 12, 15, 18 and 21 UTC. The used forecast for the next day are generated at ca 18 UTC. Theese results are then used for calculating the EWN forecast.
<div style="margin-top:15px">
<b>Models</b><br/>
- <b>EWN:</b>&nbsp;EWN\'s own forecast<br/>
- <b>WRFDA:</b>&nbsp;WRF runned by EWN<br/>
- <b>DWD:</b>&nbsp;ICON, DWD, Germany<br/>
- <b>MF:</b>&nbsp;ARPEGE, Meteo France<br/>
- <b>KNMI:</b>&nbsp;Hirlam, KNMI, The Netherlands<br/>
- <b>FMI:</b>&nbsp;Hirlam, FMI, Finland<br/>
- <b>YR:</b>&nbsp;XML-files (AROME-MetCoOp, Hirlam, ECMWF), MET Norway (yr.no)<br/>
- <b>GFS:</b>&nbsp;GFS, NCEP, USA<br/>
- <b>CMC:</b>&nbsp;CMC Ensemble, CMC, Canada<br/>
- <b>WXSIM:</b>&nbsp;WXSIM-software runned by private weatherstations (data not available for all locations)<br/>
</div>');
define('ACCURACYMODELSDESC','The average total accuracy for each forecast-model.');


define('FMODEL','Model');
define('FANIMATION','Animation');
define('FON','On');
define('FOFF','Off');

define('VILLAGES','Citys, villages');
define('ISLANDS','Islands, mountains');
define('LAKES','Lakes, bays');
define('SOLARWINDENERGY','Solar/wind-energy');
define('HDD','Heatingdegree');
define('SOLAR','Solar');
define('SOLARWINDINFO','This table are based on the EWN WRFDA-model. Solar radiation: SW - shortwave, LW - longwave. HDD - '.HDD.'.');

define('COOP','In Zusammenarbeit mit');
define('DATAPWS','Daten von jeder PWS Station');
define('WARNBX','Warnungen von');
define('WARNBY','für die neuesten Warnungen besuchen Sie Ihre lokale MetOffice Website');
define('SCRADM','Script und admin von');
define('NORES','EWN ist nicht für die Richtigkeit der Angaben verantwortlich.<br/>Sofern nicht anders vermerkt, steht der Inhalt dieser Seite lizenziert unter');
define('SUBTITLDESC','die Temperaturvorhersagen der letzten 30 Tagen sehr gut oder gut. Für weitere Informationen siehe die <a href="frc_stats.php?'.$lang.'">statistics');
define('SEARCHLOC','Suche Ort');
define('SUBTITLE','Die genaueste Wettervorhersagen'); // Feel free to figure out something better, note it refers to forecast-accuracy
define('METPROV','Daten bereitgestellt von');
define('PRIVATESTATION','Private Wetterstation');
define('METOFFICESTATION','Metoffice');
define('ROADSTATION','Straße');
define('JUSTNOW','Gerade jetzt');
define('CLOSEOBS','Beobachtungen schließen');
define('TONIGHT','Abend');
define('WARNANDSEVERE','Warnungen und Unwetter');
define('FAVORITES','Ihre Lieblingsorte');
define('SAVEFAVORITESETTINGS','Einstellungen speichern');
define('SAVEASFAVORITE','zu Favoriten hinzufügen');
define('ADDEDTOFAVO','Ort zu den Favoriten hinzugefügt!');
define('NOFAVORITES','Keine Favoriten gewählt!');
define('NOWARNS','Keine aktiven Warnungen');
define('RADARSTRIKES','Radar &amp; Blitze');
define('SEVEREW','Unwetter');
define('SNOW','Schneefall');
define('LEVEL','Niveau');
define('OTHER','andere');
define('DAY','Tag');
define('COMPFRCMODEL','Modellvergleich');
define('TSPROB','Storm prob.');
define('SEVERE','Unwetter');
define('SEVEREFRCTODAY','Unwetter Vorhersage');
define('HOTCOLD','wärmsten, kältesten, windigsten, feuchtesten');
define('TENWARMEST','10 wärmsten Orte');
define('TENCOLDEST','10 kältesten Orte');
define('WINDIEST2','Wind &gt;');
define('WETTEST2','Niederschlag &gt; 4 mm/h');
define('LOCATIONS','anderer Ort');
define('SELECTCOUNTRY','wähle Land');
define('SELECTLANGUAGE','Sprache');
define('SELECTWUNIT','Windeinheit');
define('LOCATEME','finde mich!');
define('LOADING','Laden...');
define('FAVORITELOCATIONS','Favoriten Orte');
define('HOME','Home');
define('FRCSTMAPS','Vorhersagekarten');
define('FRCSTVIDEOS','Vorhersagevideos');
define('FORECASTS','Vorhersagen');
define('STORMFORECAST','Sturmvorhersagen');
define('AURORAFORECAST','Wolkenvorhersage');
define('RADAR','Radar');
define('PRECRADAR','Niderschlagsradar');
define('FINLAND','Finland');
define('SCANDINAVIA','Skandinavien');
define('EUROPE','Europa');
define('DISABLED','ausgeschaltet');
define('STRLAST2MIN','letzte 2 min'); // Short!!
define('WEBCAMS','Webcams');
define('VHIGH','seh hoch');
define('EXTREME','Extrem');
define('WXSTATIONS','Wetterstationen');
define('WXSTATION','Wetterstation');
define('AVGERROR','durchschnittliche Fehler');
define('ROADSTATIONS','Straßenwetterstationen');
define('SUN','Sonne');
define('WINDRUN','Windverlauf');
define('WEBURL','Website URL');
define('DIRECTLINK','Direkt link');
define('LOGIN','Log in');
define('HAVEUV','Station hat UV-sensor');
define('HAVESOLAR','Station hat Solar-sensor');
define('ORTEXT','oder');
define('USERNAME','Username');
define('FRGTPASS','Passwort vergessen');
define('RESETPASS','Passwort zurücksetzen');
define('SOLARHEATED','Solarbeheizt');
define('SOLARHEATDESC','Stunden, wenn solarbeheizt wird - zum ausschalten setze -1');
define('SOLARHEATDESC2','EWN Admin behält sich vor, die Solar-Einstellung, für die Genauigkeit der Temperaturen bei Bedarf zu  ändern. "No Shield" setzt Station tagsüber auf mit Solarenergie beheizt.');
define('BOSTATIONS','Blitzortung-stations');
define('BODESC','Listen Sie Ihre BO-Stationen, um auf der BO-Statusseite sichtbar zu sein (noch nicht fertig).<br/>Wenn Sie mehrere Stationen haben, trennen Sie diese |, wie 4566 | 6543.');
define('BONAME','BO station-name');
define('NEWUSERNAME','Neuer Username');
define('DOWNLOADNOTE','Hinweis! Wenn Downloads nicht gestartet wird,klicken Sie mit der rechten Maustaste auf den Link und wählen Sie "Speichern unter".');
define('YOULOGOUT','Sie haben sich ausgeloggt');
define('CONTACT','Kontakt');
define('CLOSE','Nähe');
$days = array('Sonntag Montag Dienstag Mittwoch Donnerstag Freitag Samstag');
$months = array('Jan','Feb','Mär','Apr','Mai','Jun','Jul','Aug','Sep','Okt','Nov','Dez');
define('cookietitle','Other');
define('cookiebeschreibung','Einstellungen wie Favoriten Orte verwenden Cookies. Dazu gehören auch die Social-Media-Plugins auf der Seite');
define('advertisingDefaultTitle','Werbung');
define('analyticsDefaultTitle','Analytics');
define('analyticsDefaultDescription','Wir messen Ihre Benutzung dieser Website anonym, um für Sie die Webseite zu verbessern.');
define('advertisingDefaultDescription','Anzeigen die für Sie ausgewählt werden, basieren automatisch auf Ihrem Verhalten in der Vergangenheit und Interessen.');
define('notificationTitleImplicit','Wir verwenden Cookies, um Ihnen das beste Erlebnis auf unserer Website zu ermöglichen');
define('allowCookiesImplicit','Got it!');
define('savePreference','Präferenz speichern');
define('hideDetails','Details verbergen');
define('seeDetailsImplicit','Einstellungen ändern');
$boinfo.= "<br/>Regenradars werden alle 5-15 Minuten mit unterschiedlicher Verzögerung aktualisiert.<br/><br/>
<b>Blitzortung</b><br/>
  Blitzortung.org ist ein privates Netzwerk von Blitz Tracker Stations mit mehr als 1000 Stationan in Europa. Zusammen mit dem Zeitstempel der Position eines Blitzes kann das Signal berechnet werden (TOA). Mehr Informationen hier: <a href='http://www.blitzortung.org' target='_blank'>www.blitzortung.org</a>.<br/>
  Die Genauigkeit der Blitzortung ist sehr gut und liegt in der Regel weniger als 1 Kilometer daneben.
Um teilzunehmen, müssen Sie Ihren eigenen Empfänger bauen (Kosten ca. 200 Euro). Damit können Sie bei der Blitzortung mitmachen.";
define('WEEWXINFO','Wenn Sie das WD-Plugin verwenden und laden die clientraw.txt oder customclientraw.txt für Steel Gauges,dann ist keine weitere Konfiguration erforderlich. Wählen Sie WD oder Steel Gauges.');

# FORECAST RELATED
define('FRCWARN','Klicken Sie hier für die ganze Warnung. Warnungen von');
define('EWNACC','Der Vergleichs-Check vergleicht die gemessene Temperatur mit der vorhergesagten Temperatur für ca. 500 Orten nördlich von 52 & deg; N bis zum Nordkap in Nord-Norwegen. Ein Kriterium für die ausgewählten Standorte ist eine zuverlässige Wetterstation. Fehler-Werte sind in absoluten Grad, was bedeutet, die Werte sind immer positiv. Der Check zeigt die Daten für die letzten 30 Tage.');
define('LIGHTNINGMAP','Blitzkarte');
define('DAYLENGTH','Tageslänge');
define('MIDNIGHTSUN','Mitternachts Sonne');
define('POLARNIGHT','Polar Nacht');
define('QUICKLINKS','Direkt Links');
define('CLOSESTWXSTATION','nächst gelegene Wetterstation');
define('POP','PoP');
define('RANGE','Bereich');
define('DAYFRC2','Tages Wettervorhersage');
define('MORE','Mehr&raquo;');
define('DAILYMAP','Tages Karte');
define('FDAYS','Tag');
define('DTOMORROW','Tag3');
define('FMAP','Karte');
define('MAXI','max.');
define('MINI','min.');
define('SEVRISK','Gewitter Wahrscheinlichkeit');
define('LEV3','extrem stark');
define('LEV2','Unwetter');
define('TS','Blitz Wahrscheinlichkeit');
define('SEVERERISK','Unwetter');
define('TSRISK','Risiko für Gewitter');
define('SUPERCELLRISK','Risiko für Superzellen');
define('TORNADORISK','Risiko für Tornados');
define('HAILRISK','Risiko für Hagel');

define('CLICKINFO','Klicken Sie auf die Karte, um von überall Prognose zu erhalten!');
define('FSLEET','Schneeregen');
define('YOURLOCATION','aktueller Ort');
define('FRCACCURACY','Genauigkeit der Vorhersagen');
define('FRCACCINFO','Wir überprüfen die Genauigkeit für einige der verwendeten Modelle für ein paar Orte, indem Sie die 12 Uhr Werte der Prognose  miteinander vergleichen .');
define('DOWNLOADED_FRC','lade Vorhersage');
define('TOTDOWNLOADED_FRC','Total loaded Vorhersage');
define('PLACE','Orte');
define('FRCS','Vorhersagen');
define('LATI','Latitude');
define('LONGI','Longitude');

define('TOMORROW','Morgen');
define('SUNANDMOON','Sonne und Mond');
define('UVFORECAST','UV-Vorhersage');
define('LOW','min.');
define('MED','Medium');
define('HIG','max.');
define('LOCATIONINFO','Ortsinfo');
define('ELEVATION','Höhe');
define('POPULATION','Menge');
define('FEELS','gefühlt');
define('GUST','Böe');

define('EWNFORECAST','Europa-Vorhersage');
define('FRCSEARCH','Suche Vorhersage');
define('FRCSAVE','Speichere Ort');
define('FORECASTINFO','Die Wettervorhersage ist eine eigenene erstellte Vorhersage. Was Sie sehen wird generiert ,wenn Sie klicken! So haben Sie immer die aktuellsten Daten auf Klick.<br/>Die Vorhersage ist für 850000 Orte in Europa verfügbar.');
define('FRCINFOB','Die EWN Vorhersage verwendet mehrere freie numerische Modelle als Basis für die Prognose. EWN haftet nicht für die Qualität und die Genauigkeit der Prognose.<br/>Dazu betreiben wir eine eigene Serie von WRFDA EMS Modell 12 km Auflösung, was in den Vorhersagedaten enthalten ist.Die Karten werden auch von dem WRFDA EMS-Modell generiert.<br/><br/>
In den Prognosen sind Inhalte und Daten verwendet von:<br/>
<a href="http://nomads.ncep.noaa.gov/" target="_blank">NCEP</a> (GFS, GEFS &amp; UV), <a href="http://weather.gc.ca" target="_blank">Das Canadian Meteorological Center</a> (GEM-GDPS), <a href="http://www.met.no" target="_blank">Das Norwegian Meteorological Institute</a> (MET Norway), <a href="http://www.smhi.se" target="_blank">Das Swedish Meteorological and Hydrological Institute</a> (SMHI), <a href="http://www.fmi.fi" target="_blank">Das Finnish meteorological institute</a> (FMI), <a href="http://www.dwd.de" target="_blank">Deutscher Wetterdienst</a> (DWD), <a href="http://www.geonames.org" target="_blank">Geonames</a>, <a href="http://www.meteoalarm.eu" target="_blank">MeteoAlarm</a>, <span id="moresources"></span>WXSIM - private Wetterstationen mit der WXSIM-Software.
');

define('SAVEFAVO','Standard Ort');
define('SAVEQUI','Schnellsuche');
define('SEARCHCOUNTRY','Land');
define('PLACESEARCH','Suche');
define('QUICKSEARCH','Schnellsuche');
define('OWNPLACES','eigene Orte');

define('FORECASTFOR','Vorhersage für');
define('ISSUED','erstellt');

define('SHORTFRC','Überblick');
define('HOURFRC','Stunde-Stunde');
define('DAYFRC','Tage Vorhersage');
define('NERDFRC','Extras');
define('COMPFRC','Vergleich');
define('MAPFRC','Karte');

define('YRDESC','Unsere eigene Prognose des European Weathernetwork.<br/>Die Vorhersagen werden mit der Software STRC EMS erstellt dessen Auflösung 9 km beträgt. Updates 4 mal pro Tag.<br/>Sie können über 200.000 Prognosen in Europa durchsuchen.');
define('FGUST','Max Böe');
define('FRATE','Regendauer');
define('BASEMAPS','Basiskarte');
define('SATELLITE','Satellite');
define('TTINFO','TS Wahrscheinlichkeit: 45-50 möglich, <br/>50-55 warscheinlich, 55-60 sehr warscheinlich');
define('SRHINFO','150-299 Superzelle möglich, <br/> 300-500 Superzellen warscheinlich');
define('DBZINFO','20 leichter Regen, <br/> 30 moderater Regen, 50 schwerer Regen, Hagel');
define('KIINFO','ca 2 x K Index = Gewitter Warscheinlichkeit');
define('FTEMP','Temperatur');
define('FCHILL','gefühlt');
define('FDEW','Taupunkt');
define('FWIND','Wind');
define('FPREC','Niederschlag');
define('FCLOUD','Wolken');
define('FBARO','Druck');
define('FSNOW','Schneefall');
define('FHAIL','Hagel');
define('FFRZ','Frost');
define('FLIG','Gewitter');
define('FTHUN','Gewitter Warscheinlichkeit');
define('FCONV','Convective precip.');
define('FINSTA','Pot. Instability');
define('FVISIB','Sicht');
define('FFORE','Vorhersagen');
define('FAVG','Durchschnitt');
define('FUTIMES','Updatezeiten');
define('FRESO','Auflösung');
define('FLENGTH','Länge');
define('FSTEPS','Abschnitt');
define('FRADAR','Radar');
define('FSAT','Satellite');
define('SIGHAIL','Sig. Hagelrisiko');
define('SIGTOR','Sig. Tornadorisiko');
define('SIGSUP','Sig. Supercellenrisiko');
define('MCOMPRADAR','DBZ-Regen-Radar');
define('SIGHAIL2','Significantes Hagelrisiko');
define('SIGTOR2','Significantes Tornadorisiko');
define('SIGSUP2','Significantes Supercellenrisiko');
define('MCOMPRADAR2','DBZ Regenradar');
define('FRCCINFO','
<b>Blitzwahrscheinlichkeitskarten</b> - Die grünen und gelben Farben zeigen die Blitz Wahrscheinlichkeit innerhalb von 40 km von einem Punkt. Orange, Rot und Violett sind ähnlich den Levels auf estofex.org darunter auch Möglichkeiten für Hagel und Superzellen.<br/><br/>
<b>dBZ</b> - DBZ steht für Dezibel in bezug auf Z. Es ist eine meteorologische Messung gleicher Reflektivität (Z) eines Radarsignals mit einem entfernten reflektiertem Objekt
<br/><br/>
<b>Cape</b> - Convective available potential energy (CAPE), ist die gesamte Menge an Energie, die ein Luftpaket hat, um weit in die Atmosphäre vorzudringen.
<br/><br/>
<b>K Index</b> - K-Index ist ein Maß für das Gewitterpotenzial auf Basis von der vertikalen Temperatur-Abfallrate, Feuchtigkeitsgehalt der unteren Atmosphäre und die vertikale Ausdehnung der feuchten Schicht.
<br/><br/>
<b>TT Index</b> - Convective index used for forecasting severe weather.
<br/><br/>
<b>WRF</b> - as Weather Research and Forecasting (WRF) ist eine neues numerisches Wettervorhersage-System dass entwickelt wurde, um sowohl operative Vorhersage als auch Atmosphärenforschung möglich zu machen. WRF ist eine Zusammenarbeit zwischen den National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma, und Federal Aviation Administration (FAA). Diese Software läuft auf unserem Server..
<br/><br/>
<b>WRFDA</b> - Eine erweiterte Version von WRF<br/><br/>
<b>Arome</b> - Das 2,5 km Arome Modell. Vom Norwegischen Wetterinstitut bereitgestellt.
<br/><br/>
<b>MET Norway</b> - Die Proff-Standard 4km meteorologischen Daten ist die Best-Vorhersage Auswahl von meteorologischen Modellen die bei met.no laufen und werden in einem gemeinsamen Datensatz interpoliert.Vom Norwegischen Wetterinstitut bereitgestellt.
<br/><br/>
<b>SMHI</b> - Das HIRLAM Modell wird vom schwedischen Meteorologischen Institut bereitgestellt.
<br/><br/>
<b>FMI</b> - Das HIRLAM Modell wir vom finnischen Meteorologischen Institut bereitgestellt.Gilt nur für Finnland .
<br/><br/>
<b>GFS</b> - Das Global Forecast System (GFS) ist ein weltweit numerisches Wettervorhersage Computermodell von NOAA.
<br/><br/>
<b>GEM-GDPS</b> - Das GEM-GDPS ist ein weltweit numerisches Wettervorhersage Computermodell vom kanadischen Meteorological Center.
<br/><br/>
<span style="color:#888"><b>Credits/Info:</b> Danke  an Stefan Gofferje von <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a> for some of the formulas for GrADS. Infos: Wikipedia.<br>
Danke an Stefan von <a href="http://www.wetterstation-johanngeorgenstadt.de/" target="_blank">Wetterstation-johanngeorgenstadt</a> für die deutsche Übersetzung.</span>');
define('SHOWADV','Show advanced');
define('FPRECTYP','Niederschlags Typ');
define('FSNOWD','Schneehöhe');
define('FRAIN','Regen');
define('FTMPSFC','Oberflächentemperatur');
define('FACCUM','Kumulierter Niederschlag');
define('FHUM','Luftfeuchte');
define('FFEELS','gefühlt');
define('FTODAY','Heute');
define('FTOMOZ','Morgen');

$days = array('Sonntag','Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag');
$daynames = '"Son", "Mon", "Die", "Mit", "Don", "Fre", "Sam","So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"';

################################################

define('CURRCOND','Aktuelle Konditionen');
define('METEXT','MET. INST.');
define('ROADEXT','Road-Stations');
define('SOUTH','Süd');
define('WEST','West');
define('NORTH','Nord');
define('EAST','Ost');
define('MIDDLE','Central');
define('YRSTATIONS','met.no stations');
define('SYNOPSTATIONS','Synop-Stations');
define('METINFO','MET. INST. - The local meteorologic institutes stations.');
define('ROADINFO','leicht bewölkt = tockenes Wetter.');
define('ROADWX','Roadweather');
define('FITRAFNAME','Finnish Road Administration');
define('SVTRAFNAME','Swedish Road Administration');
define('PWSWX','PWS');
define('PWSSTATIONS','PWS-Stations');
define('STSTATS','Statistik');
define('STATION','Station');
define('CHOOSECOUNTRY','suche Ort');
define('CHOOSESTATION','wähle Station');
define('SUBMIT','suchen');
define('SINGLESTATION','einzelne Station');
define('COMPARE','Vergleich');
define('EXTRAMAP','Extra');
define('SNOWCOVER','Schneedecke');
define('ICECOVER','Eisdecke');
define('SEATEMP','Seetemperatur');
define('SNOWDEPTH','Schneetiefe');
define('TERRAIN','Terrain');
define('STRIKES','Blitze');
define('MINUTES','Minuten');
define('GUSTINGTO','Böen bis');
define('SAVESETTINGS','Als Standard speichern');
define('APPARENT','gefühlt');
define('STATIONDATA','Stationdaten');
define('WARNINGSIN','Warnungen in');
define('CLICKONWARN','Klicken Sie auf die Warnung, um die Warnung anzuzeigen.');
define('CURREXTREMES','Aktuelle Extreme');

define('SETTINGS','Einstellungen');
define('STATS','Statistik');
define('STATSFOR','Statistik für European Weather Network');
define('STSPERCOUNTRY','Stationen/Land');
define('NORTHERNMOST','Nördlichst/Südlichst etc');
define('NEWEST','neueste Stationen');
define('MAPLOADS','Karte lädt');
define('MISC','verschiedenes');

define('LIGHT','Licht');
define('DARK','Dunkel');
define('BASEMAP','Basiskarte');
define('TYPE','Type');
define('DATA','Data');
define('WINRUN','Windverlauf');
define('RRATE','Niederschlagsmenge');

define('ACTIVEALARMS','aktive warnungen');
define('ACTIVETRACKERS','Tracker detektiert Gewitter');
define('PWS','PWS');
define('SYNOP','Synop/Metar');
define('NAUTRAL','Nat erde');
define('NIGHTVIEW','Nacht Bild');
define('BLUEVIEW','Blau Bild');
define('BWTXT','Blank & wit');
define('SATELLITE','Satellit');
define('SEAWARN','Meer Warn.');
define('MALARMWARN','Land Warn.');
define('SEAICE','Meer Daten');
define('ICE','Eis');

define('MAP','Karte');
define('FRCST','48 Stunden Wettervorhersage');
define('HIDE','Verbergen');
define('TOPLISTS','Toplisten');
define('TABLES','Tabellen');
define('INFO','Info');
define('BALTIC','Baltic');
define('MOREWEATHER1','Mehr Wetter');
define('IHAVENOTWXSTATION','Ich habe keine Wetterstation');
define('YOURINFO','Deine Info');
define('PICKCOORDS','Schnappen Koordinaten der Karte');
define('PASSW','Kennwort');
define('DEFLOC','Standort');
define('SAVE','speichern');
define('SAVED','gespeichert');
define('EXTREMECOLDBOX','Es ist ungewöhnlich kalt an den folgenden Stationen');
define('EXTREMEHOTBOX','Es war ungewöhnlich warm an den folgenden Stationen');

// Main
define('JOINUS', 'Mitmachen');
define('LEGEND', 'Legende');
define('WEATHER', 'Wetter');
define('WEBCAM', 'Webcam');
define('LIGHTNING', 'Gewitter');
define('SNOWNOTE', '<b>*Hinweis!</b> Nicht alle Stationen berichten Schneehöhe.');
define('NOCOND', 'Keine aktuellen Bedingungen gemeldet');
define('LOCALTIME', 'lokale Zeit');
define('STATIONS',' Stations');
define('CLICKFORINFO', 'Klicken Sie hier für weitere Informationen über die Teilnahme!');
define('TODAY', 'heute');
define('ALLTIME', 'Allzeit');
define('FORECAST', 'Wettervorhersage');
define('ROAD','Straße');
define('WX','Wx');
define('POUTA','trocknen');
define('LPRECIP','Leichter Niederschlag');
define('MPRECIP','Mäßiger Niederschlag');
define('HPRECIP','Schwerer Niederschlag');
define('DRY','Trocknen');
define('WET','Nass');
define('ICY','Eisig');
define('SNOWY','Schnee');
define('SLIPPERY','Rutschgefahr');
define('LAYER','Gering');
define('REPSNOW','Rep.');
define('ALLCOUT','Alle Länder');

define('COORDS','Koordinaten');
define('NOCAM','Station hat keine Cam');
define('SYNPRODBY','Synop / Metar Daten, bereitgestellt durch');
define('ROADPRODBY','Straßenwetterdaten bereitgestellt durch');
define('SGRAPHHEAD','Letzte 24 uhr');
define('MOREGRAPH','mehr Charts');
define('MAPSETTINGS','Karten Einstellung');
define('WARMCOLD','wärmster / kältester');
define('DATACOUNTER','Daten Counter');
define('STARTED','Gestartet');
define('JOINUS','Mitglied werden');
define('MEMBERAREA','Benutzerumgebung');
define('WAIT','Laden...');
define('GRAPH','Grafiken');
define('DAYS','Tage');
define('THUNDER','Gewitter');
define('SHOWICON','Icons');
define('SHOWSTATION','Stations');

// V5
$txtcolors = array('Gelb','Orange','Rot');
$txttypes = array('Wind','Schnee/Eis','Gewitter','Nebel','Extrem hohe Temperaturen','Extrem niedrige Temperaturen','Küsten Event','Waldbrand','Lawinen','Niederschlag');
define('DISTANCE', 'Abstand');
define('AWLEVEL', 'Gefahrenniveau');
define('VALID','Valid');


define('ALT', 'Alt');
define('HOMEPAGE', 'Webseite');
define('HERE', 'Hier');
define('CONDITIONS', 'Voraussetzungen');
define('FCST', 'Wettersvorhersage');
define('NOTHUNDER', 'Keine Gewitter detektiert');
define('FEATB', 'Station');
define('WINDBOX', 'Stürmischer Wind wird durch die folgenden Stationen detektiert (> 22 m/s)');
define('SUMMERFROSTBOX', 'Frost wird durch die folgenden Stationen detektiert');
define('WARN', 'Warnungen');

// NEW
define('SYNEXT', 'Top 10 der europäischen Synop Stationen');
define('ROADSTS', 'Straßen wx');
define('TIME', 'Zeit');
define('WEBCAMS', 'Webcams');
define('LIGHTNINGS', 'Stormtrackers');
define('OPTIONS', 'Optionen');
define('COND', 'Voraussetzungen');
define('DIR', 'Richtungen');
define('RRADAR', 'Regenradar');
define('STATIONSS', 'Stationen');
define('CALM', 'windstill');
define('DEWP', 'Taupunkt');
define('CCOVER', 'Bewölkt');
define('VISIB', 'Sicht');
define('NOOBS', 'Keine Beobachtung');
define('SHOW', 'Ton');

define('WCHILL', 'Windchill');
define('HEAT', 'Heatidx');
define('TRACA', 'Tracking');
define('TRACB', 'Gewitter');
define('TRACBOX' , 'Storm Tracker aus den folgenden Stationen detektieren Gewitter zu diesem Zeitpunkt');
define('BOXPRTB', '');

// NEW
define('NOPE', 'Nein');
define('YES', 'Ja');
define('', '');

// MISC

define('TOPMISC', 'Verschiedene Daten');
define('NORTHMST', 'Nördlichenmeisten');
define('SOUTHMST', 'Südlichstemeisten');
define('WESTMST', 'Westernmeisten');
define('EASTMST', 'Östlichmeisten');
define('HIGHMST', 'Höchste');
define('LOWMST', 'Niedrigste');
define('CAMS', 'Webcams');
define('TRACKERS', 'Stormtrackers');


// BALLOONS
define('TRACKER', 'Stormtracker');
define('NORAIN', 'Kein Niederschlag heute');
define('RAIN', 'Niederschlag');
define('SNOWD', 'Schneehöhe');
define('WIND', 'Wind');
define('WINDFROM', 'Wind aus');
define('HUMI', 'Luftfeuchtigkeit');
define('BARO', 'Baro');
define('NOFRAME', 'Ihr Browser unterstützt leider keine Inline-Frames oder ist zurzeit so konfiguriert, keine Inline Frames an zu zeigen.');
define('CURRHEAD', 'Aktueller Stand der teilnehmenden Stationen des Europäischen Weather Network');
define('POLARN', 'Polarnacht');
define('MIDNIGHTS', 'Midzomernach');

// TABLEHEADER
define('FEAT', 'Station/<br/>Höhe');
define('CURHEAD', 'Aktuellen<br />Kond');
define('TEMP', 'Temp');
define('HUM', 'Feuchtigkeit');
define('AVG', 'mitt. Wind');
define('PRECIPS', 'Niederschlag');
define('BAROB', 'Baro');
define('SNOB', 'Schnee');
define('TXTGUST', 'Böe');

// TOPLISTS
define('TOPHEAD', 'Top 10 Bemerkungen des Europäischen Weather Network');
define('MAXTEMP', 'Max. temperatur');
define('MINTEMP', 'Min. temperatur');
define('MAXAVGW', 'Max. mitt. wind');
define('PRECIP', 'Niederschlag ');
define('MAXHUMI', 'Max. humidex');
define('MINCHILL', 'Min. Windchill');
define('MAXGUSTW', 'Max. Böe');
define('CURRAVG', 'Aktuellen mittelwerte');
define('DAILYPREC', 'Tages Niedershlag');
define('TOTPREC', 'Gesamt Niederschläge');
define('TXTGUST', 'Böe');

define('NOSTORMS', 'Keine Gewitter detektiert');
define('TRACA', 'Tracking');
define('TRACB', 'Gewitter');

function defcountries($rawc) {
$txtcountries =  array(
"Albania" => "Albanien",
"Andorra" => "Andorra",
"Austria" => "Österreich",
"Belgium" => "Belgien",
"Bulgaria" => "Bulgarien",
"Switzerland" => "Schweiz",
"Czech" => "Tschechische Republik",
"Germany" => "Deutschland",
"Denmark" => "Dänemark",
"Estonia" => "Estland",
"Spain" => "Spanien",
"Finland" => "Finnland",
"Faroe" => "Faro",
"France" => "Frankreich",
"UK" => "Großbritannien",
"Greece" => "Griechenland",
"Hungary" => "Ungarn",
"Croatia" => "Kroatien",
"Ireland" => "Irland",
"Iceland" => "Island",
"Italy" => "Italien",
"Latvia" => "Lettland",
"Lithuania" => "Litauen",
"Luxembourg" => "Luxemburg",
"Netherlands" => "Niederlande",
"Norway" => "Norwegen",
"Poland" => "Poland",
"Portugal" => "Portugal",
"Sweden" => "Schweden",
"Slovakia" => "Slowakei",
"Slovenia" => "Slowenien",
"Greenland" => "Grönland",
"Macedonia" => "Macedonia",
"Serbia" => "Serbia",
"Bosnia" => "Bosnia",
"Romania" => "Romania"
);
if($txtcountries[$rawc]<>''){return $txtcountries[$rawc];}
else {return $rawc;}
}

function defmonths($rawf) {
$txtmon =  array(
'January' => 'Januar',
'February' => 'Februar',
'March' => 'März',
'April' => 'April',
'May' => 'Mai',
'June' => 'Juni',
'July' => 'Juli',
'August' => 'August',
'September' => 'September',
'October' => 'Oktober',
'November' => 'November',
'December' => 'Dezember'
);
$txtmonth = $txtmon[$rawf];
return $txtmonth;
}

?>