<?php
define('HAIL','Hail');
define('SEVIDX','Severe Index');
define('MOREMAPS','More maps');
define('GOODFRC','Good forecasts');
define('MEANERROR','Mean error');
define('RMSERROR','RMS error');
define('DETAILEDTABLE','detailed');
define('DAYTABLE','day table');
define('COMPACCURACY','Accuracy &amp; compare');
define('ACCURACYFOR','Accuracy for');
define('COMPMODELS','Compare models');
define('ACCURACYMODELS','Model accuracy');
define('ACCURACYDESC','EWN puts the forecast-models in a real test by monitoring their accuracy also outside their "home-area" which usually is the country of the issuing meteorologic institute. The accuracy are monitored for ca 900 locations north of the Alps and are calculated by comparing the forecast with the observed temperature every 3 hours at 00, 03, 06, 09, 12, 15, 18 and 21 UTC. The used forecast for the next day are generated at ca 18 UTC. Theese results are then used for calculating the EWN forecast.
<div style="margin-top:15px">
<b>Models</b><br/>
- <b>EWN:</b>&nbsp;EWN\'s own forecast<br/>
- <b>WRFDA:</b>&nbsp;WRF runned by EWN<br/>
- <b>DWD:</b>&nbsp;ICON, DWD, Germany<br/>
- <b>MF:</b>&nbsp;ARPEGE, Meteo France<br/>
- <b>KNMI:</b>&nbsp;Hirlam, KNMI, The Netherlands<br/>
- <b>FMI:</b>&nbsp;Hirlam, FMI, Finland<br/>
- <b>YR:</b>&nbsp;XML-files (AROME-MetCoOp, Hirlam, ECMWF), MET Norway (yr.no)<br/>
- <b>GFS:</b>&nbsp;GFS, NCEP, USA<br/>
- <b>CMC:</b>&nbsp;CMC Ensemble, CMC, Canada<br/>
- <b>WXSIM:</b>&nbsp;WXSIM-software runned by private weatherstations (data not available for all locations)<br/>
</div>
');
define('ACCURACYMODELSDESC','The average total accuracy for each forecast-model.');

define('FMODEL','Model');
define('FANIMATION','Animation');
define('FON','On');
define('FOFF','Off');

define('VILLAGES','Citys, villages');
define('ISLANDS','Islands, mountains');
define('LAKES','Lakes, bays');
define('SOLARWINDENERGY','Solar/wind-energy');
define('HDD','Heatingdegree');
define('SOLAR','Solar');
define('SOLARWINDINFO','This table are based on the EWN WRFDA-model. Solar radiation: SW - shortwave, LW - longwave. HDD - '.HDD.'.');

define('COOP','In cooperation with'); 
define('DATAPWS','Data by each PWS-station');
define('WARNBX','Warnings by');
define('WARNBY','for newest warnings visit your local metoffice website'); define('SCRADM','Script and admin by');
define('NORES','EWN is not responsible for the accuracy of the information.<br/>Except where otherwise noted, content on this page is licensed under a');
define('SUBTITLDESC','of the temperature forecasts have last 30 days been very good or good. For more info see the <a href="frc_stats.php?'.$lang.'">statistics');
define('SEARCHLOC','Search location');
define('SUBTITLE','THE MOST ACCURATE WEATHERFORECASTS'); // Feel free to figure out something better, note it refers to forecast-accuracy
define('METPROV','Data provided by');
define('PRIVATESTATION','Private');
define('METOFFICESTATION','Metoffice');
define('ROADSTATION','Road');
define('JUSTNOW','Just now');
define('CLOSEOBS','Close observations');
define('TONIGHT','Tonight');
define('WARNANDSEVERE','Warnings and severe weather');
define('FAVORITES','Your favorite locations');
define('SAVEFAVORITESETTINGS','Save settings');
define('SAVEASFAVORITE','Add to favorites');
define('ADDEDTOFAVO','Location added to favorites!');
define('NOFAVORITES','No favorites set!');
define('NOWARNS','No active warnings');
define('RADARSTRIKES','Radar &amp; strikes');
define('SEVEREW','Severe weather');
define('SNOW','Snowfall');
define('LEVEL','Level');
define('OTHER','Other');
define('DAY','Day');
define('COMPFRCMODEL','Compare models');
define('TSPROB','Storm prob.');
define('SEVERE','Severe weather');
define('SEVEREFRCTODAY','Severe weather forecast');
define('HOTCOLD','Warmest, coldest, windiest, wettest');
define('TENWARMEST','10 warmest locations');
define('TENCOLDEST','10 coldest locations');
define('WINDIEST2','Wind &gt;');
define('WETTEST2','Precip &gt; 4 mm/h');
define('LOCATIONS','Other locations');
define('SELECTCOUNTRY','Select country');
define('SELECTLANGUAGE','Language');
define('SELECTWUNIT','Windunit');
define('LOCATEME','Locate me!');
define('LOADING','Loading...');
define('FAVORITELOCATIONS','Favorite locations');
define('HOME','Home');
define('FRCSTMAPS','Forecastmaps');
define('FRCSTVIDEOS','Forecastvideos');
define('FORECASTS','Forecasts');
define('STORMFORECAST','Stormforecasts');
define('AURORAFORECAST','Auroraforecast');
define('RADAR','Radar');
define('PRECRADAR','Precip radar');
define('FINLAND','Finland');
define('SCANDINAVIA','Scandinavia');
define('EUROPE','Europe');
define('DISABLED','Disabled');
define('STRLAST2MIN','Last 2 min'); // Short!!
define('WEBCAMS','Webcams');
define('VHIGH','Very high');
define('EXTREME','Extreme');
define('WXSTATIONS','Weatherstations');
define('WXSTATION','Weatherstation');
define('AVGERROR','Average error');
define('ROADSTATIONS','Roadweatherstations');
define('SUN','Sun');
define('WINDRUN','Windrun');
define('WEBURL','Website URL');
define('DIRECTLINK','Direct link');
define('LOGIN','Log in');
define('HAVEUV','Station have UV-sensor');
define('HAVESOLAR','Station have solar-sensor');
define('ORTEXT','or');
define('USERNAME','Username');
define('FRGTPASS','Forgot password');
define('RESETPASS','Reset password');
define('SOLARHEATED','Solarheated');
define('SOLARHEATDESC','Hours when temperature are solarheated - For disabled set -1');
define('SOLARHEATDESC2','EWN Admin keeps the right to change the solarheat-setting if needed for accuracy of the temperatures. "No shield" sets station to solarheated at daytime.');
define('BOSTATIONS','Blitzortung-stations');
define('BODESC','List your BO-stations to be visible on the BO-statuspage (no ready yet).<br/>If you have multiple stations, separate them with |, like 4566|6543.');
define('BONAME','BO station-name');
define('NEWUSERNAME','NEWUSERNAME');
define('DOWNLOADNOTE','Note! If downloads not start, right-click on the link and choose "Save as".');
define('YOULOGOUT','You have logged out');
define('CONTACT','Contact');
define('CLOSE','Close');
$days = array('Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday');
$months = array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
define('cookietitle','Other');
define('cookiedescription','Settings like favorite locations use cookies. This includes also the social media plugins on the page');
define('advertisingDefaultTitle','Advertising');
define('analyticsDefaultTitle','Analytics');
define('analyticsDefaultDescription','We anonymously measure your use of this website to improve your experience.');
define('advertisingDefaultDescription','Adverts will be chosen for you, automatically based on your past behaviour and interests.');
define('notificationTitleImplicit','We use cookies to ensure you get the best experience on our website');
define('allowCookiesImplicit','Got it!');
define('savePreference','Save preference');
define('hideDetails','hide details');
define('seeDetailsImplicit','change your settings');
$boinfo.= "<br/>Rainradars are updated every 5-15 minutes with varying delay.<br/><br/>
<b>Blitzortung</b><br/>
  Blitzortung.org is a private network of lightning tracker stations with more than 1000 trackers in Europe. They catch the electromagnetic signals of strikes. Together with the time stamp the position of a strike can be calculated out of the signals (TOA - time of arrival method). You will find more information on the main site of the project: <a href='http://www.blitzortung.org' target='_blank'>www.blitzortung.org</a>.<br/>
  Accuracy of Blitzortung is quite good and is usually lower than 1 kilometer. This is equal to commercial strike detection companies and metoffices.<br/>
To participate you have to get your own relatively inexpensive receiver. With that, you can participate in the network and you will get access to all strike data";
define('WEEWXINFO','If you are using WD-plugin and upload clientraw.txt or customclientraw.txt for SteelSeries Gauges, no additional configuration is required. Choose WD or SteelSeries Gauges as software.');

# FORECAST RELATED
//define('CLICKINFO','Click on map to get forecast from anywhere!');
define('FRCWARN','Click to show the whole warning. Warnings by');
define('EWNACC','The accuracy-check compares measured temperature to the forecasted temperature for ca 500 places north of 52&deg;N up to Nordkapp in North Norway. One criteria for the choosed locations is need of a realible weatherstation (in most cases met office stations). Error-values are in absolute degrees, what means the values are allways positive. The check shows data for last 30 days.');
define('LIGHTNINGMAP','Lightningmap');
define('DAYLENGTH','Daylength');
define('MIDNIGHTSUN','Midnight Sun');
define('POLARNIGHT','Polar Night');
define('QUICKLINKS','Direct links');
define('CLOSESTWXSTATION','Closest weatherstation');
define('POP','PoP');
define('RANGE','Range');
define('DAYFRC2','day weatherforecast');
define('MORE','More &raquo;');
define('DAILYMAP','Daily maps');
define('FDAYS','Day');
define('DTOMORROW','Day 3');
define('FMAP','Map');
define('MAXI','Highest');
define('MINI','Lowest');
define('SEVRISK','Thunderstorm probability');
define('LEV3','Extremely severe');
define('LEV2','Severe weather');
define('TS','Lightning probability');
define('TSS','Some probability of lightning');
define('SEVERERISK','SEVERE WEATHER');
define('TSRISK','Risk for thundershowers');
define('SUPERCELLRISK','Risk for supercells');
define('TORNADORISK','Risk for tornados');
define('HAILRISK','Risk for hail');

define('CLICKINFO','Kliki kaardil ilmateate asukohta!');
define('FSLEET','Lrtsisadu');
define('YOURLOCATION','Sinu praegune asukoht');
define('FRCACCURACY','Ilmateate tpsus');
define('FRCACCINFO','We check the accuracy for some of the used models for a few places by checking the 12h point in the forecast.');
define('DOWNLOADED_FRC','Allalaetud ilmateated');
define('TOTDOWNLOADED_FRC','Allalaetud ilmateateid kokku');
define('PLACE','Koht');
define('FRCS','Ilmateated');
define('LATI','Laius');
define('LONGI','Pikkus');

define('TOMORROW','Homme');
define('SUNANDMOON','Pike ja kuu');
define('UVFORECAST','4 peva UV-prognoos');
define('LOW','Madal');
define('MED','Keskmine');
define('HIG','Krge');
define('LOCATIONINFO','Asukoha info');
define('ELEVATION','Krgus');
define('POPULATION','Rahvastik');
define('FEELS','Tundub');
define('GUST','Puhangud');

define('EWNFORECAST','EWN-Ilmateade');
define('FRCSEARCH','Otsi ilmateadet');
define('FRCSAVE','Salvesta koht');
define('FORECASTINFO','EWN-ilmateade on EWN-i omaenda genereeritud. See on ainus ilmateade mis genereeritakse koheselt pringu saatmisel! S.t. saate alati kige vrskema saadava ilmateate.<br/>EWN-ilmateade on saadaval ca 850000 koha kohta le euroopa.');
define('FRCINFOB','The EWN Forecast use multiple free numerical models as base for the forecast. EWN are not liable for the quality and accuracy of the forecast.<br/>In addition, we do run an own run of WRFDA EMS model at 12 km resolution whats included in the data. The maps are also generated from the WRFDA EMS model.<br/><br/>
In the forecasts are content and data used from:<br/>
<a href="http://nomads.ncep.noaa.gov/" target="_blank">NCEP</a> (GFS, GEFS &amp; UV), <a href="http://weather.gc.ca" target="_blank">The Canadian Meteorological Center</a> (GEM-GDPS), <a href="http://www.met.no" target="_blank">Norwegian Meteorological Institute</a> (MET Norway), <a href="http://www.smhi.se" target="_blank">Swedish Meteorological and Hydrological Institute</a> (SMHI), <a href="http://www.fmi.fi" target="_blank">Finnish meteorological institute</a> (FMI), <a href="http://www.dwd.de" target="_blank">Deutscher Wetterdienst</a> (DWD), <a href="http://www.geonames.org" target="_blank">Geonames</a>, <a href="http://www.meteoalarm.eu" target="_blank">MeteoAlarm</a>, <span id="moresources"></span>WXSIM - near private weatherstations with the WXSIM-software.
');

define('SAVEFAVO','Vaikimisi koht');
define('SAVEQUI','Lisa kiirotsingusse');
define('SEARCHCOUNTRY','Riik');
define('PLACESEARCH','Otsi');
define('QUICKSEARCH','Kiirotsing');
define('OWNPLACES','Oma kohad');

define('FORECASTFOR','Ilmateate koht:');
define('ISSUED','Vljastatud');

define('SHORTFRC','levaade');
define('HOURFRC','Tunni ilm');
define('DAYFRC','peva ilm');
define('NERDFRC','Lisad');
define('COMPFRC','Vrdle');
define('MAPFRC','Kaardid');

define('FGUST','Max puhangud');
define('FRATE','Vihmakogus');
define('BASEMAPS','Baaskaart');
define('SATELLITE','Sateliit');
define('TTINFO','ikese vimalus: 45-50 vimalik, <br/>50-55 tenolisemalt, 55-60 vga tenoline');
define('SRHINFO','150-299 lirnksajupilvede vimalus, <br/> 300-500 lirnksajupilvede tenolisus ja tornaado vimalus');
define('DBZINFO','20 nrk vihm, <br/> 30 mdukas vihm, 50 tugev vihm, rahe');
define('KIINFO','ca 2 x K Index = ikese vimalus');
define('FTEMP','Temperatuur');
define('FCHILL','Tuuleklm');
define('FDEW','Kastepunkt');
define('FWIND','Tuul');
define('FPREC','Sademed');
define('FCLOUD','Pilvisus');
define('FBARO','hurhk');
define('FSNOW','Lumesadu');
define('FHAIL','Rahe');
define('FFRZ','Jtumine');
define('FLIG','ike');
define('FTHUN','ikese vimalus');
define('FCONV','Konvektiivsed sademed');
define('FINSTA','Pot. Ebastabiilsus');
define('FVISIB','Nhtavus');
define('FFORE','Ilmateade');
define('FAVG','Keskmine');
define('FUTIMES','Updatetimes');
define('FRESO','Resolutsioon');
define('FLENGTH','Pikkus');
define('FSTEPS','Samm');
define('FRADAR','Radar');
define('FSAT','Satelliit');
define('SIGHAIL','Sig. Rahe oht');
define('SIGTOR','Sig. Tornaado oht');
define('SIGSUP','Sig. Supercellrisk');
define('MCOMPRADAR','Max comp. radar');
define('SIGHAIL2','Oluline Rahe oht');
define('SIGTOR2','Oluline Trombi risk');
define('SIGSUP2','Oluline lirnksajupilvede oht');
define('MCOMPRADAR2','Max liitradar');
define('FRCCINFO','
<b>Lightning probability maps</b> - Green and yellow colors indicates lightning probability within 40 km of a point. Orange, red and violet are similar levels seen on estofex.org including also probablity for hails and supercells.<br/><br/>
<b>dBZ</b> - dBZ stands for decibels relative to Z. It is a meteorological measure of equivalent reflectivity (Z) of a radar signal reflected off a remote object
<br/><br/>
<b>Cape</b> - Convective available potential energy (CAPE), sometimes, simply, available potential energy (APE), is the amount of energy a parcel of air would have if lifted a certain distance vertically through the atmosphere.
<br/><br/>
<b>K Index</b> - K-Index is a measure of the thunderstorm potential based on vertical temperature lapse rate, moisture content of the lower atmosphere, and the vertical extent of the moist layer.
<br/><br/>
<b>TT Index</b> - Convective index used for forecasting severe weather.
<br/><br/>
<b>WRF</b> - The Weather Research and Forecasting (WRF) is a next-generation mesocale numerical weather prediction system designed to serve both operational forecasting and atmospheric research needs. WRF is a cooperation between National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma, and the Federal Aviation Administration (FAA). This software are runned on our server.
<br/><br/>
<b>WRFDA</b> - A more advanced version of WRF<br/><br/>
<b>Arome</b> - The 2.5 km Arome model. Provided by Norwegian Meteorological Institute.
<br/><br/>
<b>MET Norway</b> - The proff-default 4km meteorological data is a best-guess selection of meteorological models run at met.no and joined/interpolated into a common dataset. Provided by Norwegian Meteorological Institute.
<br/><br/>
<b>SMHI</b> - The Hirlam model provided by Swedish meteorological institute.
<br/><br/>
<b>FMI</b> - The Hirlam model provided by Finnish meteorological institute. Covering only Finland.
<br/><br/>
<b>GFS</b> - The Global Forecast System (GFS) is a global numerical weather prediction computer model run by NOAA.
<br/><br/>
<b>GEM-GDPS</b> - The GEM-GDPS is a global numerical weather prediction computer model run by the  Canadian Meteorological Centre.
<br/><br/>
<span style="color:#888"><b>Credits/Info:</b> Thanks to Stefan Gofferje at <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a> for some of the formulas for GrADS. Infos: Wikipedia.</span>');
define('SHOWADV','Nita tpsemalt');
define('FPRECTYP','Sademete tp');
define('FSNOWD','Lume sgavus');
define('FRAIN','Vihm');
define('FTMPSFC','Pinna temperatuur');
define('FACCUM','Vihmakogus');
define('FHUM','huniiskus');
define('FFEELS','Tundub');
define('FTODAY','Tna');
define('FTOMOZ','Homme');

$days = array('Phapev','Esmaspev','Teisipev','Kolmapev','Neljapev','Reede','Laupev');
$daynames = '"Phap", "Esmasp", "Teisip", "Kolmap", "Neljap", "Reede", "Laup","P", "E", "T", "K", "N", "R", "L"';

################################################

define('CURRCOND','Ilm praegu');
define('METEXT','Met. Institutes');
define('ROADEXT','Road-stations');
define('SOUTH','Luna');
define('WEST','Ls');
define('NORTH','Phi');
define('EAST','Ida');
define('MIDDLE','Kesk');
define('YRSTATIONS','met.no jaamad');
define('SYNOPSTATIONS','Synop-jaamad');
define('METINFO','Met. Institutes - Kohalik meteo jaam.');
define('ROADINFO','Osaliselt pilves = Kuiv ilm.');
define('ROADWX','Roadweather');
define('FITRAFNAME','Finnish Road Administration');
define('SVTRAFNAME','Swedish Road Administration');
define('PWSWX','PWS');
define('PWSSTATIONS','PWS-jaamad');
define('STSTATS','Statistika');
define('STATION','Jaam');
define('CHOOSECOUNTRY','Vaheta riik');
define('CHOOSESTATION','Vali jaam');
define('SUBMIT','Sisesta');
define('SINGLESTATION','ksik jaam');
define('COMPARE','Vrdle');
define('EXTRAMAP','Eri kihid');
define('SNOWCOVER','Lumikate');
define('ICECOVER','Jkate');
define('SEATEMP','Meretemperatuur');
define('SNOWDEPTH','Lumepaksus');
define('TERRAIN','Terrain');
define('STRIKES','strikes');
define('MINUTES','minutid');
define('GUSTINGTO','Puhanguid kuni');
define('SAVESETTINGS','Salvesta vaikimisi');
define('APPARENT','Tuuleklm');
define('STATIONDATA','Jaama andmed');
define('WARNINGSIN','hoiatused');
define('CLICKONWARN','Kliki koha nimel - ned hoiatusi..');
define('CURREXTREMES','Kehtivad ekstreemsused');

define('SETTINGS','Seaded');
define('STATS','Stats');
define('STATSFOR','Stats for European Weather Network');
define('STSPERCOUNTRY','Jaamad/Riik');
define('NORTHERNMOST','Northernmost/Southernmost etc');
define('NEWEST','uusimad jaamad');
define('MAPLOADS','Maploads');
define('MISC','Misc');

define('LIGHT','Hele');
define('DARK','Tume');
define('BASEMAP','Baaskaart');
define('TYPE','Tp');
define('DATA','Andmed');
define('WINRUN','Tuulejooks');
define('RRATE','Vihma tase');

define('ACTIVEALARMS','aktiivsed hoiatused');
define('ACTIVETRACKERS','trackers has detected storms');
define('PWS','Privaat');
define('SYNOP','Synop/Metar');
define('NAUTRAL','Natural');
define('NIGHTVIEW','vaade');
define('BLUEVIEW','Sinine vaade');
define('BWTXT','Blank & valge');
define('SATELLITE','Satelliit');
define('SEAWARN','Merehoiatused');
define('MALARMWARN','Maa hoiatused');
define('SEAICE','Mere andmed');
define('ICE','J');

define('MAP','Kaart');
define('WXSIMFRCST','5 peva WXSIM-ilmateade');
define('WXSIMINFO','Jaamad kelle ilmaprgonoos tehtud WXSIM-tarkvaraga');
define('FRCST','48 tunni ilmateade');
define('HIDE','Peida');
define('TOPLISTS','Toplistid');
define('TABLES','Tabelid');
define('INFO','Info');
define('BALTIC','Baltic');
define('MOREWEATHER1','Veel ilmast');
define('IHAVENOTWXSTATION','Ilmajaama ei oma');
define('YOURINFO','Sinu info');
define('PICKCOORDS','Vta koordinaadid kaardilt');
define('PASSW','Salasna');
define('DEFLOC','Vaikmisi asukoht');
define('SAVE','Salvesta');
define('STATIONLESS','Juhised');
define('SAVED','Salvestatud');
define('EXTREMECOLDBOX','Ebatavaliselt klm jrgmistes jaamades');
define('EXTREMEHOTBOX','Ebatavaliselt soe jrgmistes jaamades');

// Main
define('JOINUS', 'hine');
define('LEGEND', 'Legend');
define('WEATHER', 'Ilm');
define('WEBCAM', 'Veebikaamera');
define('LIGHTNING', 'ike');
define('SNOWNOTE', '<b>*Mrkus!</b> Kik jaamad ei edasta lumesgavust.');
define('NOCOND', 'NMomendi ilma ei ole');
define('LOCALTIME', 'Kohalik aeg');
define('STATIONS', 'jaamad');
define('CLICKFORINFO', 'Kliki - ned rohkem infot kuidas hineda!');
define('TODAY', 'Tna');
define('ALLTIME', 'Kogu aeg');
define('FORECAST', 'Ilmateade');
define('ROAD','Maantee');
define('WX','Wx');
define('POUTA','Kuiv');
define('LPRECIP','Kerge sadu');
define('MPRECIP','Keskm. sadu');
define('HPRECIP','Kva sadu');
define('DRY','Kuiv');
define('WET','Mrg');
define('ICY','Jine');
define('SNOWY','Lumine');
define('SLIPPERY','Vimalik libe');
define('LAYER','Kiht');
define('REPSNOW','Rep.');
define('ALLCOUT','Kik riigid');

define('COORDS','Koordinaadid');
define('NOCAM','Jaamal ei ole kaamerat');
define('SYNPRODBY','Synop/Metar-data produced by');
define('ROADPRODBY','Maantee ilm-andmed:');
define('SGRAPHHEAD','Viimased 24 tundi');
define('MOREGRAPH','veel graafik\'uid');
define('MAPSETTINGS','Kaardiseaded');
define('WARMCOLD','Kige soojem/Kige klmem');
define('DATACOUNTER','Andmelugeja');
define('STARTED','Alustatud');
define('JOINUS','hine meiega');
define('MEMBERAREA','Member Area');
define('WAIT','Laeb...');
define('GRAPH','Graphs');
define('DAYS','Peva');
define('THUNDER','ike');
define('SHOWICON','Ikoonid');
define('SHOWSTATION','Jaamad');

// V5
$txtcolors = array('Kollane','Oranz','Punane');
$txttypes = array('Tuul','Lumi/J','ikesetorm','Udu','Vga krge temperatuur','Vga madal temperatuur','Ranniku juhtumid','Metsatulekahju','Laviinid','Vihm');
define('DISTANCE', 'Vahemaa');
define('AWLEVEL', 'Teadlikkuse tase');
define('VALID','Kehtiv');
define('NWNDISCL','<br/>EWN ei vastuta info tpsuse eest.');


define('ALT', 'Alt');
define('HOMEPAGE', 'Koduleht');
define('HERE', 'siin');
define('CONDITIONS', 'Ilmastik');
define('FCST', 'Ilmateade');
define('NOTHUNDER', 'ikesetormi ei ole');
define('FEATB', 'Jaam');
define('WINDBOX', 'Tormituuled jrgmistes jaamades (> 22 m/s)');
define('SUMMERFROSTBOX', 'Hrmatis jrgmistes jaamades');
define('WARN', 'Hoiatused');

// NEW
define('SYNEXT', 'Synop-jaamad');
define('ROADSTS', 'Roadwx');
define('TIME', 'Aeg');
define('WEBCAMS', 'Veebikaamerad');
define('LIGHTNINGS', 'Stormtrackers');
define('OPTIONS', 'Stted');
define('COND', 'Ilmastik');
define('DIR', 'Suund');
define('RRADAR', 'Rainradar');
define('STATIONSS', ' jaamad');
define('CALM', 'Vaikne');
define('DEWP', 'Kastepunkt');
define('CCOVER', 'Pilvkate');
define('VISIB', 'Nhtavus');
define('NOOBS', 'No observation');
define('SHOW', 'Nita');

define('WCHILL', 'Tuuleklm');
define('HEAT', 'Heatidx');
define('TRACA', 'Tracking');
define('TRACB', 'ikesetormid');
define('TRACBOX' , 'Following stations stormtrackers track thunderstorms at the moment');
define('BOXPRTB', '');

// NEW
define('NOPE', 'Ei');
define('YES', 'Jah');
define('', '');

// MISC

define('TOPMISC', 'Misc data');
define('NORTHMST', 'Phjapoolseim');
define('SOUTHMST', 'Lunapoolseim');
define('WESTMST', 'Lnepoolseim');
define('EASTMST', 'Idapoolseim');
define('HIGHMST', 'Krgeim');
define('LOWMST', 'Madalaim');
define('CAMS', 'Veebikaamera');
define('TRACKERS', 'Tormijlitajad');


// BALLOONS
define('TRACKER', 'Tormijlitaja');
define('NORAIN', 'Tna sademeid ei ole');
define('RAIN', 'Sademed');
define('SNOWD', 'Lumesgavus');
define('WIND', 'Tuul');
define('WINDFROM', 'Tuulesuund');
define('HUMI', 'huniiskus');
define('BARO', 'hurhk');
define('NOFRAME', 'Your browser does not support inline frames or is currently configured not to display inline frames.');
define('CURRHEAD', 'Current conditions at member stations of the European Weather Network');
define('POLARN', 'Polaar');
define('MIDNIGHTS', 'Kesk');

// TABLEHEADER
define('FEAT', 'Jaam/<br/>Krgus');
define('CURHEAD', 'Fakt<br />Ilm');
define('TEMP', 'Temperatuur');
define('HUM', 'huniiskus');
define('AVG', 'Keskm tuul');
define('PRECIPS', 'Sademed');
define('BAROB', 'hurhk');
define('SNOB', 'Lumi');
define('TXTGUST', 'Puhang');

// TOPLISTS
define('TOPHEAD', 'Top 10 observations from European Weather Network');
define('MAXTEMP', 'Max. temperatuur');
define('MINTEMP', 'Min. temperatuur');
define('MAXAVGW', 'Max. keskm. tuul');
define('PRECIP', 'Sademed ');
define('MAXHUMI', 'Max. huniiskus');
define('MINCHILL', 'Min. tuuleklm');
define('MAXGUSTW', 'Max. tuulepuhangud');
define('CURRAVG', 'Keskmised');
define('DAILYPREC', 'Igapevased sademed');
define('TOTPREC', 'Kokku sademeid');
define('TXTGUST', 'Puhangud');

define('NOSTORMS', 'ikesetormi ei ole');
define('TRACA', 'Jlitus');
define('TRACB', 'ikesetorm');


function defcountries($rawc) {
return $rawc;
}

function defmonths($rawf) {
$txtmon =  array(  
'January' => 'Jaanuar',
'February' => 'Veebruar',
'March' => 'Mrts',
'April' => 'Aprill',
'May' => 'Mai',
'June' => 'Juuni',
'July' => 'Juuli',
'August' => 'August',
'September' => 'September',
'October' => 'Oktoober',
'November' => 'November',
'December' => 'Detsember'
);
$txtmonth = $txtmon[$rawf];
return $txtmonth;
}
function charset($word) {
$word = str_replace('', '&aelig;', $word);
$word = str_replace(' ', '&oslash;', $word);
$word = str_replace(' ', '&aring;', $word);
$word = str_replace('', '&auml;', $word);
$word = str_replace('', '&ouml;', $word);
$word = str_replace(' ', '&Aring;', $word);
$word = str_replace('', '&Auml;', $word);
$word = str_replace('', '&Ouml;', $word);
$word = str_replace(' ', '&Oslash;', $word);

return $word;
}

?>