<?php
define('HAIL','Rae-riski');
define('SEVIDX','Rajuilmaindeksi');
define('MOREMAPS','Lis karttoja');
define('GOODFRC','Hyvt ennusteet');
define('MEANERROR','Poikkeama');
define('RMSERROR','RMS poikkeama');
define('DETAILEDTABLE','tarkka ennuste');
define('DAYTABLE','pivn taulukko');
define('COMPACCURACY','Paikkansapitvyys &amp; vertailu');
define('ACCURACYFOR','Paikkansapitvyys paikalle');
define('COMPMODELS','Vertaile smalleja');
define('ACCURACYMODELS','Smallien paikkansapitvyys');
define('ACCURACYDESC','EWN laittaa samallit testiin vertailemalla niiden paikkansapitvyytt mys niiden "koti-alueen" ulkopuolella joka on yleens ennusteen laatineen ilmatieteenlaitoksen kotimaa. Paikkansapitvyytt seurataan noin 900 paikkakunnalle Alppien pohjoispuolella 3 tunnin vlein klo 00, 03, 06, 09, 12, 15, 18 sek 21 UTC. Kytetty ennuste generoidaan edellisen pivn noin klo 18 UTC. Nit tuloksia kytetn mys EWN ennusteen laatimiseen.
<div style="margin-top:15px">
<b>Ennustemallit</b><br/>
- <b>EWN:</b>&nbsp;EWN:n oma ennuste<br/>
- <b>WRFDA:</b>&nbsp;EWN:n ajama WRF<br/>
- <b>DWD:</b>&nbsp;ICON, DWD, Saksa<br/>
- <b>MF:</b>&nbsp;ARPEGE, Meteo France, Ranska<br/>
- <b>KNMI:</b>&nbsp;Hirlam, KNMI, Alankomaat<br/>
- <b>FMI:</b>&nbsp;Hirlam, FMI, Suomi<br/>
- <b>YR:</b>&nbsp;XML-tiedostot (AROME-MetCoOp, Hirlam, ECMWF), MET Norway (yr.no), Norja<br/>
- <b>GFS:</b>&nbsp;GFS, NCEP, USA<br/>
- <b>CMC:</b>&nbsp;CMC Ensemble, CMC, Kanada<br/>
- <b>WXSIM:</b>&nbsp;Yksityisten sasemien ajama WXSIM-ohjelmisto (tietoja ei lydy kaikille paikkakunnille)<br/>
</div>');
define('ACCURACYMODELSDESC','Jokaisen smallin kokonais-keskiarvo.');

define('FMODEL','Smalli');
define('FANIMATION','Animaatio');
define('FON','Pll');
define('FOFF','Pois');

define('VILLAGES','Kaupunkeja, kyli');
define('ISLANDS','Saaret, vuoristot');
define('LAKES','Jrvet, lahdet');
define('SOLARWINDENERGY','Aurinko/tuuli-energia');
define('HDD','Lmmitystarve');
define('SOLAR','Aurinko');
define('SOLARWINDINFO','Tmn taulukon tiedot perustuvat EWN WRFDA-smalliin. Auringon steily: SW - lyhytaalto, LW - pitkaalto. HDD - '.HDD.'.');

define('COOP','Yhteistyss'); 
define('DATAPWS','Tiedot tuottaa yksityiset sasemat');
define('WARNBX','Varoitukset tuottaa');
define('WARNBY','tuoreimmat varoitukset lydt aina paikalliselta ilmatieteen laitoksen sivuilta'); 
define('SCRADM','Skripti sek admin');
define('NORES','EWN ei ole vastuussa tietojen paikkansapitvyydest.<br/>Muutoin kun erikseen mainittu on sivu lisensoitu');
define('SUBTITLDESC','ennusteista ovat olleet paikkansapitvi tai erittin paikkansapitvi. Listieoja lydt <a href="frc_stats.php?'.$lang.'">statistiikka-sivulta');
define('SEARCHLOC','Hae paikkakunta');
define('SUBTITLE','PARHAITEN PAIKKANSAPITVT SENNUSTEET'); // Feel free to figure out something better, note it refers to forecast-accuracy
define('METPROV','Tiedot toimittaa');
define('PRIVATESTATION','Yksityinen');
define('METOFFICESTATION','Ilmat. laitos');
define('ROADSTATION','Tie');
define('JUSTNOW','Juuri nyt');
define('CLOSEOBS','Lhell olevat sasemat');
define('TONIGHT','Tnn');
define('WARNANDSEVERE','Varoitukset sek rajuilmat');
define('FAVORITES','Suosikki-paikkakunnat');
define('SAVEFAVORITESETTINGS','Tallenna');
define('SAVEASFAVORITE','Lis suosikkeihin');
define('ADDEDTOFAVO','Paikkakunta listty suosikkeihin!');
define('NOFAVORITES','Ei suosikkeja!');
define('NOWARNS','Ei aktiivisia varoituksia');
define('RADARSTRIKES','Tutka &amp; salamat');
define('SEVEREW','Rajuilmat');
define('SNOW','Lumisade');
define('LEVEL','Taso');
define('OTHER','muu');
define('DAY','Piv');
define('COMPFRCMODEL','Vertaile smalleja');
define('TSPROB','Ukkosriski');
define('SEVERE','Rajuilmat');
define('SEVEREFRCTODAY','Rajuilmaennuste');
define('HOTCOLD','Lmpimin, kylmin, tuulisin, mrin');
define('TENWARMEST','10 lmpimint paikkakuntaa');
define('TENCOLDEST','10 kylmint paikkakuntaa');
define('WINDIEST2','Tuuli &gt;');
define('WETTEST2','Sade &gt; 4 mm/h');
define('LOCATIONS','Muita paikkakuntia');
define('SELECTCOUNTRY','Valitse maa');
define('SELECTLANGUAGE','Kieli');
define('SELECTWUNIT','Tuulen yksikk');
define('LOCATEME','Paikanna minut!');
define('LOADING','Lataa...');
define('FAVORITELOCATIONS','Suosikkipaikkakunnat');
define('HOME','Koti');
define('FRCSTMAPS','Ennustekartat');
define('FRCSTVIDEOS','Ennustevideot');
define('FORECASTS','Ennusteet');
define('STORMFORECAST','Rajuilma-ennusteet');
define('AURORAFORECAST','Revontuliennuste');
define('RADAR','Tutka');
define('PRECRADAR','Sadetutka');
define('FINLAND','Suomi');
define('SCANDINAVIA','Skandinavia');
define('EUROPE','Eurooppa');
define('DISABLED','Ei kytss');
define('STRLAST2MIN','Viim. 2 min'); // Short!!
define('WEBCAMS','Webkamerat');
define('VHIGH','Erittin korkea');
define('EXTREME','Extreme');
define('WXSTATIONS','Sasemat');
define('WXSTATION','Sasema');
define('AVGERROR','Keskimrinen virhe');
define('ROADSTATIONS','Tiesasemat');
define('SUN','Aurinko');
define('WINDRUN','Tuulen juoksu');
define('WEBURL','Websivun URL');
define('DIRECTLINK','Suora linkki');
define('LOGIN','Kirjaudu');
define('HAVEUV','Asemalla UV-anturi');
define('HAVESOLAR','Asemalla aurinko-aunturi');
define('ORTEXT','tai');
define('USERNAME','Kyttjnimi');
define('FRGTPASS','Salasana unhotunut');
define('RESETPASS','Resetoi salasana');
define('SOLARHEATED','Aurinkolmmitetty');
define('SOLARHEATDESC','Tunnit joilloin aurinko lmmitt lmptila-anturia - laita -1 poistaaksesi kytst');
define('SOLARHEATDESC2','EWN Admin pit oikeuden muuttaa asetusta tarvittaessa. "Ei syeilysuojaa" laittaa aseman aurinkolmmitetyksi pivsaikaan.');
define('BOSTATIONS','Blitzortung-asemat');
define('BODESC','Listaa BO-asemasi, mikli sinulla on useampi asema voit erottaa ne |-merkill, esim 4566|6543.');
define('BONAME','BO aseman nimi');
define('NEWUSERNAME','Uusi kyttjnimi');
define('DOWNLOADNOTE','Huom! Mikli lautaus eikynnisty, klikkaa oikealla ja "Tallenna nimell".');
define('YOULOGOUT','Olet kirjautunut ulos');
define('CONTACT','Ota yhteytt');
define('CLOSE','Sulje');
$days = array('Sunnnuntai','Maanantai','Tiistai','Keskiviikko','Torstai','Perjantai','Lauantai');
$months = array('Tam','Hel','Maa','Huh','Tou','Kes','Hei','Elo','Syy','Lok','Mar','Jou');
define('cookietitle','Other');
define('cookiedescription','Settings like favorite locations use cookies. This includes also the social media plugins on the page');
define('advertisingDefaultTitle','Advertising');
define('analyticsDefaultTitle','Analytics');
define('analyticsDefaultDescription','We anonymously measure your use of this website to improve your experience.');
define('advertisingDefaultDescription','Adverts will be chosen for you, automatically based on your past behaviour and interests.');
define('notificationTitleImplicit','We use cookies to ensure you get the best experience on our website');
define('allowCookiesImplicit','Got it!');
define('savePreference','Save preference');
define('hideDetails','hide details');
define('seeDetailsImplicit','change your settings');
$boinfo.= "<br/>Sadetutkat p&auml;ivittyv&auml;t 15 minuutin v&auml;lein vaihtelevalla viiveell&auml;, FMI:n sadetutka p&auml;ivittyy 5 minuutin v&auml;lein.<br/><br/>
<b>Blitzortung</b><br/>
  Blitzortung.org on yksityinen salamapaikantimien verkko jossa mukana yli 1000 paikatinta koko Euroopassa. Paikantimet ker&auml;&auml;v&auml;t salamaniskujen aiheuttamia elektromangneettisia signaaleja. Salamaniskun tarkka aika ja paikka voidaan m&auml;&auml;ritt&auml;&auml; n&auml;ist&auml; signaaleista (TOA - time of arrival metodi). Lyd&auml;t lis&auml;&auml; informaatiota projektista t&auml;&auml;lt&auml;: <a href='http://www.blitzortung.org' target='_blank'>www.blitzortung.org</a>.<br/>
  Blitzortung:in tarkkuus on hyv&auml; ja yleisesti alle 1 km. Tarkkuudessa p&auml;&auml;st&auml;&auml;n kaupallisten toimijoiden sek&auml; ilmatieteen laitosten tasolle.<br/>
Voit halutessasi hankkia suhteellisen edullisen oman paikantimen. N&auml;in voit osallistua salamapaikanninverkon toimintaan ja saat p&auml;&auml;syn mys kattavampaan dataan";
define('WEEWXINFO','Mikli kytt WD-plugini ja uppaat clientraw.txt tai customclientraw.txt SteelSeries Mittareille, sinun ei tarvitse tehd mitn. Valitse WD tai SteelSeries Gauges ohjemistoksi.');

# FORECAST RELATED
define('FRCWARN','Klikkaa nhdksesi koko varoituksen. Varoitukset tuottaa');
define('EWNACC','Paikkansapitvyys-testi vertaa mitattuja lmptiloja ennusteen lmptiloihin noin 500 paikkakunnalla 52&deg;N pohjoispuolella aina Nordkappiin asti. Yksi valintakriteeri on ett paikkaunnalta lytyy luotettava sasema (eli jos mahdollista paikallisen ilmatieteen laitoksen). Virhearvot ovat absoluutisia asteita, eli ovat aina positiivisia. Testiss nytetn viimeisen 30 pivn tiedot.');
define('LIGHTNINGMAP','Salamakartta');
define('DAYLENGTH','Pivn pituus');
define('MIDNIGHTSUN','Ytn y');
define('POLARNIGHT','Kaamos');
define('QUICKLINKS','Suorat linkit');
define('CLOSESTWXSTATION','Lhin sasema');
define('POP','Saderiski');
define('RANGE','Vaihteluvli');
define('DAYFRC2','vrk sennuste');
define('MORE','Lis &raquo;');
define('DAILYMAP','24h kartat');
define('FDAYS','Piv');
define('DTOMORROW','Ylihuomenna');
define('FMAP','Kartta');
define('MAXI','Ylin');
define('MINI','Alin');
define('SEVRISK','Ukkosriski');
define('LEV3','Erittin raju');
define('LEV2','Rajuilma');
define('TS','Salamointiriski');
define('SEVERERISK','RAJUILMA-RISKIT');
define('TSRISK','Riski ukkoskuuroille');
define('SUPERCELLRISK','Riski supersoluille');
define('TORNADORISK','Riski tornadoille');
define('HAILRISK','Riski rakeille');

define('CLICKINFO','Klikkaa kartasta sadaaksesi ennusteen mist vain!');
define('FSLEET','Rntsadetta');
define('YOURLOCATION','Ennuste sijannillesi');
define('FRCACCURACY','Ennusteen paikkansapitvyys');
define('FRCACCINFO','Seuraamme muutaman mallin paikkansapitvyytt parille paikkakunnalle seuraamalla 12 tunnin kohtaa ennusteessa.');
define('DOWNLOADED_FRC','Ladataut ennusteet');
define('TOTDOWNLOADED_FRC','Ladatut ennusteet yhteens');
define('PLACE','Paikkakunta');
define('FRCS','Ennusteet');
define('LATI','Leveysaste');
define('LONGI','Pituusaste');

define('TOMORROW','Huomenna');
define('SUNANDMOON','Aurinko ja kuu');
define('UVFORECAST','4 pivn UV-ennuste');
define('LOW','Matala');
define('MED','Kohtalainen');
define('HIG','Korkea');
define('LOCATIONINFO','Paikkatieto');
define('ELEVATION','Korkeus');
define('POPULATION','Asukasluku');
define('FEELS','Tuntuu');
define('GUST','Puuska');

define('EWNFORECAST','EWN-Ennuste');
define('FRCSEARCH','Hae ennustetta');
define('FRCSAVE','Tallenna paikka');
define('FORECASTINFO','EWN Ennuste on EWN:n oma sennuste. Se on ainut ennuste joka laaditaan kun haet sit! Tm tarkoittaa sit ett siin on aina tuoreimmat tiedot mit on saatvailla.<br/>EWN-Ennuste on saatavilla noin 850000:lle paikkakunnalle koko Europpassa.');
define('FRCINFOB','EWN Ennuste kytt useata vapaata ennuste-mallia lhteen ennusteisiin. EWN ei ole vastuussa ennusteiden paikkansapitvyydest.<br/>Tmn lisksi ajamme omaa WRFDA EMS ennustemallia 12 km resoluutiolla. Mys kartat ovat tehty tst WRFDA EMS mallista.<br/><br/>
Ennusteissa on sislt sek kytetty dataa seuraavista lhteist:<br/>
<a href="http://nomads.ncep.noaa.gov/" target="_blank">NCEP</a> (GFS, GEFS &amp; UV), <a href="http://weather.gc.ca" target="_blank">The Canadian Meteorological Center</a> (GEM-GDPS), <a href="http://www.met.no" target="_blank">Norwegian Meteorological Institute</a> (MET Norway), <a href="http://www.smhi.se" target="_blank">Swedish Meteorological and Hydrological Institute</a> (SMHI), <a href="http://www.fmi.fi" target="_blank">Suomen ilmatieteen laitos</a> (FMI), <a href="http://www.dwd.de" target="_blank">Deutscher Wetterdienst</a> (DWD), <a href="http://www.geonames.org" target="_blank">Geonames</a>, <a href="http://www.meteoalarm.eu" target="_blank">MeteoAlarm</a>, <span id="moresources"></span>WXSIM - lhell yksityisi sasemia jolla WXSIM-ohjelmisto.
');

define('SAVEFAVO','Oletus sijanti');
define('SAVEQUI','Lis pikahakuun');
define('SEARCHCOUNTRY','Maa');
define('PLACESEARCH','Hae');
define('QUICKSEARCH','Pikahaku');
define('OWNPLACES','Omat paikat');

define('FORECASTFOR','Ennuste paikalle');
define('ISSUED','Laadittu');

define('SHORTFRC','Lyhyesti');
define('HOURFRC','Tunti tunnilta');
define('DAYFRC','vrk ennuste');
define('NERDFRC','Extrat');
define('COMPFRC','Vertailu');
define('MAPFRC','Kartat');

define('FGUST','Kovin tuulenpuuska');
define('FRATE','Sateen voimakkuus');
define('BASEMAPS','Pohjakartta');
define('SATELLITE','Sateliitti');
define('TTINFO','Ukkosen mahdollisuus: 45-50 mahdollinen, <br/>50-55 todenn&auml;k&ouml;ist&auml;, 55-60 eritt&auml;in todenn&auml;k&ouml;ist&auml;');
define('SRHINFO','150-299 supersolut mahdolliset, <br/> 300-500 supersolut todenn&auml;k&ouml;isi&auml; ja tornadot mahdollisia');
define('DBZINFO','20 kevytt&auml; sadetta, <br/> 30 kohtalaista sadetta, 50 kovaa sadetta, rakeita');
define('KIINFO','noin 2 x K Index = Ukkosriski');
define('FTEMP','Lmptila');
define('FCHILL','Hyytvyys');
define('FDEW','Kastepiste');
define('FWIND','Tuuli');
define('FPREC','Sade');
define('FCLOUD','Pilvisyys');
define('FBARO','Ilmanpaine');
define('FSNOW','Lumisade');
define('FHAIL','Rakeita');
define('FFRZ','J&auml;&auml;t&auml;v&auml;&auml;');
define('FLIG','Ukkosta');
define('FCONV','Konv. sade');
define('FVISIB','N&auml;kyvyys');
define('FTHUN','Ukkosriski');
define('FINSTA','Pot. Ep&auml;vakaisuus');
define('FFORE','Ennusteet');
define('FAVG','Keskim.');
define('FWDIR','Tuulen suunta');
define('FUTIMES','P&auml;ivitysajat');
define('FRESO','Resoluutio');
define('FLENGTH','Pituus');
define('FSTEPS','Tiheys');
define('FRADAR','sadetutka');
define('FSAT','sateliitti');
define('SIGHAIL','Merk. Raeriski');
define('SIGTOR','Merk. Tornadoriski');
define('SIGSUP','Merk. Supersoluriski');
define('MCOMPRADAR','Maks. yhd. sadetutka');
define('SIGHAIL2','Merkitt&auml;v&auml; Raeriski');
define('SIGTOR2','Merkitt&auml;v&auml; Tornadoriski');
define('SIGSUP2','Merkitt&auml;v&auml; Supersoluriski');
define('MCOMPRADAR2','Maksimi yhdistetty sadetutka');
define('MOREMAPS','Lis&auml;&auml; karttoja');
define('FRCCINFO','
<b>Salamointiriski kartat</b> - Vihre ja keltainen osoittaa salamointimahdollisuutta 40 km steell pisteest. Oranssi, punainen sek violetti ovat samankaltaisia tasoja mit on estofex.orgin kartoissa ja sisltvt mys rakeet ja supersolut.<br/><br/>
<b>dBZ</b> - dBZ tarkoittaa decibeli&auml; suhteessa Z:&auml;&auml;n. On meteorologinen arvo mittamaan tutka-kaijun heijastavuutta (Z) esinett&auml;, kuten sadepisaroita, vastaan.
<br/><br/>
<b>Cape</b> - Cape (CAPE, lyhenne sanoista engl. Convective Available Potential Energy, konvektion k&auml;ytett&auml;viss&auml; oleva energia) on ilmakeh&auml;n ep&auml;vakautta kuvaava tunnusluku, joka lasketaan ilmakeh&auml;n pystysuuntaisesta l&auml;mp&ouml;tila- ja kosteusrakenteesta esimerkiksi radioluotauksen avulla. Suuret cape-arvot kertovat siit&auml; ett&auml; nousuliike voi kiihty&auml; voimakkaaksi; siksi suuri cape liittyy usein voimakkaaseen konvektioon ja suureen ukkosen todenn&auml;k&ouml;isyyteen.
<br/><br/>
<b>K Index</b> - K Index on ukkosen todenn&auml;k&ouml;isyyden kertova arvo k&auml;ytt&auml;en l&auml;mp&ouml;tilan muutosnopeutta liikkuessa yl&ouml;sp&auml;in, matalemman ilmankeh&auml;n ilmankosteutta, kostean kerroksen pystysuoraa laajuutta.
<br/><br/>
<b>TT Index</b> - Total totals -indeksi on ilmakeh&auml;n ep&auml;vakaisuutta kuvaava luku, joka lasketaan l&auml;mp&ouml;tilav&auml;hetteest&auml; ja ilman kosteudesta.
<br/><br/>
<b>WRF</b> - The Weather Research and Forecasting (WRF) on seuraavan sukupolven suurs&auml;&auml;tilan numeerinen ennustej&auml;rjestelm&auml;, jonka tarkoituksena on palvella niin normaalia s&auml;&auml;n ennustamista kuin ilmakeh&auml;n tutkimuksen tarpeita. WRF:n kehitysty&ouml; on seuraavien yritysten yhteisty&ouml;: National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma sek&auml; Federal Aviation Administration (FAA). T&auml;m&auml; ohjelma ajetaan meid&auml;n palvelimella.
<br/><br/>
<b>WRFDA</b> - Monipuolisempi versio WRF:st<br/><br/>
<b>Arome</b> - 2.5 km Arome malli. Tuottaa Norjan ilmatieteen laitos.
<br/><br/>
<b>MET Norway</b> - Proff-default 4km on "paras arvio" useasta met.no:lla ajetusta meteorologisesta mallinuksesta joka on yhdistetty yhdeksi paketiksi. Toimittaa Norjan meteorologinen laitos.
<br/><br/>
<b>SMHI</b> - Hirlam malli tuottajana Ruotsin ilmatieteen laitos.
<br/><br/>
<b>FMI</b> - Hirlam malli tuottajana Suomen ilmatieteen laitos. Kattaa vain Suomen.
<br/><br/>
<b>GFS</b> - The Global Forecast System (GFS) is a global numerical weather prediction computer model run by NOAA.
<br/><br/>
<b>GEM-GDPS</b> - GEM-GDPS on Canadian Meteorological Centre:n yll&auml;pit&auml;m&auml; globaali numeerinen s&auml;&auml;malli.
<br/><br/>
<span style="color:#888"><b>Credits:</b> Suuri kiitos <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a>:n Stefan Gofferje:lle joistakin kaavoista GrADS:lle. Infot: Wikipedia.</span>');
define('SHOWADV','Nyt enemmn');
define('FPRECTYP','Sateen olomuoto');
define('FSNOWD','Lumen syvyys');
define('FRAIN','Vesisade');
define('FTMPSFC','Maapinnan lmptila');
define('FACCUM','Sadekertym');
define('FHUM','Kosteus');
define('FFEELS','Tuntuu');
define('FTODAY','Tnn');
define('FTOMOZ','Huomenna');

$days = array('Sunnuntai','Maanantai','Tiistai','Keskiviikko','Torstai','Perjantai','Lauantai');
$daynames = '"Sun", "Maa", "Tii", "Kes", "Tor", "Per", "Lau","Su", "Ma", "Ti", "Ke", "To", "Pe", "La"';

################################################

define('CURRCOND','Stila');
define('METEXT','Met. laitokset');
define('ROADEXT','Ties-asemat');
define('SOUTH','Etel');
define('WEST','Lnsi');
define('NORTH','Pohjois');
define('EAST','It');
define('MIDDLE','Keski');
define('YRSTATIONS','met.no-asemat');
define('SYNOPSTATIONS','Synop-asemat');
define('METINFO','Met. laitokset - Paikallisen ilmatieteen laitoksen asemat.');
define('ROADINFO','Puolipilvinen = Pouta.');
define('ROADWX','Ties');
define('FITRAFNAME','Liikennevirasto');
define('SVTRAFNAME','Ruotsin liikennevirasto');
define('PWSWX','Yksityiset');
define('PWSSTATIONS','Yksityiset asemat');
define('STSTATS','Tilastot');
define('STATION','Asema');
define('CHOOSECOUNTRY','Vaihda maata');
define('CHOOSESTATION','Valitse asema');
define('SUBMIT','Lhet');
define('SINGLESTATION','Yksittinen asema');
define('COMPARE','Vertaile asemia');
define('EXTRAMAP','Erikoiskarttoja');
define('SNOWCOVER','Lumitilanne');
define('ICECOVER','Jtilanne');
define('SEATEMP','Meren pintalmptila');
define('SNOWDEPTH','Lumensyvyys');
define('TERRAIN','Maastokartta');
define('STRIKES','Salamat');
define('MINUTES','minuuttia');
define('GUSTINGTO','Puuskissa');
define('SAVESETTINGS','Tallenna oletukseksi');
define('APPARENT','Tuntuu kuin');
define('STATIONDATA','Asemadata');
define('WARNINGSIN','varoitusta');
define('CLICKONWARN','Klikkaa haluamasi alueen nime nhdksesi varoituksen.');
define('CURREXTREMES','Juuri nyt');

define('SETTINGS','Asetukset');
define('STATS','Statistiikka');
define('STATSFOR','Statistiikkaa European Weather Network:lle');
define('STSPERCOUNTRY','Asemia/Maa');
define('NORTHERNMOST','Pohjoisin/Etelisin jne');
define('NEWEST','uusimmat asemat');
define('MAPLOADS','Karttalatausta');
define('MISC','Sekalaista');

define('LIGHT','Vaalea');
define('DARK','Tumma');
define('BASEMAP','Pohjakartta');
define('TYPE','Tyyppi');
define('DATA','Data');
define('WINRUN','Tuulenjuoksu');
define('RRATE','Voimakkuus');

define('ACTIVEALARMS','aktiivista varoitusta');
define('ACTIVETRACKERS','tutkaa havainnut ukkossoluja');
define('PWS','Yksityiset');
define('SYNOP','Synop/Metar');
define('NAUTRAL','Luonnollinen');
define('NIGHTVIEW','Y');
define('BLUEVIEW','Sinertv');
define('BWTXT','Musta/Valkoinen');
define('SATELLITE','Sateliitti');
define('SEAWARN','Merivaroitukset');
define('MALARMWARN','Maavaroitukset');
define('SEAICE','Meri');
define('ICE','J');

define('MAP','Kartta');
define('WXSIMFRCST','5 pivn WXSIM-ennuste');
define('WXSIMINFO','Ennuste on aseman oma, WXSIM-ohjelmalla tehty ennuste');
define('FRCST','48 tunnin ennuste');
define('HIDE','Piilota');
define('TOPLISTS','Toplistat');
define('TABLES','Taulukot');
define('INFO','Tietoja');
define('BALTIC','Balttia');
define('MOREWEATHER1','Lis stietoja');
define('IHAVENOTWXSTATION','Minulla EI ole sasemaa');
define('YOURINFO','Tietosi');
define('PICKCOORDS','Valitse kordinaatit kartalta');
define('PASSW','Salasana');
define('DEFLOC','Oletussijanti');
define('SAVE','Tallenna');
define('STATIONLESS','Manuaaliset');
define('SAVED','Tallennettu');
define('SAVED','Tallennettu');
define('EXTREMECOLDBOX','Seuraavilla asemilla on eptavallisen kylm');
define('EXTREMEHOTBOX','Seuraavilla asemilla on eptavallisen lmmint');

// Main
define('JOINUS','Liity mukaan');
define('LEGEND', 'Selitys');
define('WEATHER', 'S');
define('WEBCAM', 'Webkamera');
define('LIGHTNING', 'Salamat');
define('SNOWNOTE', '<b>*Huom!</b> Kaikki asemat eivt raportoi lumensyvyytt.');
define('NOCOND', 'Ei ajantasaista tietoa');
define('LOCALTIME', 'Paikallinen aika');
define('STATIONS', 'asemaa');
define('CLICKFORINFO', 'Klikkaa saadaksesi lisinfoa miten liitty!');
define('TODAY', 'Tnn');
define('ALLTIME', 'Alltime');
define('FORECAST', 'Ennuste');
define('ROAD','Tie');
define('WX','S');
define('POUTA','Pouta');
define('LPRECIP','Heikko sade');
define('MPRECIP','Koht. sade');
define('HPRECIP','Voim. sade');
define('DRY','Kuiva');
define('WET','Mrk');
define('ICY','Jinen');
define('SNOWY','Luminen');
define('SLIPPERY','Mahd. liukas');
define('LAYER','Layer');
define('REPSNOW','Ilm.');
define('ALLCOUT','Kaikki maat');

define('COORDS','Koordinaatit');
define('NOCAM','Asemalla ei ole kameraa');
define('SYNPRODBY','Synop/Metar-tiedot tuottaa');
define('ROADPRODBY','Ties-tiedot tuottaa');
define('REMOVEFAVO','Poista suosikkiasema');
define('SAVEFAVO','Tallenna suosikkiasemaksi');
define('SGRAPHHEAD','Viime 24 tuntia');
define('MOREGRAPH','Lis kyri');
define('MAPSETTINGS','Kartan asetukset');
define('WARMCOLD','Lmpimin/Kylmin');
define('DATACOUNTER','Datalaskuri');
define('STARTED','Kynnistetty');
define('JOINUS','Liity mukaan');
define('MEMBERAREA','Jsenalue');
define('WAIT','Ladataan...');
define('GRAPH','Kyrt');
define('DAYS','Piv');
define('THUNDER','Ukkonen');
define('SHOWICON','Ikonit');
define('SHOWSTATION','Asemat');

// V5
$txtcolors = array('Keltainen','Oranssi','Punainen');
$txttypes = array('Tuuli','Lumi/J','Ukkonen','Sumu','Korkea lmptila','Matala lmptila','Rannikkoalueen vaara','Metspalo','Lumivyry','sade');
define('DISTANCE', 'Etisyys');
define('YOURCLOSEST','Lhin sasema on');
define('AWLEVEL', 'Varoitustaso');
define('VALID','Voimassa');

define('ALT', 'Korkeus');
define('HOMEPAGE', 'Kotisivu');
define('HERE', 'Tll');
define('CONDITIONS', 'Stila');
define('FCST', 'Ennuste');
define('NOTHUNDER', 'Ei havaittuja ukkossoluja');
define('FEATB', 'Asema');
define('WINDBOX', 'Seuraavilla asemilla mitataan myrskytuulia (yli 22 m/s)');
define('SUMMERFROSTBOX', 'Seuraavilla asemilla mitataan pakkasta');
define('WARN', 'Varoitukset');

// NEW
define('SYNEXT', 'Synop-asemat');
define('ROADSTS', 'Ties');
define('TIME', 'Aika');
define('WEBCAMS', 'Webkamerat');
define('LIGHTNINGS', 'Ukkostutkat');
define('OPTIONS', 'Asetukset');
define('COND', 'Stila');
define('DIR', 'Tuulen suunta');
define('RRADAR', 'Sadetutka');
define('STATIONSS', '-asemat');
define('CALM', 'Tyynt');
define('DEWP', 'Kastepiste');
define('CCOVER', 'Pilvisyys');
define('VISIB', 'Nkyvyys');
define('NOOBS', 'Ei havaintoa');
define('SHOW', 'Nyt');

define('WCHILL', 'Hyytvyys');
define('HEAT', 'Tukaluus');
define('TRACA', 'Seuraa');
define('TRACB', 'ukkossolua');
define('TRACBOX' , 'Seuraavien asemien ukkostutkat seuraavat ukkossoluja tll hetkell');

// MISC

define('TOPMISC', 'Nippelitietoja');
define('NORTHMST', 'Pohjoisin asema');
define('SOUTHMST', 'Etelisin asema');
define('WESTMST', 'Lntisin asema');
define('EASTMST', 'Itisin asema');
define('HIGHMST', 'Korkein asema');
define('LOWMST', 'Matalin asema');
define('CAMS', 'Webkameroita');
define('TRACKERS', 'Ukkostutkia');

// BALLOONS
define('TRACKER', 'Ukkostutka');
define('NORAIN', 'Ei sadetta tnn');
define('RAIN', 'Sade');
define('SNOWD', 'Lumen syvyys');
define('WIND', 'Tuuli');
define('WINDFROM', 'Tuuli');
define('HUMI', 'Kosteus');
define('BARO', 'Ilmanpaine');
define('NOFRAME', 'Your browser does not support inline frames or is currently configured not to display inline frames.');
define('CURRHEAD', 'Stila European Weather Network:in jsenasemilla juuri nyt');
define('POLARN', 'Kaamos-aika');
define('MIDNIGHTS', 'Ytn y');
define('SUNRISE', 'Auringonnousu');
define('SUNSET', 'Auringonlasku');
define('TIME', 'Aika');

// NEW
define('STSTATS', 'Tilastot');
define('TECHNIC', 'Tekniikka');
define('SOFTWARE', 'Ohjelmisto');
define('HARDWARE', 'Tyyppi');
define('NOPE', 'Ei');
define('YES', 'Kyll');
define('', '');

// TABLEHEADER
define('FEAT', 'Asema');
define('CURHEAD', 'S');
define('TEMP', 'Lmptila');
define('HUM', 'Ilmank.');
define('AVG', 'Tuuli');
define('PRECIPS', 'Sade');
define('BAROB', 'Ilmanp.');
define('SNOB', 'Lumi');
define('TXTGUST', 'Puuska');

// TOPLISTS
define('TOPHEAD', 'Top 10 havaintoa European Weather Network:in jsenasemilta');
define('MAXTEMP', 'Ylin lmptila');
define('MINTEMP', 'Alin lmptila');
define('MAXAVGW', 'Kovin keskituuli');
define('PRECIP', 'Sade');
define('MAXHUMI', 'Ylin tukaluus');
define('MINCHILL', 'Alin hyytvyys');
define('MAXGUSTW', 'Kovin puuskatuuli');
define('CURRAVG', 'Keskiarvot juuri nyt');
define('DAILYPREC', 'Pivittinen sade');
define('TOTPREC', 'Sade yhteens');

define('NOSTORMS', 'Ei ukkosalueita');
define('TRACA', 'Seurataan');
define('TRACB', 'ukkosaluetta');

function defcountries($rawc) {

$txtcountries =  array(  
"Albania" => "Albania",
"Andorra" => "Andorra",
"Austria" => "Itvalta",
"Belgium" => "Belgia",
"Bulgaria" => "Bulgaria",
"Switzerland" => "Sveitsi",
"Czech" => "Tsekki",
"Germany" => "Saksa",
"Denmark" => "Tanska",
"Estonia" => "Viro",
"Spain" => "Espanja",
"Finland" => "Suomi",
"Faroe" => "Frsaaret",
"France" => "Ranska",
"UK" => "Iso-Britannia",
"Greece" => "Kreikka",
"Hungary" => "Unkari",
"Croatia" => "Kroatia",
"Ireland" => "Irlanti",
"Iceland" => "Islanti",  
"Italy" => "Italia",
"Latvia" => "Latvia",
"Lithuania" => "Liettua",
"Luxembourg" => "Luxemburg",
"Netherlands" => "Alankomaat",
"Norway" => "Norja", 
"Poland" => "Puola",
"Portugal" => "Portugali",
"Sweden" => "Ruotsi",
"Slovakia" => "Slovakia",
"Slovenia" => "Slovenia",
"Greenland" => "Grnlanti",
"Macedonia" => "Makedonia",
"Serbia" => "Serbia",
"Bosnia" => "Bosnia",
"Romania" => "Romania",
// New
"Aland Islands" => "Ahvenanmaa",
"Belarus" => "Valko-Venj",
"Cyprus" => "Kypros",
"Czech Republic" => "Tsekki",
"Faroe Islands" => "Frsaaret",
"Russia" => "Venj",
"Vatican" => "Vatikaani",
"United Kingdom" => "Iso-Britannia"
);
if($txtcountries[$rawc]<>''){return $txtcountries[$rawc];}
else {return $rawc;}
}


function defmonths($rawf) {
$txtmon =  array(  
'January' => 'Tammikuu',
'February' => 'Helmikuu',
'March' => 'Maaliskuu',
'April' => 'Huhtikuu',
'May' => 'Toukokuu',
'June' => 'Keskuu',
'July' => 'Heinkuu',
'August' => 'Elokuu',
'September' => 'Syyskuu',
'October' => 'Lokakuu',
'November' => 'Marraskuu',
'December' => 'Joulukuu'
);
$txtmonth = $txtmon["$rawf"];
return $txtmonth;
}

?>