<?php
define('HAIL','Hagel');
define('SEVIDX','Zwaarte Index');
define('MOREMAPS','Meer kaarten');
define('GOODFRC','Goede voorspellingen');
define('MEANERROR','Gemiddelde fout');
define('RMSERROR','RMS fout');
define('DETAILEDTABLE','gedetailleerd');
define('DAYTABLE','dagen tabel');
define('COMPACCURACY','Nauwkeurigheid &amp; vergelijking');
define('ACCURACYFOR','Nauwkeurigheid voor');
define('COMPMODELS','Model vergelijking');
define('ACCURACYMODELS','Model nauwkeurigheid');
define('ACCURACYDESC','EWN zet de prognose-modellen in een echte test door de controle op hun juistheid ook buiten de "thuiszone" te testen, die meestal het land betreft van het uitgevende meteorologische instituut. De nauwkeurigheid wordt gecontroleerd op ca 900 plaatsen ten noorden van de Alpen en wordt berekend door het vergelijken van de prognose met de waargenomen temperatuur elke 3 uur op 00, 03, 06, 09, 12, 15, 18 en 21 UTC. De gebruikte voorspelling voor de volgende dag wordt gegenereerd op ca 18 UTC. Deze resultaten worden gebruikt voor de berekening van de EWN voorspelling.
<div style="margin-top:15px">
<b>Models</b><br/>
- <b>EWN:</b>&nbsp;EWN\'s own forecast<br/>
- <b>WRFDA:</b>&nbsp;WRF runned by EWN<br/>
- <b>DWD:</b>&nbsp;ICON, DWD, Germany<br/>
- <b>MF:</b>&nbsp;ARPEGE, Meteo France<br/>
- <b>KNMI:</b>&nbsp;Hirlam, KNMI, The Netherlands<br/>
- <b>FMI:</b>&nbsp;Hirlam, FMI, Finland<br/>
- <b>YR:</b>&nbsp;XML-files (AROME-MetCoOp, Hirlam, ECMWF), MET Norway (yr.no)<br/>
- <b>GFS:</b>&nbsp;GFS, NCEP, USA<br/>
- <b>CMC:</b>&nbsp;CMC Ensemble, CMC, Canada<br/>
- <b>WXSIM:</b>&nbsp;WXSIM-software runned by private weatherstations (data not available for all locations)<br/>
</div>');
define('ACCURACYMODELSDESC','De gemiddelde totale nauwkeurigheid voor elk prognose-model.');

define('FMODEL','Model');
define('FANIMATION','Animatie');
define('FON','Aan');
define('FOFF','Uit');

define('VILLAGES','Steden, plaatsen');
define('ISLANDS','Eilanden, bergen');
define('LAKES','Meren, baaien');
define('SOLARWINDENERGY','Zon/wind-energie');
define('HDD','Verwarming graad');
define('SOLAR','Zon');
define('SOLARWINDINFO','Deze tabel is gebaseerd op het EWN WRFDA-model. Zonne straling: SW - korte golf, LW - lange golf. HDD - '.HDD.'.');

define('COOP','In samenwerking met');
define('DATAPWS','Data door elk PWS-station');
define('WARNBX','Waarschuwingen door');
define('WARNBY','Bezoek voor de nieuwste waarschuwingen de lokale website van het Meteor. instituut');
define('SCRADM','Script en admin door');
define('NORES','EWN is niet aansprakelijk voor de nauwkeurigheid van de informatie.<br/>Met uitzondering waar dit is vermeld. De inhoud van deze pagina is onder licentie van a');
define('SUBTITLDESC','van de temperatuur verwachting zijn de laatste 30 dagen heel goed tot goed. Voor meer info bekijk de <a href="frc_stats.php?'.$lang.'">statistics');
define('SEARCHLOC','Zoek locatie');
define('SUBTITLE','DE MEEST BETROUWBARE WEERSVERWACHTING'); // Feel free to figure out something better, note it refers to forecast-accuracy
define('METPROV','Data geleverd door');
define('PRIVATESTATION','Privé');
define('METOFFICESTATION','Metoffice');
define('ROADSTATION','Rijweg');
define('JUSTNOW','Zojuist');
define('CLOSEOBS','Waarnemingen dichtbij');
define('TONIGHT','Vannacht');
define('WARNANDSEVERE','Waarschuwingen en extreem weer');
define('FAVORITES','Je favoriete locaties');
define('SAVEFAVORITESETTINGS','Instellingen opslaan');
define('SAVEASFAVORITE','Voeg toe aan favorieten');
define('ADDEDTOFAVO','Locatie toegevoegd aan favorieten!');
define('NOFAVORITES','Geen favorieten ingesteld!');
define('NOWARNS','Geen actieve waarschuwingen');
define('RADARSTRIKES','Radar &amp; ontladingen');
define('SEVEREW','Extreem weer');
define('SNOW','Sneeuwval');
define('LEVEL','Niveau');
define('OTHER','Andere');
define('DAY','Dag');
define('COMPFRCMODEL','Vergelijk modellen');
define('TSPROB','Storm prob.');
define('SEVERE','Extreem weer');
define('SEVEREFRCTODAY','Verwachting extreem weer');
define('HOTCOLD','Warmste, koudste, winderigste, natste');
define('TENWARMEST','10 warmste locaties');
define('TENCOLDEST','10 koudste locaties');
define('WINDIEST2','Wind &gt;');
define('WETTEST2','Neerslag &gt; 4 mm/h');
define('LOCATIONS','Andere locaties');
define('SELECTCOUNTRY','Selecteer land');
define('SELECTLANGUAGE','Taal');
define('SELECTWUNIT','Windeenheid');
define('LOCATEME','Localiseer me!');
define('LOADING','Laden...');
define('FAVORITELOCATIONS','Favoriete locaties');
define('HOME','Home');
define('FRCSTMAPS','Verwachtingskaarten');
define('FRCSTVIDEOS','Verwachtingsvideos');
define('FORECASTS','Verwachtingen');
define('STORMFORECAST','Storm verwachting');
define('AURORAFORECAST','Aurora verwachting');
define('RADAR','Radar');
define('PRECRADAR','Neerslag radar');
define('FINLAND','Finland');
define('SCANDINAVIA','Scandinavie');
define('EUROPE','Europa');
define('DISABLED','Uitgeschakeld');
define('STRLAST2MIN','Laatste 2 min'); // Short!!
define('WEBCAMS','Webcams');
define('VHIGH','Erg hoog');
define('EXTREME','Extreem');
define('WXSTATIONS','Weerstations');
define('WXSTATION','Weerstation');
define('AVGERROR','fout gemiddelde');
define('ROADSTATIONS','Rijweg weerstations');
define('SUN','Zon');
define('WINDRUN','Windrun');
define('WEBURL','Website URL');
define('DIRECTLINK','Directe link');
define('LOGIN','Log in');
define('HAVEUV','Station heeft UV-sensor');
define('HAVESOLAR','Station heeft solar-sensor');
define('ORTEXT','of');
define('USERNAME','Gebruikersnaam');
define('FRGTPASS','Wachtwoord vergeten');
define('RESETPASS','Reset wachtwoord');
define('SOLARHEATED','zonne-energie verwarmd');
define('SOLARHEATDESC','Uren wanneer temperatuur is zon verwarmd - Om uit te schakelen stel in op -1');
define('SOLARHEATDESC2','EWN Admin houdt zich het recht voor de solarheat-instelling te wijzigen als dat nodig is voor de juistheid van de temperatuur. "Geen afscherming" stelt station in op zon-energie verwarmd overdag.');
define('BOSTATIONS','Blitzortung-stations');
define('BODESC','Voeg je BO-stations toe om zichtbaar te zijn op de BO-status pagina (nog niet klaar).<br/>Wanneer je meerdere stations hebt, scheidt ze dan met |, als bijv. 4566|6543.');
define('BONAME','BO station-naam');
define('NEWUSERNAME','NIEUWEGEBRUIKERSNAAM');
define('DOWNLOADNOTE','Noot! Wanneer de download niet start, klik met rechts op de link en kies "Opslaan als".');
define('YOULOGOUT','Je bent uitgelogd');
define('CONTACT','Contact');
define('CLOSE','Afsluiten');
$days = array('Zondag','Maandag','Dinsdag','Woensdag','Donderdag','Vrijdag','Zaterdag');
$months = array('Jan','Feb','Maa','Apr','Mei','Jun','Jul','Aug','Sep','Okt','Nov','Dec');
define('cookietitle','Anders');
define('cookiedescription','Instellingen als Favoriete locaties gebruiken cookies. Dit betreft ook de sociale media plugins op de pagina');
define('advertisingDefaultTitle','Adverteren');
define('analyticsDefaultTitle','Analyse');
define('analyticsDefaultDescription','We meten anoniem je gebruik van deze website om de werking te verbeteren.');
define('advertisingDefaultDescription','Advertenties worden automatisch voor je gekozen op basis van je keuzes en interesses in het verleden.');
define('notificationTitleImplicit','We gebruiken cookies om je ervan te verzekeren dat de website het beste werkt');
define('allowCookiesImplicit','BEGRIJP het!');
define('savePreference','Voorkeuren opslaan');
define('hideDetails','verberg details');
define('seeDetailsImplicit','wijzig je instellingen');
$boinfo.= "<br/>Regenradars worden elke 5-15 minuten geupdate met wisselende vertraging.<br/><br/>
<b>Blitzortung</b><br/>
  Blitzortung.org is een privé netwerk van onweerdetectie stations met meer dan 1000 detectoren in Europe. Ze vangen de electromagnetische signalen op van ontladingen. Samen met het tijdstip kan de positie van een ontlading berekent worden uit de signalen (TOA - tijd van aankomst methode). Je kan meer info vinden op de website van het project: <a href='http://www.blitzortung.org' target='_blank'>www.blitzortung.org</a>.<br/>
  De nauwkeurigheid van Blitzortung is erg goed en is normaal gesproken kleiner dan 1 kilometer. Dit is vergelijkbaar met commerciële onweer detectie netwerken en Met.instituten.<br/>
Om deel te kunnen nemen moet je zelf een vrij goedkope ontvanger aanschaffen. Daarmee kun je deelnemen aan het netwerk en heb je toegang tot alle onweer data";
define('WEEWXINFO','Wanneer je de  WD-plugin gebruikt en de clientraw.txt of customclientraw.txt upload voor de SteelSeries Gauges, is geen extra configuratie nodig. Kies WD of SteelSeries Gauges als software.');

# FORECAST RELATED
define('DAYLENGTH','Daglengte');
define('MIDNIGHTSUN','Midzomernacht');
define('POLARNIGHT','Poolnacht');
define('QUICKLINKS','Directe link');
define('CLOSESTWXSTATION','Weerstation dichtbij');
define('POP','Neerslag verwachting');
define('RANGE','Range');
define('DAYFRC2','daagse weersverwachting');
define('MORE','Meer &raquo;');
define('DAILYMAP','Dagkaart');
define('FDAYS','Dag');
define('DTOMORROW','Dag 3');
define('FMAP','Kaart');
define('MAXI','Hoogste');
define('MINI','Laagste');
define('SEVRISK','Kans op onweer');
define('LEV3','Extreem zwaar');
define('LEV2','Noodweer');
define('TS','Kans op onweer');
define('SEVERERISK','NOODWEER');
define('TSRISK','Kans op onweersbuien');
define('SUPERCELLRISK','Kans op supercellen');
define('TORNADORISK','Kans op tornados');
define('HAILRISK','Kans op hagel');

define('CLICKINFO','klik op de kaart om een weersverwachting op te roepen van een locatie naar keuze!');
define('FSLEET','Natte sneeuw');
define('YOURLOCATION','Je huidige locatie');
define('FRCACCURACY','Betrouwbaarheid van de verwachting');
define('FRCACCINFO','We controleren de betrouwbaarheid van enkele van de gebruikte modellen door van een paar plaatsen het 12 uur punt in de verwachting te checken.');
define('DOWNLOADED_FRC','Geladen verwachtingen');
define('TOTDOWNLOADED_FRC','Totaal geladen verwachtingen');
define('PLACE','Plaats');
define('FRCS','Verwachtingen');
define('LATI','Latitude');
define('LONGI','Longitude');

define('TOMORROW','Morgen');
define('SUNANDMOON','Zon en maan');
define('UVFORECAST','4 daagse UV-verwachting');
define('LOW','Laag');
define('MED','Gemiddeld');
define('HIG','Hoog');
define('LOCATIONINFO','Locatie info');
define('ELEVATION','Hoogte');
define('POPULATION','Bevolking');
define('FEELS','Voelt als');
define('GUST','Windvlaag');

define('EWNFORECAST','EWN-weersverwachting');
define('FRCSEARCH','Zoek weersverwachting');
define('FRCSAVE','Sla locatie op');
define('FORECASTINFO','De EWN-Weersverwachting wordt door de EWN zelf gemaakt. Het is de enige weersverwachting die gemaakt wordt op het moment dat u het opvraagt! Dit betekent dat u altijd de meest recente data gebruikt die beschikbaar is.<br/>De EWN-weersverwachting is beschikbaar voor ca 850000 locaties door heel Europa.');
define('FRCINFOB','De waarden zijn gebaseerd op numerieke modellen. We proberen ze zo nauwkeurig mogelijk te krijgen, maar het echte weer is afhankelijk van allerlei fenomenen die niet automatisch kunnen worden opgehaald. Daarom, wanneer een waarde hoog is (bijv. Onweer kans), is dit niet een belofte dat het zal gebeuren!<br/><br/>
De EWN-Weersverwachting gebruikt meerdere gratis bronnen voor de verwachting.<br/>Daarnaast gebruiken we een eigen versie van WRFDA-EMS op 12 km resolutie die in de statistieken worden opgenomen. De kaarten zijn ook gegenereerd uit de WRFDA EMS-gegevens.<br/><br/>
In de weersverwachting zijn inhoud en gegevens gebruikt van:<br/>
<a href="http://nomads.ncep.noaa.gov/" target="_blank">NCEP</a> (GFS), <a href="http://weather.gc.ca" target="_blank">The Canadian Meteorological Center</a> (GEM-GDPS), <a href="http://www.met.no" target="_blank">Norwegian Meteorological Institute</a> (MET Norway), <a href="http://www.smhi.se" target="_blank">Swedish Meteorological and Hydrological Institute</a> (SMHI), <a href="http://www.fmi.fi" target="_blank">Finnish meteorological institute</a> (FMI), <a href="http://www.dwd.de" target="_blank">Deutscher Wetterdienst</a> (DWD), <a href="http://www.temis.nl" target="_blank">Temis</a> (UV-forecast), <a href="http://www.geonames.org" target="_blank">Geonames</a>, <span id="moresources"></span>WXSIM - near private weatherstations with the WXSIM-software.
');

define('SAVEFAVO','Standaard locatie');
define('SAVEQUI','Voeg toe aan snelzoeken');
define('SEARCHCOUNTRY','Land');
define('PLACESEARCH','Zoek');
define('QUICKSEARCH','Snelzoeken');
define('OWNPLACES','Eigen plaatsen');

define('FORECASTFOR','Weersverwachting voor');
define('ISSUED','Gemaakt op');

define('SHORTFRC','Overzicht');
define('HOURFRC','Per uur');
define('DAYFRC','dagen');
define('NERDFRC','Extra');
define('COMPFRC','Vergelijk');
define('MAPFRC','Kaarten');

define('FGUST','Max windvlaag');
define('FRATE','Regenval snelheid');
define('BASEMAPS','Basiskaart');
define('SATELLITE','Satelliet');
define('TTINFO','Onweer Verwachting: 45-50 mogelijk, <br/>50-55 grote kans, 55-60 zeer grote kans');
define('SRHINFO','150-299 supercel mogelijk, <br/> 300-500 supercel mogelijk en tornado kans ');
define('DBZINFO','20 lichte regen, <br/> 30 matige regen, 50 zware regen, hagel');
define('KIINFO','ca 2 x K Index = Onweer kans');
define('FTEMP','Temperatuur');
define('FCHILL','Gevoelstemperatuur');
define('FDEW','Dauwpunt');
define('FWIND','Wind');
define('FPREC','Neerslag');
define('FCLOUD','Bewolking');
define('FBARO','Luchtdruk');
define('FSNOW','Sneeuwval');
define('FHAIL','Hagel');
define('FFRZ','Vorst');
define('FLIG','Onweer');
define('FTHUN','Onweer kans');
define('FCONV','Convectieve neerslag');
define('FINSTA','Pot. Onstabiliteit');
define('FVISIB','Zicht');
define('FFORE','Weersverwachting');
define('FAVG','Gemiddeld');
define('FUTIMES','Updatetijd');
define('FRESO','Resolutie');
define('FLENGTH','Lengte');
define('FSTEPS','Stap');
define('FRADAR','radar');
define('FSAT','satelliet');
define('SIGHAIL','Sig. Hagelrisico');
define('SIGTOR','Sig. Tornadorisico');
define('SIGSUP','Sig. Supercelrisico');
define('MCOMPRADAR','Max comp. radar');
define('SIGHAIL2','Significant Hagelrisico');
define('SIGTOR2','Significant Tornadorisico');
define('SIGSUP2','Significant Supercelrisico');
define('MCOMPRADAR2','Max composite radar');
define('FRCCINFO','
<b>Onweer risico kaarten </b> - De groene en gele kleur geeft de kans op onweer aan binnen 40 km van een punt. Oranje, rood en violet hebben hetzelfde niveau zoals je het ziet op estofex.org waaronder ook de kans op hagel en supercells.<br/><br/>
<b>dBZ</b> - dBZ staat voor decibel ten opzichte van Z. 
<br/><br/>
<b>Cape</b> - Convective available potential energy (CAPE), is de totale hoeveelheid energie die een luchtpakketje nodig heeft om zover mogelijk te stijgen in de atmosfeer.
<br/><br/>
<b>K Index</b> - K-Index wordt berekend door de Vertical Totals (VT) en het verschil tussen de 850 hPa temperatuur en de 700 hPa dauwpuntsdepressie (Tdd 700) bij elkaar op te tellen. 
<br/><br/>
<b>TT Index</b> - Convectie index wordt gebruikt voor het voorspellen van zware buien of onweer.
<br/><br/>
<b>WRF</b> - The Weather Research and Forecasting (WRF) is een volgende generatie mesoscale numeriek weersvoorspelling systeem ontworpen om zowel de operationele planning als het atmosferisch onderzoek te dienen. WRF is a cooperatie tussen het National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma, en de Federal Aviation Administration (FAA). Deze software draait op onze server.
<br/><br/>
<b>WRFDA</b> - Een meer geavanceerde versie van WRF<br/><br/>
<b>Arome</b> - Het 2.5 km Arome model. Verzorgd door het Noors Meteorologisch Instituut.
<br/><br/>
<b>MET Norway</b> - De proff-default 4km meteorological data is een beste keus selectie van meteorologische modellen gebruikt door met.no die zijn geïnterpoleerd tot een gemeenschappelijke dataset. Verzorgd door het Noorse Meteorologisch Instituut.
<br/><br/>
<b>SMHI</b> - Het Hirlam model verzorgd door het Zweeds meteorologisch instituut.
<br/><br/>
<b>FMI</b> - Het Hirlam model verzorgd door het Fins meteorologisch instituut. Dekking alleen Finland.
<br/><br/>
<b>GFS</b> - Het Global Forecast Systeem (GFS) is een wereldwijd numerieke weersvoorspelling computermodel, gerund door NOAA.
<br/><br/>
<b>GEM-GDPS</b> - Het GEM-GDPS is a wereldwijd numeriek weersvoorspelling computermodel verzorgd door het Canadees Meteorologisch Centrum.
<br/><br/>
<span style="color:#888"><b>Credits/Info:</b> Dank aan Stefan Gofferje van <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a> voor enkele formules van GrADS. Info: Wikipedia.</span>');
define('SHOWADV','Toon geavanceerd');
define('FPRECTYP','Neerslag type');
define('FSNOWD','Sneeuwdiepte');
define('FRAIN','Regen');
define('FTMPSFC','Oppervlakte Temperatuur');
define('FACCUM','Cumulatieve Neerslag');
define('FHUM','Luchtvochtigheid');
define('FFEELS','Voelt als');
define('FTODAY','Vandaag');
define('FTOMOZ','Morgen');

$days = array('Zondag','Maandag','Dinsdag','Woensdag','Donderdag','Vrijdag','Zaterdag');
$daynames = '"Zon", "Maa", "Din", "Woe", "Don", "Vrij", "Zat","Zon", "Ma", "Di", "Wo", "Do", "Vr", "Za"';

################################################

define('CURRCOND','Huidige condities');
define('METEXT','MET. INST.');
define('ROADEXT','Weg-stations');
define('SOUTH','Zuid');
define('WEST','West');
define('NORTH','Noord');
define('EAST','Oost');
define('MIDDLE','Midden');
define('YRSTATIONS','met.no-stations');
define('SYNOPSTATIONS','Synop-stations');
define('METINFO','MET. INST. - Stations van de locale meteorologische instituten.');
define('ROADINFO','Gedeeltelijk bewolkt = Droog weer.');
define('ROADWX','Rijweg weer');
define('FITRAFNAME','Finse Rijweg Administratie');
define('SVTRAFNAME','Zweedse Rijweg Administratie');
define('PWSWX','PWS');
define('PWSSTATIONS','PWS-stations');
define('STSTATS','Statistieken');
define('STATION','Station');
define('CHOOSECOUNTRY','Wijzig land');
define('CHOOSESTATION','Kies station');
define('SUBMIT','Kies');
define('SINGLESTATION','Enkel station');
define('COMPARE','Vergelijk');
define('EXTRAMAP','Speciale lagen');
define('SNOWCOVER','Sneeuwbedekking');
define('ICECOVER','IJsbedekking');
define('SEATEMP','Zeetemperatuur');
define('SNOWDEPTH','Sneeuwdiepte');
define('TERRAIN','Terrein');
define('STRIKES','ontladingen');
define('MINUTES','minuten');
define('GUSTINGTO','Windvlagen tot');
define('SAVESETTINGS','Opslaan als standaard');
define('APPARENT','Voelt als');
define('STATIONDATA','Stationdata');
define('WARNINGSIN','waarschuwingen in');
define('CLICKONWARN','Klik op de naam van het gebied om de waarschuwing te tonen.');
define('CURREXTREMES','Huidige extremen');

define('SETTINGS','Instellingen');
define('STATS','Statistieken');
define('STATSFOR','Statistieken voor het Europees Weer Netwerk');
define('STSPERCOUNTRY','Stations/Land');
define('NORTHERNMOST','Noordelijkst/Zuidelijkst etc');
define('NEWEST','nieuwste stations');
define('MAPLOADS','Kaart laadt');
define('MISC','Misc');

define('LIGHT','Licht');
define('DARK','Donker');
define('BASEMAP','Basiskaart');
define('TYPE','Type');
define('DATA','Data');
define('WINRUN','Windrun');
define('RRATE','Regenval snelheid');

define('ACTIVEALARMS','actieve waarschuwingen');
define('ACTIVETRACKERS','x: tracker detecteert onweer');
define('PWS','Privé');
define('SYNOP','Synop/Metar');
define('NAUTRAL','Nat. aarde');
define('NIGHTVIEW','Nachtbeeld');
define('BLUEVIEW','Blauwbeeld');
define('BWTXT','Blank & wit');
define('SATELLITE','Satelliet');
define('SEAWARN','Zeewaarsch.');
define('MALARMWARN','Landwaarsch.');
define('SEAICE','Zeedata');
define('ICE','IJs');

define('MAP','Kaart');
define('WXSIMFRCST','5 dagelijks WXSIM-weerbericht');
define('WXSIMINFO','Stations eigen gemaakt weerbericht doormiddel van WXSIM-software');
define('FRCST','48 uurs weerbericht');
define('HIDE','Verbergen');
define('TOPLISTS','Toplijsten');
define('TABLES','Tabellen');
define('INFO','Info');
define('BALTIC','Baltisch');
define('MOREWEATHER1','Meer weer');
define('IHAVENOTWXSTATION','Ik heb geen weerstation');
define('YOURINFO','Jouw info');
define('PICKCOORDS','Pak coordinaten van de kaart');
define('PASSW','Wachtwoord');
define('DEFLOC','Standaard locatie');
define('SAVE','Opslaan');
define('STATIONLESS','Handmatig');
define('SAVED','Opgeslagen');
define('EXTREMECOLDBOX','Het is ongewoon koud op de volgende stations');
define('EXTREMEHOTBOX','Het is ongewoon warm op de volgende stations');

// Main
define('JOINUS', 'Deelnemen');
define('LEGEND', 'Legenda');
define('WEATHER', 'Weer');
define('WEBCAM', 'Webcam');
define('LIGHTNING', 'Onweer');
define('SNOWNOTE', '<b>*Noot!</b> Niet alle stations rapporteren sneeuwdiepte.');
define('NOCOND', 'Geen huidige condities gerapporteerd');
define('LOCALTIME', 'Locale tijd');
define('STATIONS', 'stations');
define('CLICKFORINFO', 'Klik voor meer info over deelname!');
define('TODAY', 'Vandaag');
define('ALLTIME', 'Alle tijden');
define('FORECAST', 'Weersverwachting');
define('ROAD','Weg');
define('WX','Wx');
define('POUTA','Droog');
define('LPRECIP','Lichte neerslag');
define('MPRECIP','Matige neerslag');
define('HPRECIP','Zware neerslag');
define('DRY','Droog');
define('WET','Nat');
define('ICY','IJzig');
define('SNOWY','Sneeuw');
define('SLIPPERY','Slipgevaar');
define('LAYER','Laag');
define('REPSNOW','Rep.');
define('ALLCOUT','Alle landen');

define('COORDS','Coördinaten');
define('NOCAM','Station heeft geen cam');
define('SYNPRODBY','Synop/Metar-data verzorgd door');
define('ROADPRODBY','Rijwegdata verzorgd door');
define('SGRAPHHEAD','Laatste 24 uur');
define('MOREGRAPH','Meer grafieken');
define('MAPSETTINGS','Kaart instellingen');
define('WARMCOLD','Warmste/Koudste');
define('DATACOUNTER','Datateller');
define('STARTED','Gestart');
define('JOINUS','Neem deel');
define('MEMBERAREA','Login');
define('WAIT','Laden...');
define('GRAPH','Grafieken');
define('DAYS','Dagen');
define('THUNDER','Onweer');
define('SHOWICON','Icoontjes');
define('SHOWSTATION','Stations');

// V5
$txtcolors = array('Geel','Oranje','Rood');
$txttypes = array('Wind','Sneeuw/IJs','Onweer','Mist','Extreem hoge temperaturen','Extreem lage temperaturen','Kust Gebeurtenis','Bosbrand','Lawines','Regen');
define('DISTANCE', 'Afstand');
define('AWLEVEL', 'Gevaar niveau');
define('VALID','Geldig');
define('NWNDISCL','Admin &amp; script gemaakt door <a rel="external" href="http://www.europeanweathernetwork.eu/">European Weather Network</a>. <br/>EWN is niet verantwoordelijk voor de nauwkeurigheid van de informatie.');


define('ALT', 'Alt');
define('HOMEPAGE', 'Homepagina');
define('HERE', 'hier');
define('CONDITIONS', 'Condities');
define('FCST', 'Weersverwachting');
define('NOTHUNDER', 'Geen onweer gedetecteerd');
define('FEATB', 'Station');
define('WINDBOX', 'Stormachtige wind is gedetecteerd door de volgende stations (> 22 m/s)');
define('SUMMERFROSTBOX', 'Vorst is gedetecteerd door de volgende stations');
define('WARN', 'Waarschuwingen');

// NEW
define('SYNEXT', 'Top 10 van Europese Synop-stations');
define('ROADSTS', 'Wegwx');
define('TIME', 'Tijd');
define('WEBCAMS', 'Webcams');
define('LIGHTNINGS', 'Stormtrackers');
define('OPTIONS', 'Opties');
define('COND', 'Condities');
define('DIR', 'Richtingen');
define('RRADAR', 'Regenradar');
define('STATIONSS', 'stations');
define('CALM', 'Kalm');
define('DEWP', 'Dauwpunt');
define('CCOVER', 'Bewolking');
define('VISIB', 'Zicht');
define('NOOBS', 'Geen observatie');
define('SHOW', 'Toon');

define('WCHILL', 'Gevoelstemperatuur');
define('HEAT', 'Heatidx');
define('TRACA', 'Tracking');
define('TRACB', 'onweersbui(en)');
define('TRACBOX' , 'StormTrackers van de volgende stations detecteren onweer op dit moment');
define('BOXPRTB', '');

// NEW
define('NOPE', 'Nee');
define('YES', 'Ja');
define('', '');

// MISC

define('TOPMISC', 'Diverse data');
define('NORTHMST', 'Meest Noordelijk');
define('SOUTHMST', 'Meest Zuidelijk');
define('WESTMST', 'Meest Westelijk');
define('EASTMST', 'Meest Oostelijk');
define('HIGHMST', 'Hoogste');
define('LOWMST', 'Laagste');
define('CAMS', 'Webcams');
define('TRACKERS', 'Stormtrackers');


// BALLOONS
define('TRACKER', 'Stormtracker');
define('NORAIN', 'Geen neerslag vandaag');
define('RAIN', 'Neerslag');
define('SNOWD', 'Sneeuwdiepte');
define('WIND', 'Wind');
define('WINDFROM', 'Wind van');
define('HUMI', 'Luchtvochtigheid');
define('BARO', 'Baro');
define('NOFRAME', 'Je browser ondersteund geen inline frames of is momenteel zo geconfigureerd geen inline frames te tonen.');
define('CURRHEAD', 'Huidige condities van deelnemende stations van het Europese Weernetwerk');
define('POLARN', 'Poolnacht');
define('MIDNIGHTS', 'Midzomernacht');

// TABLEHEADER
define('FEAT', 'Station/<br/>Hoogte');
define('CURHEAD', 'Huidige<br />Cond');
define('TEMP', 'Temp');
define('HUM', 'Vocht');
define('AVG', 'Gem wind');
define('PRECIPS', 'Neerslag');
define('BAROB', 'Baro');
define('SNOB', 'Sneeuw');
define('TXTGUST', 'Vlaag');

// TOPLISTS
define('TOPHEAD', 'Top 10 observaties van het Europese Weernetwerk');
define('MAXTEMP', 'Max. temperatuur');
define('MINTEMP', 'Min. temperatuur');
define('MAXAVGW', 'Max. gem. wind');
define('PRECIP', 'Neerslag ');
define('MAXHUMI', 'Max. humidex');
define('MINCHILL', 'Min. Gevoelstemp.');
define('MAXGUSTW', 'Max. windvlaag');
define('CURRAVG', 'Huidige gemiddelden');
define('DAILYPREC', 'Dagelijkse neerslag');
define('TOTPREC', 'Totale neerslag');
define('TXTGUST', 'Vlaag');

define('NOSTORMS', 'Geen onweer gedetecteerd');
define('TRACA', 'Tracking');
define('TRACB', 'onweersbuien');

function defcountries($rawc) {
$txtcountries =  array(  
"Albania" => "Albanië",
"Andorra" => "Andorra",
"Austria" => "Oostenrijk",
"Belgium" => "België",
"Bulgaria" => "Bulgarije",
"Switzerland" => "Zwitserland",
"Czech" => "Tsjechië",
"Germany" => "Duitsland",
"Denmark" => "Denemarken",
"Estonia" => "Estland",
"Spain" => "Spanje",
"Finland" => "Finland",
"Faroe" => "Faro",
"France" => "Frankrijk",
"UK" => "Groot Brittannië",
"Greece" => "Griekenland",
"Gibraltar" => "Gibraltar",
"Hungary" => "Hongarije",
"Croatia" => "Kroatië",
"Ireland" => "Ierland",
"Iceland" => "IJsland",
"Italy" => "Italië",
"Latvia" => "Letland",
"Lithuania" => "Litouwen",
"Monaco" => "Monaco",
"Luxembourg" => "Luxemburg",
"Netherlands" => "Nederland",
"Norway" => "Noorwegen",
"Poland" => "Polen",
"Portugal" => "Portugal",
"Sweden" => "Zweden",
"Slovakia" => "Slowakije",
"Slovenia" => "Slovenië",
"Greenland" => "Groenland",
"Macedonia" => "Macedonie",
"Serbia" => "Servië",
"Bosnia" => "Bosnië",
"Belarus" => "Wit Rusland",
"Russia" => "Rusland",
"Romania" => "Roemenie",
"San Marino" => "San Marino",
"Vatican" => "Vaticaan",
"Serbia & Montenegro"=>"Servië",
"Montenegro"=>"Montenegro",
"Bosnia & Herzegovina"=>"Bosnië & Herzegovina",
"Czech Republic"=>"Tsjechië",
"Faroe Islands"=>"Faro IJlanden",
"Aland Islands"=>"Aland",
"Bosnia & Herzegovina"=>"Bosnië & Herzegovina",
"United Kingdom"=>"Groot Brittannië"
);
if($txtcountries[$rawc]<>''){return $txtcountries[$rawc];}
else {return $rawc;}
}

function defmonths($rawf) {
$txtmon =  array(  
'January' => 'Januari',
'February' => 'Februari',
'March' => 'Maart',
'April' => 'April',
'May' => 'Mei',
'June' => 'Juni',
'July' => 'Juli',
'August' => 'Augustus',
'September' => 'September',
'October' => 'Oktober',
'November' => 'November',
'December' => 'December'
);
$txtmonth = $txtmon[$rawf];
return $txtmonth;
}

?>