<?php
define('HAIL','Hail');
define('SEVIDX','Severe Index');
define('MOREMAPS','More maps');
define('GOODFRC','Good forecasts');
define('MEANERROR','Mean error');
define('RMSERROR','RMS error');
define('DETAILEDTABLE','detailed');
define('DAYTABLE','day table');
define('COMPACCURACY','Accuracy &amp; compare');
define('ACCURACYFOR','Accuracy for');
define('COMPMODELS','Compare models');
define('ACCURACYMODELS','Model accuracy');
define('ACCURACYDESC','EWN puts the forecast-models in a real test by monitoring their accuracy also outside their "home-area" which usually is the country of the issuing meteorologic institute. The accuracy are monitored for ca 900 locations north of the Alps and are calculated by comparing the forecast with the observed temperature every 3 hours at 00, 03, 06, 09, 12, 15, 18 and 21 UTC. The used forecast for the next day are generated at ca 18 UTC. Theese results are then used for calculating the EWN forecast.
<div style="margin-top:15px">
<b>Models</b><br/>
- <b>EWN:</b>&nbsp;EWN\'s own forecast<br/>
- <b>WRFDA:</b>&nbsp;WRF runned by EWN<br/>
- <b>DWD:</b>&nbsp;ICON, DWD, Germany<br/>
- <b>MF:</b>&nbsp;ARPEGE, Meteo France<br/>
- <b>KNMI:</b>&nbsp;Hirlam, KNMI, The Netherlands<br/>
- <b>FMI:</b>&nbsp;Hirlam, FMI, Finland<br/>
- <b>YR:</b>&nbsp;XML-files (AROME-MetCoOp, Hirlam, ECMWF), MET Norway (yr.no)<br/>
- <b>GFS:</b>&nbsp;GFS, NCEP, USA<br/>
- <b>CMC:</b>&nbsp;CMC Ensemble, CMC, Canada<br/>
- <b>WXSIM:</b>&nbsp;WXSIM-software runned by private weatherstations (data not available for all locations)<br/>
</div>');
define('ACCURACYMODELSDESC','The average total accuracy for each forecast-model.');

define('FMODEL','Model');
define('FANIMATION','Animation');
define('FON','On');
define('FOFF','Off');

define('VILLAGES','Citys, villages');
define('ISLANDS','Islands, mountains');
define('LAKES','Lakes, bays');
define('SOLARWINDENERGY','Solar/wind-energy');
define('HDD','Heatingdegree');
define('SOLAR','Solar');
define('SOLARWINDINFO','This table are based on the EWN WRFDA-model. Solar radiation: SW - shortwave, LW - longwave. HDD - '.HDD.'.');

define('COOP','In cooperation with'); 
define('DATAPWS','Data by each PWS-station');
define('WARNBX','Warnings by');
define('WARNBY','for newest warnings visit your local metoffice website'); define('SCRADM','Script and admin by');
define('NORES','EWN is not responsible for the accuracy of the information.<br/>Except where otherwise noted, content on this page is licensed under a');
define('SUBTITLDESC','of the temperature forecasts have last 30 days been very good or good. For more info see the <a href="frc_stats.php?'.$lang.'">statistics');
define('SEARCHLOC','Search location');
define('SUBTITLE','THE MOST ACCURATE WEATHERFORECASTS'); // Feel free to figure out something better, note it refers to forecast-accuracy
define('METPROV','Data provided by');
define('PRIVATESTATION','Private');
define('METOFFICESTATION','Metoffice');
define('ROADSTATION','Road');
define('JUSTNOW','Just now');
define('CLOSEOBS','Close observations');
define('TONIGHT','Tonight');
define('WARNANDSEVERE','Warnings and severe weather');
define('FAVORITES','Your favorite locations');
define('SAVEFAVORITESETTINGS','Save settings');
define('SAVEASFAVORITE','Add to favorites');
define('ADDEDTOFAVO','Location added to favorites!');
define('NOFAVORITES','No favorites set!');
define('NOWARNS','No active warnings');
define('RADARSTRIKES','Radar &amp; strikes');
define('SEVEREW','Severe weather');
define('SNOW','Snowfall');
define('LEVEL','Level');
define('OTHER','Other');
define('DAY','Day');
define('COMPFRCMODEL','Compare models');
define('TSPROB','Storm prob.');
define('SEVERE','Severe weather');
define('SEVEREFRCTODAY','Severe weather forecast');
define('HOTCOLD','Warmest, coldest, windiest, wettest');
define('TENWARMEST','10 warmest locations');
define('TENCOLDEST','10 coldest locations');
define('WINDIEST2','Wind &gt;');
define('WETTEST2','Precip &gt; 4 mm/h');
define('LOCATIONS','Other locations');
define('SELECTCOUNTRY','Select country');
define('SELECTLANGUAGE','Language');
define('SELECTWUNIT','Windunit');
define('LOCATEME','Locate me!');
define('LOADING','Loading...');
define('FAVORITELOCATIONS','Favorite locations');
define('HOME','Home');
define('FRCSTMAPS','Forecastmaps');
define('FRCSTVIDEOS','Forecastvideos');
define('FORECASTS','Forecasts');
define('STORMFORECAST','Stormforecasts');
define('AURORAFORECAST','Auroraforecast');
define('RADAR','Radar');
define('PRECRADAR','Precip radar');
define('FINLAND','Finland');
define('SCANDINAVIA','Scandinavia');
define('EUROPE','Europe');
define('DISABLED','Disabled');
define('STRLAST2MIN','Last 2 min'); // Short!!
define('WEBCAMS','Webcams');
define('VHIGH','Very high');
define('EXTREME','Extreme');
define('WXSTATIONS','Weatherstations');
define('WXSTATION','Weatherstation');
define('AVGERROR','Average error');
define('ROADSTATIONS','Roadweatherstations');
define('SUN','Sun');
define('WINDRUN','Windrun');
define('WEBURL','Website URL');
define('DIRECTLINK','Direct link');
define('LOGIN','Log in');
define('HAVEUV','Station have UV-sensor');
define('HAVESOLAR','Station have solar-sensor');
define('ORTEXT','or');
define('USERNAME','Username');
define('FRGTPASS','Forgot password');
define('RESETPASS','Reset password');
define('SOLARHEATED','Solarheated');
define('SOLARHEATDESC','Hours when temperature are solarheated - For disabled set -1');
define('SOLARHEATDESC2','EWN Admin keeps the right to change the solarheat-setting if needed for accuracy of the temperatures. "No shield" sets station to solarheated at daytime.');
define('BOSTATIONS','Blitzortung-stations');
define('BODESC','List your BO-stations to be visible on the BO-statuspage (no ready yet).<br/>If you have multiple stations, separate them with |, like 4566|6543.');
define('BONAME','BO station-name');
define('NEWUSERNAME','NEWUSERNAME');
define('DOWNLOADNOTE','Note! If downloads not start, right-click on the link and choose "Save as".');
define('YOULOGOUT','You have logged out');
define('CONTACT','Contact');
define('CLOSE','Close');
$days = array('Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday');
$months = array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
define('cookietitle','Other');
define('cookiedescription','Settings like favorite locations use cookies. This includes also the social media plugins on the page');
define('advertisingDefaultTitle','Advertising');
define('analyticsDefaultTitle','Analytics');
define('analyticsDefaultDescription','We anonymously measure your use of this website to improve your experience.');
define('advertisingDefaultDescription','Adverts will be chosen for you, automatically based on your past behaviour and interests.');
define('notificationTitleImplicit','We use cookies to ensure you get the best experience on our website');
define('allowCookiesImplicit','Got it!');
define('savePreference','Save preference');
define('hideDetails','hide details');
define('seeDetailsImplicit','change your settings');
$boinfo.= "<br/>Rainradars are updated every 5-15 minutes with varying delay.<br/><br/>
<b>Blitzortung</b><br/>
  Blitzortung.org is a private network of lightning tracker stations with more than 1000 trackers in Europe. They catch the electromagnetic signals of strikes. Together with the time stamp the position of a strike can be calculated out of the signals (TOA - time of arrival method). You will find more information on the main site of the project: <a href='http://www.blitzortung.org' target='_blank'>www.blitzortung.org</a>.<br/>
  Accuracy of Blitzortung is quite good and is usually lower than 1 kilometer. This is equal to commercial strike detection companies and metoffices.<br/>
To participate you have to get your own relatively inexpensive receiver. With that, you can participate in the network and you will get access to all strike data";
define('WEEWXINFO','If you are using WD-plugin and upload clientraw.txt or customclientraw.txt for SteelSeries Gauges, no additional configuration is required. Choose WD or SteelSeries Gauges as software.');

# FORECAST RELATED
define('FRCWARN','Click to show the whole warning. Warnings by');
define('EWNACC','The accuracy-check compares measured temperature to the forecasted temperature for ca 500 places north of 52&deg;N up to Nordkapp in North Norway. One criteria for the choosed locations is need of a realible weatherstation (in most cases met office stations). Error-values are in absolute degrees, what means the values are allways positive. The check shows data for last 30 days.');
define('LIGHTNINGMAP','Lightningmap');
define('DAYLENGTH','Daylength');
define('MIDNIGHTSUN','Midnight Sun');
define('POLARNIGHT','Polar Night');
define('QUICKLINKS','Direct links');
define('CLOSESTWXSTATION','Closest weatherstation');
define('POP','PoP');
define('RANGE','Range');
define('DAYFRC2','day weatherforecast');
define('MORE','More &raquo;');
define('DAILYMAP','Daily maps');
define('FDAYS','Day');
define('DTOMORROW','Day 3');
define('FMAP','Map');
define('MAXI','Highest');
define('MINI','Lowest');
define('SEVRISK','Thunderstorm probability');
define('LEV3','Extremely severe');
define('LEV2','Severe weather');
define('TS','Lightning probability');
define('SEVERERISK','SEVERE WEATHER');
define('TSRISK','Risk for thundershowers');
define('SUPERCELLRISK','Risk for supercells');
define('TORNADORISK','Risk for tornados');
define('HAILRISK','Risk for hail');

define('CLICKINFO','Click on map to get forecast from anywhere!');
define('FSLEET','Sleet');
define('YOURLOCATION','Your current location');
define('FRCACCURACY','Accuracy of the forecast');
define('FRCACCINFO','We check the accuracy for some of the used models for a few places by checking the 12h point in the forecast.');
define('DOWNLOADED_FRC','Loaded forecasts');
define('TOTDOWNLOADED_FRC','Total loaded forecasts');
define('PLACE','Place');
define('FRCS','Forecasts');
define('LATI','Latitude');
define('LONGI','Longitude');

define('TOMORROW','Tomorrow');
define('SUNANDMOON','Sun and moon');
define('UVFORECAST','4 day UV-forecast');
define('LOW','Low');
define('MED','Medium');
define('HIG','High');
define('LOCATIONINFO','Locationinfo');
define('ELEVATION','Elevation');
define('POPULATION','Population');
define('FEELS','Feels');
define('GUST','Gust');

define('EWNFORECAST','EWN-Forecast');
define('FRCSEARCH','Search forecast');
define('FRCSAVE','Save location');
define('FORECASTINFO','The EWN-Forecast is EWN\'s own in-house generated forecast. Its the only forecast whats generated on demand, when you query it! This means you get allways the most recent data available.<br/>The EWN-Forecast is available for ca 850000 locations trought whole Europe.');
define('FRCINFOB','The EWN Forecast use multiple free numerical models as base for the forecast. EWN are not liable for the quality and accuracy of the forecast.<br/>In addition, we do run an own run of WRFDA EMS model at 12 km resolution whats included in the data. The maps are also generated from the WRFDA EMS model.<br/><br/>
In the forecasts are content and data used from:<br/>
<a href="http://nomads.ncep.noaa.gov/" target="_blank">NCEP</a> (GFS, GEFS &amp; UV), <a href="http://weather.gc.ca" target="_blank">The Canadian Meteorological Center</a> (GEM-GDPS), <a href="http://www.met.no" target="_blank">Norwegian Meteorological Institute</a> (MET Norway), <a href="http://www.smhi.se" target="_blank">Swedish Meteorological and Hydrological Institute</a> (SMHI), <a href="http://www.fmi.fi" target="_blank">Finnish meteorological institute</a> (FMI), <a href="http://www.dwd.de" target="_blank">Deutscher Wetterdienst</a> (DWD), <a href="http://www.geonames.org" target="_blank">Geonames</a>, <a href="http://www.meteoalarm.eu" target="_blank">MeteoAlarm</a>, <span id="moresources"></span>WXSIM - near private weatherstations with the WXSIM-software.
');

define('SAVEFAVO','Default location');
define('SAVEQUI','Add to quicksearch');
define('SEARCHCOUNTRY','Country');
define('PLACESEARCH','Search');
define('QUICKSEARCH','Quicksearch');
define('OWNPLACES','Own places');

define('FORECASTFOR','Forecast for');
define('ISSUED','Issued');

define('SHORTFRC','Overview');
define('HOURFRC','Hour-by-hour');
define('DAYFRC','day forecast');
define('NERDFRC','Extras');
define('COMPFRC','Compare');
define('MAPFRC','Maps');

define('FGUST','Max windgust');
define('FRATE','Rainrate');
define('BASEMAPS','Basemap');
define('SATELLITE','Satellite');
define('TTINFO','TS Probality: 45-50 possible, <br/>50-55 more likely, 55-60 severe likely');
define('SRHINFO','150-299 supercells possible, <br/> 300-500 supercells likely and tornados possible');
define('DBZINFO','20 light rain, <br/> 30 moderate rain, 50 heavy rain, hail');
define('KIINFO','ca 2 x K Index = Thunder probability');
define('FTEMP','Temperature');
define('FCHILL','Windchill');
define('FDEW','Dewpoint');
define('FWIND','Wind');
define('FPREC','Precipitation');
define('FCLOUD','Clouds');
define('FBARO','Pressure');
define('FSNOW','Snowfall');
define('FHAIL','Hail');
define('FFRZ','Freezing');
define('FLIG','Thunder');
define('FTHUN','Thunder probability');
define('FCONV','Convective precip.');
define('FINSTA','Pot. Instability');
define('FVISIB','Visibility');
define('FFORE','Forecasts');
define('FAVG','Average');
define('FUTIMES','Updatetimes');
define('FRESO','Resolution');
define('FLENGTH','Length');
define('FSTEPS','Steps');
define('FRADAR','radar');
define('FSAT','satellite');
define('SIGHAIL','Sig. Hailrisk');
define('SIGTOR','Sig. Tornadorisk');
define('SIGSUP','Sig. Supercellrisk');
define('MCOMPRADAR','Max comp. radar');
define('SIGHAIL2','Significant Hailrisk');
define('SIGTOR2','Significant Tornadorisk');
define('SIGSUP2','Significant Supercellrisk');
define('MCOMPRADAR2','Max composite radar');
define('FRCCINFO','
<b>Lightning probability maps</b> - Green and yellow colors indicates lightning probability within 40 km of a point. Orange, red and violet are similar levels seen on estofex.org including also probablity for hails and supercells.<br/><br/>
<b>dBZ</b> - dBZ stands for decibels relative to Z. It is a meteorological measure of equivalent reflectivity (Z) of a radar signal reflected off a remote object
<br/><br/>
<b>Cape</b> - Convective available potential energy (CAPE), sometimes, simply, available potential energy (APE), is the amount of energy a parcel of air would have if lifted a certain distance vertically through the atmosphere.
<br/><br/>
<b>K Index</b> - K-Index is a measure of the thunderstorm potential based on vertical temperature lapse rate, moisture content of the lower atmosphere, and the vertical extent of the moist layer.
<br/><br/>
<b>TT Index</b> - Convective index used for forecasting severe weather.
<br/><br/>
<b>WRF</b> - The Weather Research and Forecasting (WRF) is a next-generation mesocale numerical weather prediction system designed to serve both operational forecasting and atmospheric research needs. WRF is a cooperation between National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma, and the Federal Aviation Administration (FAA). This software are runned on our server.
<br/><br/>
<b>WRFDA</b> - A more advanced version of WRF<br/><br/>
<b>Arome</b> - The 2.5 km Arome model. Provided by Norwegian Meteorological Institute.
<br/><br/>
<b>MET Norway</b> - The proff-default 4km meteorological data is a best-guess selection of meteorological models run at met.no and joined/interpolated into a common dataset. Provided by Norwegian Meteorological Institute.
<br/><br/>
<b>SMHI</b> - The Hirlam model provided by Swedish meteorological institute.
<br/><br/>
<b>FMI</b> - The Hirlam model provided by Finnish meteorological institute. Covering only Finland.
<br/><br/>
<b>GFS</b> - The Global Forecast System (GFS) is a global numerical weather prediction computer model run by NOAA.
<br/><br/>
<b>GEM-GDPS</b> - The GEM-GDPS is a global numerical weather prediction computer model run by the  Canadian Meteorological Centre.
<br/><br/>
<span style="color:#888"><b>Credits/Info:</b> Thanks to Stefan Gofferje at <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a> for some of the formulas for GrADS. Infos: Wikipedia.</span>');
define('SHOWADV','Show advanced');
define('FPRECTYP','Precipitation type');
define('FSNOWD','Snowdepth');
define('FRAIN','Rain');
define('FTMPSFC','Surface Temperature');
define('FACCUM','Accumulative Precipitation');
define('FHUM','Humidity');
define('FFEELS','Feels');
define('FTODAY','Today');
define('FTOMOZ','Tomorrow');

$days = array('Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday');
$daynames = '"Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat","Su", "Mo", "Tu", "We", "Th", "Fr", "Sa"';

########################################################################

define('CURRCOND','Forholdene n');
define('METEXT','MET. INST.');
define('ROADEXT','Veistasjoner');
define('SOUTH','Sr');
define('WEST','Vest');
define('NORTH','Nord');
define('EAST','st');
define('MIDDLE','Sentral');
define('YRSTATIONS','met.no-stasjoner');
define('SYNOPSTATIONS','Synop-stasjoner');
define('METINFO','Met. institutter - stationer fra det lokale meteorologiske institutt.');
define('ROADINFO','Delvis skyet = trt vr.');
define('ROADWX','Vei-vr');
define('FITRAFNAME','Finske veimyndigheter');
define('SVTRAFNAME','Svenske veimyndigheter');
define('PWSWX','PWS');
define('PWSSTATIONS','PWS-stasjoner');
define('STSTATS','Statistikk');
define('STATION','Stasjon');
define('CHOOSECOUNTRY','Bytt land');
define('CHOOSESTATION','Velg stasjon');
define('SUBMIT','Send');
define('SINGLESTATION','Enkle stasjon');
define('COMPARE','Sammenlikn');
define('EXTRAMAP','Spesial lag');
define('SNOWCOVER','Sndekke');
define('ICECOVER','Isdekke');
define('SEATEMP','Sjtemperatur');
define('SNOWDEPTH','Sndybde');
define('TERRAIN','Terreng');
define('STRIKES','nedslag');
define('MINUTES','minutter');
define('GUSTINGTO','Vindkast p');
define('SAVESETTINGS','Lagre som standard');
define('APPARENT','Fles som');
define('STATIONDATA','Stasjonsdata');
define('WARNINGSIN','varsler i');
define('CLICKONWARN','Klikk p omrde for  se advarsel.');
define('CURREXTREMES','Ekstremer n');

define('SETTINGS','Innstillinger');
define('STATS','Statistikk');
define('STATSFOR','Statistikk for European Weather Network');
define('STSPERCOUNTRY','Stasjoner/Land');
define('NORTHERNMOST','Nordligste/Srligste etc');
define('NEWEST','nyeste stasjon');
define('MAPLOADS','Kartlastinger');
define('MISC','Forskj.');

define('LIGHT','Lys');
define('DARK','Mrk');
define('BASEMAP','Basiskart');
define('TYPE','Type');
define('DATA','Data');
define('WINRUN','Windrun');
define('RRATE','Regnrate');

define('ACTIVEALARMS','aktive advarsler');
define('ACTIVETRACKERS','detektorer har registrert storm');
define('PWS','Privat');
define('SYNOP','Synop/Metar');
define('NAUTRAL','Naturlig');
define('NIGHTVIEW','Nattvisning');
define('BLUEVIEW','Bl visning');
define('BWTXT','Svart / hvitt');
define('SATELLITE','Satellitt');
define('SEAWARN','Sjadvarsler');
define('MALARMWARN','Landadvarsler');
define('SEAICE','Sjdata');
define('ICE','Is');

define('MAP','Kart');
define('WXSIMFRCST','5 dagers WXSIM-vrvarsel');
define('WXSIMINFO','Stasjonens egen vrvarsel laget med WXSIM-programvare');
define('FRCST','48 timers vrvarsel');
define('HIDE','Lukk');
define('TOPLISTS','Topplister');
define('TABLES','Tabeller');
define('INFO','Info');
define('BALTIC','Baltikum');
define('MOREWEATHER1','Mer vr');
define('IHAVENOTWXSTATION','Jeg har ikke vrstasjon');
define('YOURINFO','Din info');
define('PICKCOORDS','Velg koordinater fra kartet');
define('PASSW','Passord');
define('DEFLOC','Standard sted');
define('SAVE','Lagre');
define('STATIONLESS','Manuell');
define('SAVED','Lagret');
define('EXTREMECOLDBOX','Det er unormalt kaldt p flgende stasjoner');
define('EXTREMEHOTBOX','Det er unormalt varmt p flgende stasjoner');

// Main
define('JOINUS', 'Bli med');
define('LEGEND', 'Forklaring');
define('WEATHER', 'Vr');
define('WEBCAM', 'Webcam');
define('LIGHTNING', 'Lyn');
define('SNOWNOTE', '<b>*Merk!</b> Alle stasjoner rapporterer ikke sndybde.');
define('NOCOND', 'Ingen nye vrdata');
define('LOCALTIME', 'Lokal tid');
define('STATIONS', 'stasjoner');
define('CLICKFORINFO', 'Klikk her for mer info om hvordan du kan bli med!');
define('TODAY', 'Idag');
define('ALLTIME', 'Alltime');
define('FORECAST', 'Prognose');
define('ROAD','Vei');
define('WX','Vr');
define('POUTA','Opphold');
define('LPRECIP','Lett nedbr');
define('MPRECIP','Moderat nedbr');
define('HPRECIP','Kraftig nedbr');
define('DRY','Trt');
define('WET','Vtt');
define('ICY','Isete');
define('SNOWY','Sn');
define('SLIPPERY','Glatt');
define('LAYER','Kart-lag');
define('REPSNOW','Rap.');
define('ALLCOUT','Alle land');

define('COORDS','Koordinater');
define('NOCAM','Stationen har ikke webcam');
define('SYNPRODBY','Synop/Metar-data levert av');
define('ROADPRODBY','Vei-data levert av');
define('REMOVEFAVO','Fjern favorittstasjon');
define('SAVEFAVO','Lagre som favorittstasjon');
define('SGRAPHHEAD','Siste 24 timene');
define('MOREGRAPH','Flere grafer');
define('MAPSETTINGS','Kartinstillinger');
define('WARMCOLD','Varmeste/Kaldeste');
define('DATACOUNTER','Datateller');
define('STARTED','Startet');
define('JOINUS','Bli med');
define('MEMBERAREA','Medlemsomrde');
define('WAIT','Laster...');
define('FAVOOFFLINE','Ser ut som din favorittstasjon er offline :(');
define('GRAPH','Grafer');
define('DAYS','Dager');
define('THUNDER','Torden');
define('SHOWICON','Ikoner');
define('SHOWSTATION','Stasjoner');

define('DISTANCE', 'Avstand');
define('YOURCLOSEST','Din nrmeste stasjon');
define('AWLEVEL', '');
define('VALID','Gyldig');

// V5

define('ALT', 'Hoh');
define('HOMEPAGE', 'Hjemmeside');
define('HERE', 'her');
define('CONDITIONS', 'Forhold');
define('FCST', 'Varsel');
define('NOTHUNDER', 'Ingen tordenvr oppdaget');
define('FEATB', 'Stasjon');
define('WINDBOX', 'Kuling er observert p flgende stasjoner (> 22 m/s)');
define('SUMMERFROSTBOX', 'Frost er observert p flgende stasjoner');
define('WARN', 'Advarsler');

// NEW
define('SYNEXT', 'Synop-stasjoner');
define('ROADSTS', 'Vei');
define('TIME', 'Tid');
define('WEBCAMS', 'Webcams');
define('LIGHTNINGS', 'Lyndetektorer');
define('OPTIONS', 'Innstillinger');
define('COND', 'Vrforhold');
define('DIR', 'Retning');
define('RRADAR', 'Nedbrsradar');
define('STATIONSS', ' stasjoner');
define('CALM', 'Stille');
define('DEWP', 'Duggpunkt');
define('CCOVER', 'Skydekke');
define('VISIB', 'Sikt');
define('NOOBS', 'Ingen observasjon');
define('SHOW', 'Vis');

define('WCHILL', 'Flt temperatur');
define('HEAT', 'Varmeindeks');
define('TRACA', 'Flger');
define('TRACB', 'tordenvr');
define('TRACBOX' , 'Flgende stasjoner flger tordenvr n');

// NEW
define('STSTATS', 'Statistikk');
define('TECHNIC', 'Teknikk');
define('SOFTWARE', 'Program');
define('HARDWARE', 'Type');
define('NOPE', 'Nei');
define('YES', 'Ja');
define('', '');

// MISC
define('TOPMISC', 'Diverse data');
define('NORTHMST', 'Nordligste');
define('SOUTHMST', 'Sydligste');
define('WESTMST', 'Vestligste');
define('EASTMST', 'stligste');
define('HIGHMST', 'Hyeste');
define('LOWMST', 'Laveste');
define('CAMS', 'Webkameraer');
define('TRACKERS', 'Lyndetektorer');

// BALLOONS
define('TRACKER', 'Lyndetektor');
define('NORAIN', 'Ingen nedbr i dag');
define('RAIN', 'Nedbr');
define('SNOWD', 'Sndybde');
define('WIND', 'Vind');
define('WINDFROM', 'Vind fra');
define('HUMI', 'Fuktighet');
define('BARO', 'Lufttrykk');
define('NOFRAME', 'Din nettleser har ikke sttte for "inline frames" eller er ikke konfigurert til  sttte "inline frames".');
define('CURRHEAD', 'Nvrende vrforhold hos European Weather Network');
define('POLARN', 'Mrketid');
define('MIDNIGHTS', 'Midnattsol');

// TABLEHEADER
define('FEAT', 'Stasjon<br/>Egenskaper/Hyde o.h.');
define('CURHEAD', 'Vr<br />n');
define('TEMP', 'Temp');
define('HUM', 'Fukt');
define('AVG', 'Gjsn vind');
define('PRECIPS', 'Nedbr');
define('BAROB', 'Lufttr.');
define('SNOB', 'Sn');

// TOPLISTS
define('TOPHEAD', 'Topp 10 observasjoner fra European Weather Network');
define('MAXTEMP', 'Hyeste temperatur');
define('MINTEMP', 'Laveste temperatur');
define('MAXAVGW', 'Hyeste gjsn. vind');
define('PRECIP', 'Nedbr ');
define('MAXHUMI', 'Hyeste flt temp');
define('MINCHILL', 'Laveste vindkjling');
define('MAXGUSTW', 'Hyeste vindkast');
define('CURRAVG', 'Nvrende gjennomsnitt');
define('DAILYPREC', 'Daglig nedbr');
define('TOTPREC', 'Total nedbr');
define('TXTGUST', 'Vindkast');

define('NOSTORMS', 'Ingen tordenvr');
define('TRACA', 'Flger');
define('TRACB', 'tordenvr');


function defcountries($rawc) {
$txtcountries =  array(
"Albania" => "Albania",
"Andorra" => "Andorra",
"Austria" => "sterrike",
"Belgium" => "Belgia",
"Bulgaria" => "Bulgaria",
"Switzerland" => "Sveits",
"Czech" => "Tsjekkia",
"Germany" => "Tyskland",
"Denmark" => "Danmark",
"Estonia" => "Estland",
"Spain" => "Spania",
"Finland" => "Finland",
"Faroe" => "Fryene",
"France" => "Frankrike",
"UK" => "Stor-Britannia",
"Greece" => "Grekland",
"Hungary" => "Ungaren",
"Croatia" => "Kroatien",
"Ireland" => "Irland",
"Iceland" => "Island",  
"Italy" => "Italia",
"Latvia" => "Latvien",
"Lithuania" => "Litauen",
"Luxembourg" => "Luxemburg",
"Netherlands" => "Nederland",
"Norway" => "Norge", 
"Poland" => "Polen",
"Portugal" => "Portugal",
"Sweden" => "Sverige",
"Slovakia" => "Slovakien",
"Slovenia" => "Slovenia",
"Greenland" => "Grnland",
"Macedonia" => "Macedonia",
"Serbia" => "Serbia",
"Bosnia" => "Bosnia",
"Romania" => "Romania");
if($txtcountries[$rawc]<>''){return $txtcountries[$rawc];}
else {return $rawc;}
}

function defmonths($rawf) {
$txtmon =  array(
'January' => 'Januar',
'February' => 'Februar',
'March' => 'Mars',
'April' => 'April',
'May' => 'Mai',
'June' => 'Juni',
'July' => 'Juli',
'August' => 'August',
'September' => 'September',
'October' => 'Oktober',
'November' => 'November',
'December' => 'Desember'
);

$txtmonth = $txtmon[$rawf];
return $txtmonth;
}

?>