<?php
define('HAIL','Hagel');
define('SEVIDX','Ovdersindex');
define('MOREMAPS','Flere kartor');
define('GOODFRC','Bra prognoser');
define('MEANERROR','Medelfel');
define('RMSERROR','RMS fel');
define('DETAILEDTABLE','detailjerad');
define('DAYTABLE','dagars tabell');
define('COMPACCURACY','Noggrannhet &amp; jmfrelse');
define('ACCURACYFOR','Noggrannhet fr');
define('COMPMODELS','Jmfr prognosmodeller');
define('ACCURACYMODELS','Prognosmodells-noggrannhet');
define('ACCURACYDESC','EWN stter prognosmodellerna i test med att rkna ut deras nogrannhet ven utanfr deras "hem-omrde" vilket oftast r landet fr det meteorologiska institutet som utfrdat prognosen. Nogrannheten rknas ut fr ca 900 platser norr om Alperna och den rknas ut var 3 timme kl 00, 03, 06, 09, 12, 15, 18 och 21 UTC. Prognosen som anvnds nsta dag genereras ca kl 18 UTC fregende dag. Dessa resultat anvnds ven fr att rkna ut EWN prognosen.
<div style="margin-top:15px">
<b>Prognosmodeller</b><br/>
- <b>EWN:</b>&nbsp;EWN:s egen prognos<br/>
- <b>WRFDA:</b>&nbsp;WRF som krs av oss<br/>
- <b>DWD:</b>&nbsp;ICON, DWD, Tyskland<br/>
- <b>MF:</b>&nbsp;ARPEGE, Meteo France, Frankrike<br/>
- <b>KNMI:</b>&nbsp;Hirlam, KNMI, Nederlnderna<br/>
- <b>FMI:</b>&nbsp;Hirlam, FMI, Finland<br/>
- <b>YR:</b>&nbsp;XML-filer (AROME-MetCoOp, Hirlam, ECMWF), MET Norway (yr.no), Norge<br/>
- <b>GFS:</b>&nbsp;GFS, NCEP, USA<br/>
- <b>CMC:</b>&nbsp;CMC Ensemble, CMC, Kanada<br/>
- <b>WXSIM:</b>&nbsp;WXSIM-program krt av privata vderstationer (finns inte data fr alla platser)<br/>
</div>');
define('ACCURACYMODELSDESC','Prognosmodellernas totala medelvrden.');

define('FMODEL','Modell');
define('FANIMATION','Animation');
define('FON','P');
define('FOFF','Av');

define('VILLAGES','Stder, byar');
define('ISLANDS','ar, fjll');
define('LAKES','Insjar, vikar');
define('SOLARWINDENERGY','Sol/vind-energi');
define('HDD','Vrmegrad');
define('SOLAR','Sol');
define('SOLARWINDINFO','Denna tabellen r baserad p EWNs WRFDA-model. Solstrlning: SW - kortvg, LW - lngvg. HDD - '.HDD.'.');

define('COOP','I samarbete med');
define('DATAPWS','Vderinformation frn privata vderstationer');
define('WARNBX','Varningar frn');
define('WARNBY','(besk ert lokala meteorologiska institut fr de senaste varningarna)');
define('SCRADM','Script och admin,');
define('NORES','EWN ansvarar inte fr tillfrlitligheten av vderinformationen.<br/>Frutom dr det uttryckligt r noterat lyder dessa sidor under');
define('SUBTITLDESC',' av temperaturprognoserna har varit bra eller mycket bra fr de 30 senaste dagarna. Ls mer om detta under <a href="frc_stats.php?'.$lang.'">statistik');
define('SEARCHLOC','Sk plats');
define('SUBTITLE','DEN MEST TRFFSKRA VDERPROGNOSEN'); // Feel free to figure out something better, note it refers to forecast-accuracy
define('METPROV','Data tillhandahlls av');
define('PRIVATESTATION','Privat');
define('METOFFICESTATION','Institut');
define('ROADSTATION','Vg');
define('JUSTNOW','Just nu');
define('CLOSEOBS','Nrliggande vderobservationer');
define('TONIGHT','I kvll');
define('WARNANDSEVERE','Varningar och ovder');
define('FAVORITES','Dina favoritplatser');
define('SAVEFAVORITESETTINGS','Spara instllningar');
define('SAVEASFAVORITE','Spara som favorit');
define('ADDEDTOFAVO','Platsen r tillagd i favoriter!');
define('NOFAVORITES','Inga favoriter valda!');
define('NOWARNS','Inga aktiva varningar utfrdade');
define('RADARSTRIKES','Radar och blixtar');
define('SEVEREW','Ovder');
define('SNOW','Snfall');
define('LEVEL','Niv');
define('OTHER','vrigt');
define('DAY','Dag');
define('COMPFRCMODEL','Jmfr modeller');
define('TSPROB','Storm prob.');
define('SEVERE','Ovder');
define('SEVEREFRCTODAY','Ovdersprognos');
define('HOTCOLD','Varmast/Kallast - Blsigt och Bltt');
define('TENWARMEST','10 varmast platserna');
define('TENCOLDEST','10 kallaste platserna');
define('WINDIEST2','Vind &gt;');
define('WETTEST2','Nederb. &gt; 4 mm/h');
define('LOCATIONS','Andra prognosplatser');
define('SELECTCOUNTRY','Vlj nskat land');
define('SELECTLANGUAGE','Sprk');
define('SELECTWUNIT','Vindenhet');
define('LOCATEME','Hitta min plats!');
define('LOADING','Laddar...');
define('FAVORITELOCATIONS','Favoritplatser');
define('HOME','Hem');
define('FRCSTMAPS','Prognoskartor');
define('FRCSTVIDEOS','Prognosvideo');
define('FORECASTS','Prognoser');
define('STORMFORECAST','Ovdersprognos');
define('AURORAFORECAST','Norrskensprognos');
define('RADAR','Radar');
define('PRECRADAR','Nederbrdsradar');
define('FINLAND','Finland');
define('SCANDINAVIA','Skandinavien');
define('EUROPE','Europe');
define('DISABLED','Stng av');
define('STRLAST2MIN','Senaste 2 min'); // Short!!
define('WEBCAMS','Webbkameror');
define('VHIGH','Mycket hg');
define('EXTREME','Extrem');
define('WXSTATIONS','Vderstationer');
define('WXSTATION','Vderstation');
define('AVGERROR','Medelfel');
define('ROADSTATIONS','Vgvderstationer');
define('SUN','Sol');
define('WINDRUN','Vindgenomstrmning');
define('WEBURL','Hemsidans URL');
define('DIRECTLINK','Direktlnk');
define('LOGIN','Logga in');
define('HAVEUV','Stationen har UV-sensor');
define('HAVESOLAR','Stationen har sol-sensor');
define('ORTEXT','eller');
define('USERNAME','Anvndarnamn');
define('FRGTPASS','Glmt lsenord');
define('RESETPASS','Nollstll lsenord');
define('SOLARHEATED','Soluppvrmd');
define('SOLARHEATDESC','Timmar d temperaturen r soluppvrmd (Skriv -1 fr att stnga av)');
define('SOLARHEATDESC2','EWN Admin har rtten att ndra denna instllning vid behov fr att upprtthlla korrekta temperaturer. Om stationen ej har strlningsskydd stts soluppvrmningen till dagtid.');
define('BOSTATIONS','Blitzortungstationer');
define('BODESC','Lista dina BO-stationer att bli synliga p BO-statussidan (ej klart n).<br/>Om du har flera stationer, spearera dem med | (ex. 1234|4321).');
define('BONAME','BO stationsnamn');
define('NEWUSERNAME','Nytt anvndarnamn');
define('DOWNLOADNOTE','Obs! Om nedladdningen inte startar, hgerklicka p lnken och vlj "Spara som..."');
define('YOULOGOUT','Du har nu loggat ut');
define('CONTACT','Kontakt');
define('CLOSE','Stng');
$days = array('Sndag','Mndag','Tisdag','Onsdag','Torsdag','Fredag','Lrdag');
$months = array('Jan','Feb','Mar','Apr','Maj','Jun','Jul','Aug','Sep','Okt','Nov','Dec');
define('cookietitle','Annat');
define('cookiedescription','Instllningar som favoritplatser anvnder cookies. Detta inkluderar ven det sociala medietillgget p sidorna');
define('advertisingDefaultTitle','Marknadsfring');
define('analyticsDefaultTitle','Analyser');
define('analyticsDefaultDescription','Vi mter anonymt anvndandet av denna webbplats fr att kunna frbttra innehllet och upplevelsen.');
define('advertisingDefaultDescription','De annonser som visas baseras p datorns tidigare beteende och dina intressen.');
define('notificationTitleImplicit','Vi anvnder cookies fr att frskra att du fr den bsta mjliga upplevelse och funktion p denna webbplats');
define('allowCookiesImplicit','Jag frstr!');
define('savePreference','Spara instllningar');
define('hideDetails','Gm detaljer');
define('seeDetailsImplicit','ndra instllningar');
$boinfo.= "<br/>Regnradarbilderna uppdateras var 5-15 minut med varierande frdrjning.<br/><br/>
<b>Blitzortung</b><br/>
  Blitzortung.org r ett privat ntverk bestende av ver 1000 s kallade blixtdetektorer eller trackers bara i och runt Europa. De uppfattar den elektromagnetiska signalen som en urladdning ger. Tillsammans med en exakt, GPS-styrd, tidangivelse kan positionen frn dessa signaler rknas ut (TOA - time of arrival methoden). Du kan hitta mer information om detta projekt p: <a href='http://www.blitzortung.org' target='_blank'>www.blitzortung.org</a>.<br/>
  Noggrannheten av blixtens position r mycket bra och r oftast lgre n 1km. Detta r jmfrbart eller bttre n de blixtdetektorer som finns hos kommersiella fretag och institut.<br/>
Fr att delta i detta ntverk behver man skaffa en relativt billig mottagare fr att sedan bidra samt f tillgng till all blixtdata.";
define('WEEWXINFO','Om du anvnder ett WD-plugin och laddar upp clientraw.txt eller customclientraw.txt fr SteelSeries Gauges behvs ingen vidare konfigurering. Vlj bara WD eller SteelSeries Gauges som programvara.');

# FORECAST RELATED
define('FRCWARN','Klicka fr att se hela varningen. Varningarna produceras av');
define('EWNACC','Noggrannhetskontrollen jmfr uppmtta temperaturer med prognosens temperaturer fr ca 500 platser norr om 52&deg;N upp till Nordkapp i norra Norge. Ett av kriterierna fr platserna r att det finns en tillfrlitlig vderstation (i de flesta fall gd av det lokala metoerologiska institutet). Vrdena berknas i absoluta grader, dvs de r alltid positiva. Testet visar prognosdata fr de senaste 30 dagarna.');
define('LIGHTNINGMAP','Blixtkarta');
define('DAYLENGTH','Dagens lngd');
define('MIDNIGHTSUN','Midnattssol');
define('POLARNIGHT','Polarnatt');
define('QUICKLINKS','Direktlnkar');
define('CLOSESTWXSTATION','Nrmaste vderstation');
define('POP','Regnrisk');
define('RANGE','Omfng');
define('DAYFRC2','dagars prognos');
define('MORE','Mera &raquo;');
define('DAILYMAP','Dagskartor');
define('FDAYS','Dag');
define('DTOMORROW','vermorgon');
define('FMAP','Karta');
define('MAXI','Hgsta');
define('MINI','Lgsta');
define('SEVRISK','skrisk');
define('LEV3','Extremt ovder');
define('LEV2','Ovder');
define('TS','skrisk');
define('SEVERERISK','OVDER');
define('TSRISK','Risk fr skbyar');
define('SUPERCELLRISK','Risk fr superceller');
define('TORNADORISK','Risk fr tornados');
define('HAILRISK','Risk fr hagel');

define('CLICKINFO','Klicka p kartan fr en prognos frn denna punk!');
define('FSLEET','Snblandat regn');
define('YOURLOCATION','Prognos fr din position');
define('FRCACCURACY','Prognosens noggrannhet');
define('FRCACCINFO','Vi kontrollerar prognosens precision genom att kontrollera det verkliga utfallet p utvalda platser vid middagstid i prognosen fr ngra av de modeller som vi anvnder.');
define('DOWNLOADED_FRC','Inlsta prognoser');
define('TOTDOWNLOADED_FRC','Totalt antal laddade prognoser');
define('PLACE','Plats');
define('FRCS','Prognoser');
define('LATI','Latitud');
define('LONGI','Longitud');

define('TOMORROW','I morgon');
define('SUNANDMOON','Sol och M&aring;ne');
define('UVFORECAST','UV prognos');
define('LOW','Low');
define('MED','Medium');
define('HIG','High');
define('LOCATIONINFO','Platsinformation');
define('ELEVATION','H&ouml;jd');
define('POPULATION','Population');
define('FEELS','Knns');
define('GUST','By');

define('EWNFORECAST','EWN-prognos');
define('FRCSEARCH','S&ouml;k prognos');
define('FRCSAVE','Spara plats');
define('FORECASTINFO','EWN-prognosen, European Weather Networks egenskapade prognos, r den enda prognosen som genereras p&aring; din beg&auml;ran! P&aring; detta s&auml;tt kommer du alltid erh&aring;lla den senaste tillg&auml;ngliga v&auml;derinformationen.<br/>EWN-prognosen &auml;r tillg&auml;nglig f&ouml;r mer &auml;n 850000 platser &ouml;ver hela Europa.');
define('FRCINFOB','EWN-Progonsen anvnder flera fria vdermodeller som bas fr progosen. EWN r inte ansvarig fr trffskerheten i prognosen. .<br/>Dessutom k&ouml;r vi egna WRFDA EMS prognoser med 12 km uppl&ouml;sning vilka inkluderas i ber&auml;kningarna. &Auml;ven kartorna genereras utifr&aring;n denna WRFDA EMS modell.<br/><br/>
Innehll och information i prognoserna kommer frn:<br/>
<a href="http://nomads.ncep.noaa.gov/" target="_blank">NCEP</a> (GFS, GEFS &amp; UV), <a href="http://weather.gc.ca" target="_blank">The Canadian Meteorological Center</a> (GEM-GDPS), <a href="http://www.met.no" target="_blank">Norska meteorologiska institutet</a> (MET Norway), <a href="http://www.smhi.se" target="_blank">Sveriges meteorologiska och hydrologiska institut</a> (SMHI), <a href="http://www.fmi.fi" target="_blank">Finska meteorologiska institutet</a> (FMI), <a href="http://www.dwd.de" target="_blank">Deutscher Wetterdienst</a> (DWD), <a href="http://www.geonames.org" target="_blank">Geonames</a>, <a href="http://www.meteoalarm.eu" target="_blank">MeteoAlarm</a>, <span id="moresources"></span>WXSIM - Privata v&auml;derstationer i n&auml;rheten som anv&auml;nder WXSIM.
');

define('SAVEFAVO','Min startplats');
define('SAVEQUI','L&auml;gg till som snabbval');
define('SEARCHCOUNTRY','Land');
define('PLACESEARCH','S&ouml;k');
define('QUICKSEARCH','Snabbval');
define('OWNPLACES','Egna platser');

define('FORECASTFOR','Prognos f&ouml;r');
define('ISSUED','Utf&auml;rdad');

define('SHORTFRC','&Ouml;versikt');
define('HOURFRC','Timme f&ouml;r timme');
define('DAYFRC','-dagars prognos');
define('NERDFRC','Extras');
define('COMPFRC','J&auml;mf&ouml;r');
define('MAPFRC','Kartor');

define('FGUST','Max vindby');
define('FRATE','Regnintensitet');
define('BASEMAPS','Grundkarta');
define('SATELLITE','Satellite');
define('TTINFO','Risk f&ouml;r &aring;ska; 45-50 eventuellt, <br/>50-55 troligt, 55-60 mycket sannolikt');
define('SRHINFO','150-299 superceller m&ouml;jliga, <br/> 300-500 superceller troliga samt tornados m&ouml;jliga');
define('DBZINFO',' &lt; 20 troligtvis inget regn<br/>20 l&auml;tt regn, 30 m&aring;ttligt regn, 50 kraftigt regn/hagel');
define('KIINFO','ca 2 x K Index = Risk f&ouml;r &aring;ska');
define('FTEMP','Temperatur');
define('FCHILL','Vindavkylning');
define('FDEW','Daggpunkt');
define('FWIND','Vind');
define('FPREC','Nederbrd');
define('FCLOUD','Molnighet');
define('FBARO','Lufttryck');
define('FSNOW','Sn&ouml;fall');
define('FHAIL','Hagel');
define('FFRZ','Underkylt');
define('FLIG','ska');
define('FTHUN','skrisk');
define('FCONV','Konvektiv nederb&ouml;rd');
define('FINSTA','Potentiell instabilitet');
define('FVISIB','Sikt');
define('FFORE','Prognoser');
define('FAVG','Medel');
define('FUTIMES','Uppdateringstider');
define('FRESO','Uppl&ouml;sning');
define('FLENGTH','L&auml;ngd');
define('FSTEPS','Steg');
define('FRADAR','regnradar');
define('FSAT','satellit');
define('SIGHAIL','Risk f&ouml;r Hagel');
define('SIGTOR','Risk f&ouml;r Tornados');
define('SIGSUP','Risk f&ouml;r Superceller');
define('MCOMPRADAR','Virtuell regnradar');
define('SIGHAIL2','Betydande Hagelrisk');
define('SIGTOR2','Betydande Tornadorisk');
define('SIGSUP2','Betydande Supercellrisk');
define('MCOMPRADAR2','Virtuell regnradar');
define('FRCCINFO','
<b>skrisk kartor</b> - Gr&ouml;nt och gult indikerar skrisk inom en radie p 40 km frn en punkt. Orange, r&ouml;tt samt violett visar risk fr ovder p samma stt som p estofex.org och inkuderar ven hagel samt superceller.<br/><br/>
<b>dBZ</b> - decibel relativt till Z. Meteorologisk m&aring;tt p&aring; reflektiviteten (Z) av en radarsignal d&aring; den reflekteras olika beroende p&aring; storleken av regndropparna.
<br/><br/>
<b>Cape</b> -  Convective available potential energy (den tillg&auml;ngliga konvektiva potentiella energin) eller ibland bara tillg&auml;ngligt potentiell energi (APE) &auml;r den m&auml;ngd energi det kr&auml;vs f&ouml;r att lyfta en luftmassa ett best&auml;mt avst&aring;nd vertikalt genom atmosf&auml;ren.
<br/><br/>
<b>K Index</b> - K-Index &auml;r ett m&aring;tt p&aring; sannolikheten f&ouml;r &aring;skv&auml;der. V&auml;rdet baseras p&aring; hur snabbt den vertikala temperaturen avtar, daggpunkten/fuktighet i den l&auml;gre atmosf&auml;ren samt den vertikala utbredningen av fuktighetslagret.
<br/><br/>
<b>TT Index</b> - Konvektivt index anv&auml;nt f&ouml;r &aring;skv&auml;der.
<br/><br/>
<b>WRF</b> - The Weather Research and Forecasting (WRF) &auml;r n&auml;sta generationens prognos designad f&ouml;r b&aring;de operativa prognoser och atmosf&auml;riska forskningsbehov. WRF &auml;r ett samarbete mellan: National Center for Atmospheric Research (NCAR), National Centers for Environmental Prediction (NCEP), Forecast Systems Laboratory (FSL), Air Force Weather Agency (AFWA), Naval Research Laboratory, University of Oklahoma, and the Federal Aviation Administration (FAA). Detta program k&ouml;rs p&aring; v&aring;r server.
<br/><br/>
<b>WRFDA</b> - En mer avancerad version av WRF<br/><br/>
<b>Arome</b> - Anv&auml;nder en 2.5 km Arome modell. Tillhandah&aring;llen av det Norska meteorologiska institutet.
<br/><br/>
<b>Met Norway</b> - Denna professionella standard p&aring; 4km av meteorologisk data &auml;r ett urval av olika meteorologiska modeller som s&auml;tts samman och interpoleras till data av met.no. Tillhandah&aring;lls av det Norska meteorologiska institutet.
<br/><br/>
<b>SMHI</b> - High Resolution Limited Area Model, HIRLAM &auml;r utvecklad och drivs av Sveriges meteorologiska och hydrologiska institut.
<br/><br/>
<b>FMI</b> - Samma High Resolution Limited Area Model, HIRLAM modell men tillhandah&aring;llen av det Finska meteorologiska institutet. T&auml;cker dock bara Finland.
<br/><br/>
<b>GFS</b> - Global Forecast System (GFS) &auml;r en global v&auml;derprognosmodell underh&aring;llen av NOAA.
<br/><br/>
<b>GEM-GDPS</b> - Global Deterministic Prediction System &auml;r, p&aring; samma s&auml;tt som GFS, en global v&auml;derprognosmodell men som drivs av Canadian Meteorological Centre.
<br/><br/>
<span style="color:#888"><b>Credits:</b> Tack till Stefan Gofferje p&aring; <a href="http://www.saakeskus.fi" target="_blank">s&auml;&auml;keskus.fi</a> f&ouml;r vissa formler till GrADS. Info: Wikipedia.</span>');
define('SHOWADV','Visa avancerat');
define('FPRECTYP','Nederb&ouml;rdstyp');
define('FSNOWD','Sndjup');
define('FRAIN','Regn');
define('FTMPSFC','Yttemperatur');
define('FACCUM','Ackumulerad nederbrd');
define('FHUM','Luftfuktighet');
define('FFEELS','Knns som');
define('FTODAY','Idag');
define('FTOMOZ','I morgon');

$days = array('Sndag','Mndag','Tisdag','Onsdag','Torsdag','Fredag','Lrdag') ;
$daynames = '"Sn", "Mn", "Tis", "Ons", "Tor", "Fre", "Lr","S", "M", "Ti", "On", "To", "Fr", "L"';

################################################

define('CURRCOND','V&auml;dret just nu');
define('METEXT','Met. Institut');
define('ROADEXT','V&auml;gstationer');
define('SOUTH','S&ouml;dra');
define('WEST','V&auml;stra');
define('NORTH','Norra');
define('EAST','&Ouml;stra');
define('MIDDLE','Mellan');
define('YRSTATIONS','met.no-stationer');
define('SYNOPSTATIONS','Synop-stationer');
define('METINFO','Met. Instituten - Det lokala meteorologiska institutets stationer.');
define('ROADINFO','Halvklart = Uppeh&aring;llsv&auml;der.');
define('ROADWX','V&auml;gv&auml;der');
define('FITRAFNAME','Finska Trafikverket');
define('SVTRAFNAME','Trafikverket');
define('PWSWX','Privata');
define('PWSSTATIONS','Privata stationer');
define('STSTATS','Statistik');
define('STATION','Station');
define('CHOOSECOUNTRY','V&auml;lj land');
define('CHOOSESTATION','V&auml;lj station');
define('SUBMIT','Skicka');
define('SINGLESTATION','Station');
define('COMPARE','J&auml;mf&ouml;r stationer');
define('EXTRAMAP','Specialkartor');
define('SNOWCOVER','Sn&ouml;djup');
define('ICECOVER','Iskarta');
define('SEATEMP','Havstemperatur');
define('SNOWDEPTH','Sn&ouml;djup');
define('TERRAIN','Terr&auml;ngkarta');
define('STRIKES','Blixtar');
define('MINUTES','minuter');
define('GUSTINGTO','Vindby');
define('SAVESETTINGS','Spara som standard');
define('APPARENT','Upplevd');
define('STATIONDATA','Stationsdata');
define('WARNINGSIN','varningar i');
define('CLICKONWARN','Klicka p&aring; omr&aring;dets namn f&ouml;r att visa varningsdetaljer.');
define('CURREXTREMES','Extremer just nu');

define('SETTINGS','Inst&auml;llningar');
define('STATS','Statistik');
define('STATSFOR','Statistik f&ouml;r European Weather Network');
define('STSPERCOUNTRY','Stationer/Land');
define('NORTHERNMOST','Nordligaste/Sydligaste osv');
define('NEWEST','senaste stationerna');
define('MAPLOADS','Kartladdningar');
define('MISC','Blandat');

define('LIGHT','Ljus');
define('DARK','M&ouml;rk');
define('BASEMAP','Grundkarta');
define('TYPE','Typ');
define('DATA','Data');
define('WINRUN','Windrun');
define('RRATE','Intensitet');

define('ACTIVEALARMS','aktiva varningar');
define('ACTIVETRACKERS','trackers har registrerat &aring;skv&auml;der');
define('PWS','Privata');
define('SYNOP','Synop/Metar');
define('NAUTRAL','Naturell');
define('NIGHTVIEW','Natt');
define('BLUEVIEW','Bl&aring;');
define('BWTXT','Svartvit');
define('SATELLITE','Satellit');
define('SEAWARN','Sj&ouml;varningar');
define('MALARMWARN','Landvarningar');
define('SEAICE','Havsdata');
define('ICE','Is');

define('MAP','Karta');
define('WXSIMFRCST','5 dygns WXSIM-prognos');
define('WXSIMINFO','Stationens egna prognos &auml;r gjord med programvaran WXSIM');
define('FRCST','48 timmars prognos');
define('HIDE','G&ouml;m');
define('TOPLISTS','Topplistor');
define('TABLES','Tabeller');
define('INFO','Info');
define('BALTIC','Baltikum');
define('MOREWEATHER1','Mer v&auml;der se');
define('IHAVENOTWXSTATION','Jag har ingen v&auml;derstation');
define('YOURINFO','Din information');
define('PICKCOORDS','V&auml;lj koordinater fr&aring;n en karta');
define('PASSW','L&ouml;senord');
define('DEFLOC','F&ouml;rvald plats/vy');
define('SAVE','Spara');
define('SAVED','Sparad');
define('EXTREMEHOTBOX','Det &auml;r ovanligt varmt vid f&ouml;ljande stationer');
define('EXTREMECOLDBOX','Det &auml;r ovanligt kallt vid f&ouml;ljande stationer');

// Main
define('JOINUS', 'G&aring; med');
define('LEGEND', 'F&ouml;rklaring');
define('WEATHER', 'V&auml;der');
define('WEBCAM', 'Webkamera');
define('LIGHTNING', '&Aring;sktracker');
define('SNOWNOTE', '<b>*Notera!</b> Alla stationer rapporterar inte sn&ouml;djup.');
define('NOCOND', 'Inga uppgifter');
define('LOCALTIME', 'Lokal tid');
define('STATIONS', 'stationer');
define('CLICKFORINFO', 'Klicka h&auml;r f&ouml;r information om hur du kan g&aring; med!');
define('TODAY', 'Idag');
define('ALLTIME', 'Alltime');
define('FORECAST', 'Prognos');
define('ROAD','V&auml;g');
define('WX','V&auml;der');
define('POUTA','Uppeh&aring;ll');
define('LPRECIP','L&auml;tt nederb&ouml;rd');
define('MPRECIP','M&aring;ttlig nederb&ouml;rd');
define('HPRECIP','Kraftig nederb&ouml;rd');
define('DRY','Torr');
define('WET','V&aring;t');
define('ICY','Isig');
define('SNOWY','Sn&ouml;ig');
define('SLIPPERY','M&ouml;jligen halt');
define('LAYER','Lager');
define('REPSNOW','Rap.');
define('ALLCOUT','Alla l&auml;nder');

define('COORDS','Koordinater');
define('NOCAM','Stationen har ingen webkamera');
define('SYNPRODBY','Synop/Metar-data levereras av');
define('ROADPRODBY','V&auml;gdata levereras av');
define('REMOVEFAVO','Ta bort favoritstation');
define('SAVEFAVO','Spara som favoritstation');
define('SGRAPHHEAD','Senaste 24 timmar');
define('MOREGRAPH','Fler grafer');
define('MAPSETTINGS','Kartinst&auml;llningar');
define('WARMCOLD','Varmaste/Kallaste');
define('DATACOUNTER','Datar&auml;knare');
define('STARTED','Startad');
define('JOINUS','G&aring; med');
define('MEMBERAREA','Medlemssidor');
define('WAIT','Laddar...');
define('GRAPH','Grafer');
define('DAYS','Dagar');
define('THUNDER','&Aring;ska');
define('SHOWICON','Ikoner');
define('SHOWSTATION','Stationer');

define('DISTANCE', 'Avst&aring;nd');
define('YOURCLOSEST','Din n&auml;rmaste station');
define('AWLEVEL', '');
define('VALID','G&auml;ller');

// V5
define('ALT', 'H&ouml;jd');
define('HOMEPAGE', 'Hemsida');
define('HERE', 'H&auml;r');
define('CONDITIONS', 'V&auml;derlek');
define('FCST', 'Prognos');
define('NOTHUNDER', 'Inga &aring;skceller noterade');
define('FEATB', 'Station');
define('WINDBOX', 'Stationer som m&auml;ter stormvindar (&ouml;ver 22 m/s)');
define('SUMMERFROSTBOX', 'F&ouml;ljande stationers temperatur &auml;r under noll');
define('WARN', 'Varningar');

// NEW
define('SYNEXT', 'Synop-stationer');
define('ROADSTS', 'V&auml;gv&auml;der');
define('TIME', 'Tid');
define('WEBCAMS', 'Webkameror');
define('LIGHTNINGS', '&Aring;sktrackers');
define('OPTIONS', 'Inst&auml;llningar');
define('COND', 'V&auml;der');
define('DIR', 'Vindriktning');
define('RRADAR', 'Regnradar');
define('STATIONSS', ' stationer');
define('CALM', 'Lugnt');
define('DEWP', 'Daggpunkt');
define('CCOVER', 'Molnt&auml;cke');
define('VISIB', 'Sikt');
define('NOOBS', 'Inga obs.');
define('SHOW', 'Visa');

define('WCHILL', 'Vindavkyl.');
define('HEAT', 'Heatidx');
define('TRACA', 'F&ouml;ljer');
define('TRACB', '&aring;skv&auml;der');
define('TRACBOX' , 'Stationer som f&ouml;ljer &aring;skceller f&ouml;r tillf&auml;llet');

// NEW
define('STSTATS', 'Statistik');
define('TECHNIC', 'Teknik');
define('SOFTWARE', 'Program');
define('HARDWARE', 'Typ');
define('NOPE', 'Nej');
define('YES', 'Ja');
define('', '');

// MISC
define('TOPMISC', 'Blandad data');
define('NORTHMST', 'Nordligaste');
define('SOUTHMST', 'Sydligaste');
define('WESTMST', 'V&auml;stligaste');
define('EASTMST', '&Ouml;stligaste');
define('HIGHMST', 'H&ouml;gst bel&auml;gna');
define('LOWMST', 'L&auml;gst bel&auml;gna');
define('CAMS', 'Webkameror');
define('TRACKERS', '&Aring;sktrackers');

// BALLOONS
define('TRACKER', '&Aring;sktracker');
define('NORAIN', 'Ingen nederb&ouml;rd idag');
define('RAIN', 'Nederb&ouml;rd');
define('SNOWD', 'Sn&ouml;djup');
define('WIND', 'Vind');
define('WINDFROM', 'Vind fr&aring;n');
define('HUMI', 'Fuktighet');
define('BARO', 'Lufttryck');
define('NOFRAME', 'Din webbl&auml;sare st&ouml;djer inte inf&auml;llda ramar eller &auml;r f&ouml;r tillf&auml;llet inst&auml;lld p&aring; att inte visa inf&auml;llda ramar.');
define('CURRHEAD', 'Aktuellt v&auml;der p&aring; European Weather Networks medlemsstationer');
define('POLARN', 'Polarnatt');
define('MIDNIGHTS', 'Midnattssol');

// TABLEHEADER
define('FEAT', 'Stations/<br/>H&ouml;jd');
define('CURHEAD', 'Vder');
define('TEMP', 'Temperatur');
define('HUM', 'Luftfuktighet');
define('AVG', 'Medelvind');
define('PRECIP', 'Nederbrd');
define('BAROB', 'Lufttryck');
define('SNOB', 'Sn');
define('TXTGUST', 'Vindby');

// TOPLISTS
define('TOPHEAD', 'Topp 10 observationer p&aring; European Weather Network');
define('MAXTEMP', 'Max temperatur');
define('MINTEMP', 'Min temperatur');
define('MAXAVGW', 'Max medelvind');
define('PRECIPS', 'Nederb&ouml;rd');
define('MAXHUMI', 'Max luftfukt.');
define('MINCHILL', 'Min vindavkylning');
define('MAXGUSTW', 'Max vindby');
define('CURRAVG', 'Medeltal');
define('DAILYPREC', 'Daglig nederb&ouml;rd');
define('TOTPREC', 'Total nederb&ouml;rd');

define('NOSTORMS', 'Inga &aring;skv&auml;der');
define('TRACA', 'F&ouml;ljer');
define('TRACB', '&aring;skv&auml;der');

function defcountries($rawc) {
$txtcountries =  array(  
"Albania" => "Albanien",
"Andorra" => "Andorra",
"Austria" => "&Ouml;sterrike",
"Belgium" => "Belgien",
"Bulgaria" => "Bulgarien",
"Switzerland" => "Schweiz",
"Czech" => "Tjeckien",
"Germany" => "Tyskland",
"Denmark" => "Danmark",
"Estonia" => "Estland",
"Spain" => "Spanien",
"Finland" => "Finland",
"Faroe" => "F&auml;r&ouml;arna",
"France" => "Frankrike",
"UK" => "Storbritannien",
"Greece" => "Grekland",
"Hungary" => "Ungern",
"Croatia" => "Kroatien",
"Ireland" => "Irland",
"Iceland" => "Island",  
"Italy" => "Italien",
"Latvia" => "Lettland",
"Lithuania" => "Litauen",
"Luxembourg" => "Luxemburg",
"Netherlands" => "Nederl&auml;nderna",
"Norway" => "Norge", 
"Poland" => "Polen",
"Portugal" => "Portugal",
"Sweden" => "Sverige",
"Slovakia" => "Slovakien",
"Slovenia" => "Slovenien",
"Greenland" => "Gr&ouml;nland",
"Macedonia" => "Makedonien",
"Serbia &amp; Montenegro" => "Serbien/Montenegro",
"Bosnia &amp; Herzegovina" => "Bosnien/Hercegovina",
"Romania" => "Rum&auml;nien",
// New
"Aland Islands" => "land",
"Belarus" => "Vitryssland",
"Cyprus" => "Cypern",
"Czech Republic" => "Tjeckien",
"Faroe Islands" => "Frarna",
"Russia" => "Ryssland",
"Vatican" => "Vatikanen",
"United Kingdom" => "Storbritanninen"
);
if($txtcountries[$rawc]<>''){return $txtcountries[$rawc];}
else {return $rawc;}
}

function defmonths($rawf) {
$txtmon =  array(  
'January' => 'Januari',
'February' => 'Februari',
'March' => 'Mars',
'April' => 'April',
'May' => 'Maj',
'June' => 'Juni',
'July' => 'Juli',
'August' => 'Augusti',
'September' => 'September',
'October' => 'Oktober',
'November' => 'November',
'December' => 'December'
);
$txtmonth = $txtmon[$rawf];
return $txtmonth;
}

?>
